
-- --------------------------------------------------------

--
-- Structure de la table `persons`
--

CREATE TABLE `persons` (
  `id` int(11) NOT NULL,
  `surname` varchar(64) DEFAULT NULL,
  `first_name` varchar(64) DEFAULT NULL,
  `gender` enum('M','F') DEFAULT NULL,
  `title` varchar(42) DEFAULT NULL,
  `name_predicate` varchar(42) DEFAULT NULL,
  `specification_verbatim` varchar(128) DEFAULT NULL,
  `profession_verbatim` varchar(128) DEFAULT NULL,
  `de_l_institut` tinyint(1) DEFAULT NULL,
  `notable_commercant` tinyint(1) DEFAULT NULL,
  `bold` tinyint(1) DEFAULT NULL,
  `advert` tinyint(1) DEFAULT NULL,
  `ldh_rank_id` int(11) DEFAULT NULL,
  `military_status_id` int(11) DEFAULT NULL,
  `social_status_id` int(11) DEFAULT NULL,
  `occupation_status_id` int(11) DEFAULT NULL,
  `prof_category_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `persons`
--

INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(1, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 1, 2, 1, 3, 8),
(2, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Metalldreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3, 'Ador', 'F.', 'M', NULL, NULL, NULL, 'Chemiker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4, 'Albertus', NULL, NULL, 'Comp', NULL, NULL, 'Holländische Käse u. feine Branntweine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(5, 'Allemand', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(6, 'Ammann', 'J. Ulr.', 'M', NULL, NULL, NULL, 'Kutscher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(7, 'Amson', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft in Brieftaschen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(8, 'André', NULL, 'F', 'Frau', NULL, NULL, 'Fruchthändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(9, 'Appel', 'Conrad', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(10, 'Arnhold', NULL, 'M', NULL, NULL, NULL, 'Abfälle von Leder und Häuten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(11, 'Arnhold', 'J.', 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(12, 'Badens', NULL, 'F', 'Gräfin von', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(13, 'Bader', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(14, 'Bagal', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(15, 'Barch', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(16, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(17, 'Baron', 'P.', 'M', NULL, NULL, NULL, 'Uhren, Juwelen u. Goldwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(18, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Gipsfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(19, 'Bauer', 'F. J.', 'M', NULL, NULL, NULL, 'Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(20, 'Baumann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(21, 'Bastien', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(22, 'Bergtold', 'J. G.', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(23, 'Berheim von', NULL, 'M', NULL, NULL, NULL, 'Ordonnanz-Offizier des fürstlichen Präsidenten', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(24, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(25, 'Blanck', 'J. Ph.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(26, 'Blettel', 'G. M.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(27, 'Bock', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(28, 'Böringer', 'G.', NULL, 'Comp', NULL, NULL, 'Thürschließer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(29, 'Bohlman', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(30, 'Böttcher', 'J. H. Ch.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(31, 'Braisch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(32, 'Brandenstein', NULL, 'M', NULL, NULL, NULL, 'Finanzbeamter', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(33, 'Braun', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(34, 'Britsch', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(35, 'Brodbeck', 'Th. A.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(36, 'Brukmann', 'F. G. F.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(37, 'Buhrel', 'V.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(38, 'Burck', 'H.', 'M', NULL, NULL, NULL, 'Scheitholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(39, 'Catharine', NULL, 'F', 'Fraulein', NULL, NULL, 'Fruchthändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(40, 'Crein', NULL, 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(41, 'Cuillier', NULL, 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(42, 'Curmer', NULL, 'M', NULL, NULL, NULL, 'Inspector der indirecten Steuern des Seine-Departements', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(43, 'Dänzer', 'D.', 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(44, 'Dage', NULL, 'M', NULL, NULL, NULL, 'Speise- und Weinwirthschaft.', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(45, 'Dalstein', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(46, 'Dantzlinger u Gallez', NULL, NULL, NULL, NULL, NULL, 'Weine und Lebenswasser', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(47, 'Dattler', NULL, 'M', NULL, NULL, NULL, 'Schuhwerk', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(48, 'Daum', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(49, 'Daum', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(50, 'Deltgen', 'A.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(51, 'De Rhoden', 'F.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(52, 'Detelin', NULL, 'M', 'Vater', NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(53, 'Deutsch', 'Alexander', NULL, 'Comp', NULL, NULL, 'Ochsenfußölfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(54, 'Doll', NULL, 'F', 'Fräul', NULL, NULL, 'Fertige Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(55, 'Droz', NULL, 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(56, 'Dusommerard', NULL, 'M', NULL, NULL, NULL, 'Director des Arresthauses der Nationalgarde', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(57, 'Dybowski', 'Joseph', 'M', NULL, NULL, NULL, 'Tissus imperméables et mesures sur rubans', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(58, 'Ebert', NULL, 'M', NULL, NULL, NULL, 'Butterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(59, 'Edinger', 'J.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(60, 'Eglaff', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(61, 'Eichens', 'F. G.', 'M', NULL, NULL, NULL, 'Optische Instrumente', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(62, 'Eisenlohr', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(63, 'Engelbach', NULL, 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(64, 'Eschenbrenner', 'Joseph', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(65, 'Escher', NULL, 'M', NULL, NULL, NULL, 'Divisionsinspector der Ehrenlegion', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(66, 'Ettling', NULL, 'M', NULL, NULL, NULL, 'Seidewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(67, 'Fay', 'Julius', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(68, 'Federmann', NULL, 'M', NULL, NULL, NULL, 'Deutscher Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(69, 'Fingerling', 'J. D.', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(70, 'Fischer u Beck', NULL, NULL, NULL, NULL, NULL, 'Fabrik von lakirtem Leder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(71, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Tanzlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(72, 'Frederic', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(73, 'Frick', NULL, 'M', NULL, NULL, NULL, 'Polizeidiener', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(74, 'Frimann', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(75, 'Fulp', NULL, 'M', NULL, NULL, NULL, 'Beamter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(76, 'Funck Spies', NULL, NULL, 'Comp', NULL, NULL, 'Fremde Wollwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(77, 'Fyant', NULL, 'F', 'Frau', NULL, NULL, 'Weinwirtschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(78, 'Gaudard', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(79, 'Gantz', NULL, 'M', NULL, NULL, NULL, 'Sophafabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(80, 'Gauchet', NULL, 'M', NULL, NULL, NULL, 'Bierbrauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(81, 'Gautheron', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(82, 'Geiler', 'F.', 'M', NULL, NULL, NULL, 'Director der Knochenölfabrik u. Seifensiederei', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(83, 'Georges', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(84, 'Gerber', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(85, 'Gerkens', NULL, 'M', NULL, NULL, NULL, 'Schnitzwerkfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(86, 'Gervin', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(87, 'Getting', 'Anton', 'M', NULL, NULL, NULL, 'Verfertiger von Eisenbahnmaterialen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(88, 'Gogelin', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(89, 'Gorgen', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(90, 'Grieninger', NULL, 'M', NULL, NULL, NULL, 'Consul v. Oldenburg', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(91, 'Günther', 'Ch. F.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(92, 'Gutherl', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(93, 'Hänsler', 'J.', 'M', NULL, NULL, NULL, 'Zeichnungen zum Drucken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(94, 'Haintz', NULL, 'M', NULL, NULL, NULL, 'Zündhölzchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(95, 'Haller', 'R.', 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(96, 'Haller', 'G. Ch.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(97, 'Hamel von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(98, 'Hartmann', 'Moritz', 'M', NULL, NULL, NULL, 'Dichter', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(99, 'Hautkesse', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(100, 'Hein', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(101, 'Hembert', NULL, 'M', NULL, NULL, NULL, 'Speckhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(102, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(103, 'Hermann', 'G.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(104, 'Hermans', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(105, 'Herr', 'J. F.', 'M', NULL, NULL, NULL, 'Schumacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(106, 'Hertenstein', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(107, 'Heß', NULL, 'M', NULL, NULL, NULL, 'Kladaunenhöcker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(108, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Gasthaus Zur Insel', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(109, 'Homberg u Paget', 'A.', NULL, NULL, NULL, NULL, 'Farbenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(110, 'Homburger', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(111, 'Oppenheimer', NULL, 'M', NULL, NULL, NULL, 'Geldtäschchen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(112, 'Ordener', 'G. O.', 'M', 'General Graf', NULL, NULL, 'Senator', 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(113, 'Ingelbach', 'F.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(114, 'Isaak', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(115, 'Isaac', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(116, 'Jacob', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(117, 'Poppler', NULL, 'M', NULL, NULL, NULL, 'Bürstenbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(118, 'Peeard', NULL, 'M', NULL, NULL, NULL, 'Ball und Gastwirthschaft Zum Grand-Turc', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(119, 'Josse-Jugelbrecht', NULL, 'M', NULL, NULL, NULL, 'Sockenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(120, 'Judlin', NULL, 'M', NULL, NULL, NULL, 'Weinwirtschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(121, 'Jungblut', NULL, 'M', NULL, NULL, NULL, 'Kohlenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(122, 'Kälberzahn', 'Joh.', 'M', NULL, NULL, NULL, 'Schumacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(123, 'Kämpfen', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(124, 'Kaiser', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(125, 'Kalitowitsch', NULL, 'M', NULL, NULL, NULL, 'Speise- u. Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(126, 'Kaltenbach', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(127, 'Perrin', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(128, 'Kaufmann', NULL, 'M', NULL, NULL, NULL, 'Rahmenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(129, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Beamter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(130, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(131, 'Kenens', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(132, 'Kerkoffe', NULL, 'M', 'Sohn', NULL, NULL, 'Kräuterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(133, 'Pick', 'F.', 'M', NULL, NULL, NULL, 'Drucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(134, 'Pimber', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(135, 'Poley', 'L', 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(136, 'Pradel von', 'O.', 'M', 'Graf Miglied des Instituts', NULL, NULL, NULL, 1, 0, 0, NULL, 1, 2, 2, 1, 1),
(137, 'Reiber & Schäfer', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(138, 'Kiefer', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(139, 'Kieffer', NULL, 'M', NULL, NULL, NULL, 'Pförtner', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(140, 'Kiesgen', NULL, 'F', 'Frau', NULL, NULL, 'Modenhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(141, 'Kiggen', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(142, 'Kill Hentgen', NULL, NULL, 'Comp', NULL, NULL, 'Fabrik v. Farbehözern', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(143, 'Klack', NULL, 'M', NULL, NULL, NULL, 'Gastwirtschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(144, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(145, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Specerei- u. Obsthandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(146, 'Reichel', 'Aug.', 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(147, 'Kloß', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(148, 'Reiß', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(149, 'Remy', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(150, 'Reuter', 'I.', 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(151, 'Reutter', 'J. Jac.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(152, 'Kobbus', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(153, 'Kolbus', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(154, 'Richter', 'H. G.', 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(155, 'Riegel', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(156, 'Koller', 'Joh.', 'M', NULL, NULL, NULL, 'Stoffedrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(157, 'Riesener', NULL, 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(158, 'Rillard', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(159, 'Köpf', 'L.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(160, 'Ritt', NULL, 'M', NULL, NULL, NULL, 'Oberaufseher des Elementarunterrichts', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(161, 'Rittel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(162, 'Ritter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(163, 'Korn', NULL, 'M', NULL, NULL, NULL, 'Pulvermehl- u. Syrupfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(164, 'Kraft', 'F. A.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(165, 'Rochfritsch', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(166, 'Krau', 'M.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(167, 'Krebs', 'G.', 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(168, 'Krier', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(169, 'Kritter', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(170, 'Rosenfeld', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(171, 'Kuntz', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(172, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(173, 'Roth', 'F. G.', 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(174, 'Läderich', NULL, 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(175, 'Lagerborg', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(176, 'Landolt', NULL, 'M', NULL, NULL, NULL, 'Bierbrauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(177, 'Landot', NULL, 'M', NULL, NULL, NULL, 'Ellenwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(178, 'Roussel', NULL, 'M', NULL, NULL, NULL, 'Bierbrauer', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(179, 'Ruff', NULL, 'M', NULL, NULL, NULL, 'Halbporcellan', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(180, 'Leindorf', NULL, 'M', NULL, NULL, NULL, 'Fruchthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(181, 'Leouard', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(182, 'Liesch', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(183, 'Linck', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(184, 'Loch', NULL, 'M', NULL, NULL, NULL, 'Vorsteher an dem Büreau des Ministeriums des Unterrichts', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(185, 'Lohmeyer', NULL, 'M', NULL, NULL, NULL, 'Director über die Verwaltungen der Centralgefängnisse u. der Zwangs- u. Strafarbeits-Häuser, bei dem Ministerium des Innern', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(186, 'Lott', 'Jacob', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(187, 'Rupp', 'F. G.', 'M', NULL, NULL, NULL, 'Herrnhemdenbruststückfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(188, 'Luxenburger', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(189, 'Mahlmann', 'J. G. Wilh.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(190, 'Malen', 'F.', NULL, 'Comp', NULL, NULL, 'Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(191, 'Martens', NULL, 'M', NULL, NULL, NULL, 'Gastwirtschaft', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(192, 'Martin', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(193, 'Martin', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(194, 'Marx', NULL, 'F', 'Wwe', NULL, NULL, 'Weinwirtschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(195, 'Maurer', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(196, 'Melanger', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(197, 'Merckling', 'Andr. Ernst', 'M', NULL, NULL, NULL, 'Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(198, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Prediger', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(199, 'Meyerbeer', 'C.', 'M', NULL, NULL, NULL, 'Musik-Componist', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(200, 'Mickiewicz', 'A.', 'M', NULL, NULL, NULL, 'Ehem. Professor', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(201, 'Mühlberger', NULL, 'M', NULL, NULL, NULL, 'Barbier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(202, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Speisehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(203, 'Müller', 'Albert', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(204, 'Neber', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(205, 'Reustadt', NULL, 'M', NULL, NULL, NULL, 'Buchhalter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(206, 'Newiger', NULL, 'M', NULL, NULL, NULL, 'Schreinerwerkzeug-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(207, 'Thomasin', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(208, 'Tuerty', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(209, 'Uhlrich', NULL, 'M', NULL, NULL, NULL, 'Holzhändler', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(210, 'Unger', NULL, 'M', NULL, NULL, NULL, 'Professor der deutschen Sprache an dem Collegium Stanislaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(211, 'Van-der-Burch', 'J. M.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(212, 'Velfinger', NULL, 'M', NULL, NULL, NULL, 'Specerei-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(213, 'Vetter', NULL, 'M', NULL, NULL, NULL, 'Polizeidiener', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(214, 'Villette', NULL, 'M', NULL, NULL, NULL, 'Musiker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(215, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Gewesener Hoboelehrer am Conservatorium', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(216, 'Vosselmann', 'Joh.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(217, 'Wagner', 'G.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(218, 'Wahle', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(219, 'Walgrave', 'C. J.', 'M', NULL, NULL, NULL, 'Goldschmied u. Silberarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(220, 'Walsh', NULL, 'M', NULL, NULL, NULL, 'Hauptmann u. Major-Adjutant in dem Invalidenhaus', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(221, 'Walter', 'Valentin', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(222, 'Walter', 'Joseph', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(223, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(224, 'Walter', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(225, 'Sahr', 'Ch. F. M.', 'M', NULL, NULL, NULL, 'Klavierstimmer des Hauses Erard in Paris', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(226, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Bleicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(227, 'Weiß', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(228, 'Weisse', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(229, 'Schäffer', 'G.', 'M', NULL, NULL, NULL, 'Schmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(230, 'Schäfter', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(231, 'Scharner', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(232, 'Werdel', NULL, 'F', 'Fraulein', NULL, NULL, 'Sprachlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(233, 'Schlageder', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(234, 'Schmollaine', NULL, 'M', NULL, NULL, NULL, 'Juwelier und Kameeschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(235, 'Schlosser', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(236, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Talg- und Wachslichtfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(237, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Pariser gestickte Tüllhandschuhe und Stauchen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(238, 'Schneitzhöffer', 'Vater', 'M', NULL, NULL, NULL, 'Componist und Professor am Conservatorium in Montmartre', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(239, 'Schnidre', NULL, 'M', NULL, NULL, NULL, 'Emaillirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(240, 'Schock', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(241, 'Schmetz', NULL, 'M', NULL, NULL, NULL, 'Professor der Mathematik am Collegium Stanislaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(242, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(243, 'Villaume', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(244, 'Winterberg', 'L. J. C.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(245, 'Wittisch', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(246, 'Wölfel', 'August', 'M', NULL, NULL, NULL, 'Niederlage Straßburger Brückenwaagen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(247, 'Schmit', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(248, 'Wolouski', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(249, 'Schultz', 'I. Christ', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(250, 'Senn', NULL, 'M', NULL, NULL, NULL, 'Wein- und Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(251, 'Zeiherr', NULL, 'M', NULL, NULL, NULL, 'Weinwirth u. Kuchenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(252, 'Schuster', NULL, 'M', NULL, NULL, NULL, 'Wein- und Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(253, 'Schütz', 'Joh.', 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(254, 'Siegler', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(255, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(256, 'Simon', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(257, 'Zoller', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(258, 'Sirech', NULL, 'M', NULL, NULL, NULL, 'Pappendeckelwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(259, 'Sistach', NULL, 'M', NULL, NULL, NULL, 'Wundarztgehülfe in dem Invalidenhause', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(260, 'Schwerer', NULL, 'M', NULL, NULL, NULL, 'Speißewirthschaft u. Bälle', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(261, 'Schwindenhammer', NULL, 'M', NULL, NULL, NULL, 'Vorsteher des heil.-Geist-Seminars', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(262, 'Sonneberg', 'J. H.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(263, 'Sonntag', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(264, 'Speth', NULL, 'M', 'sen', NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(265, 'Staab', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(266, 'Stahl', 'J. Benj.', 'M', NULL, NULL, NULL, 'Modelirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(267, 'Stahlhardt', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(268, 'Steier', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(269, 'Steinmann', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(270, 'Stoffel', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(271, 'Strauß', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(272, 'Taillefer', NULL, 'M', NULL, NULL, NULL, 'Lehrer der deutschen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(273, 'Tascher de la Pagerie', NULL, 'M', NULL, NULL, NULL, 'Ordonnanz-Officier', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(274, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(275, 'Spette', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(276, 'Niel', 'O.', 'M', NULL, NULL, NULL, 'Bibliothekar an dem Ministerium des Innern', 0, 0, 0, NULL, 1, 2, 1, 1, 2),
(277, 'Niel', NULL, 'F', NULL, NULL, NULL, 'Marmorarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(278, 'Nieuwerkerke von', NULL, 'M', 'Graf', NULL, NULL, 'Director des Nationalmuseums', 0, 0, 0, NULL, 3, 2, 2, 1, 1),
(279, 'Noder', NULL, 'M', NULL, NULL, NULL, 'Metalldrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(280, 'Friez', NULL, 'M', NULL, NULL, NULL, 'Bierbrauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(281, 'Abraham', 'L.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(282, 'Adam', 'G. A.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(283, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(284, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(285, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(286, 'Adam', 'Ed.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(287, 'Adelswaerd', 'G.', 'M', 'Baron von', NULL, NULL, 'Secretär der schwedischen Gesandtschaft', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(288, 'Aestel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(289, 'Ahr', 'Jacob', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(290, 'Ackermann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(291, 'Ackermann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(292, 'Abel', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(293, 'Albrecht', 'Just.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(294, 'Alexander', NULL, 'M', 'Sohn', NULL, NULL, 'Kutscher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(295, 'Allemans', NULL, 'M', 'Baron von', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(296, 'Amsel', NULL, 'M', NULL, NULL, NULL, 'Nagelschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(297, 'Armbruster', 'J. Jacob', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(298, 'Bach', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(299, 'Bär', NULL, 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(300, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Sachwalter', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(301, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(302, 'Baumann', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(303, 'Baumgartner', 'Friedrich', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(304, 'Beck', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(305, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(306, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(307, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Subsitut bei dem Kriegsrathe', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(308, 'Berliner', NULL, 'M', NULL, NULL, NULL, 'Schreiblehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(309, 'Bernheim', 'Jacob', 'M', NULL, NULL, NULL, 'Pferde', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(310, 'Bernheim', 'Jos.', 'M', NULL, NULL, NULL, 'Pferdehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(311, 'Bernheim', 'Julius', 'M', NULL, NULL, NULL, 'Blechwaaren und Lampen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(312, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(313, 'Beckmann', 'Jacob', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(314, 'Beer', 'Franz', 'M', NULL, NULL, NULL, 'Lehrer der deutschen u. französischen Sprache u. Literatur', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(315, 'Bellenzer', NULL, 'F', 'Frau', NULL, NULL, 'Hôtel de Douvre', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(316, 'Bentz', 'J. G.', 'M', NULL, NULL, NULL, 'Schmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(317, 'Billing', 'C.', 'M', 'Baron von', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(318, 'Billing', 'J. G.', 'M', NULL, NULL, NULL, 'Agent der protestantischen Gesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(319, 'Binder', NULL, NULL, 'Gebrüder NC', NULL, NULL, 'Kutschenmacher', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(320, 'Blanck', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(321, 'Blancke', 'B. A.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(322, 'Blank', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(323, 'Blesser', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(324, 'Blumm', 'Gg.', 'M', NULL, NULL, NULL, 'Attaché bei der Gesandtschaft von Schweden und Norwegen', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(325, 'Böly', NULL, 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(326, 'Born', 'Gustav', 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(327, 'Bouge-Kesler', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(328, 'Breistoff', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(329, 'Bremer', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(330, 'Brögg', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(331, 'Brunswick von', NULL, 'M', 'Prinz', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(332, 'Buchel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(333, 'Buck', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(334, 'Budler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(335, 'Burgraff von', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(336, 'Buttlar von', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(337, 'Butz-Schenck', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(338, 'Capel', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(339, 'Castelli', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(340, 'Cauler', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(341, 'Chäbel', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(342, 'Christ', 'P.', 'M', NULL, NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(343, 'Christin', NULL, 'M', NULL, NULL, NULL, 'Wagenverleiher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(344, 'Christophe von', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(345, 'Christophe', NULL, 'M', NULL, NULL, NULL, 'Lesezimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(346, 'Colling', NULL, 'M', NULL, NULL, NULL, 'Wagenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(347, 'Conrad', NULL, 'M', NULL, NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(348, 'Conrad', 'Daniel', 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(349, 'Conrad de la Grange von', NULL, 'F', 'Marquise v', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(350, 'Coppenhague', NULL, 'M', NULL, NULL, NULL, 'Secretär der 1. Militär-Division', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(351, 'Cres', NULL, 'F', 'Herzogin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(352, 'Dässler', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(353, 'Daremberg', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(354, 'De Burgraff', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(355, 'De Colberg', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(356, 'Delbruck', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(357, 'Demidoff', NULL, 'F', 'Prinzessin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(358, 'Deming', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(359, 'Desiequehem', NULL, 'M', NULL, NULL, NULL, 'Erziehungsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(360, 'Dietler', NULL, 'M', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(361, 'Diétrich', NULL, 'M', 'Neffe', NULL, NULL, 'Blecharbeiter und Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(362, 'Dietz', NULL, 'M', NULL, NULL, NULL, 'Schreiner und Möbelhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(363, 'Dittmer', 'Gustav', 'M', NULL, NULL, NULL, 'Wechselmäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(364, 'Döhnel', NULL, NULL, 'Comp', NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(365, 'Dörschuck', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(366, 'Dörschuch', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(367, 'Dolfus-Galline', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(368, 'Dolmer', NULL, 'M', NULL, NULL, NULL, 'pensionirter Feldherr', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(369, 'Dombrowski', NULL, 'M', NULL, NULL, NULL, 'Lampenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(370, 'Dondoukoff-Korsakoff', NULL, 'M', 'Prinz', NULL, NULL, 'Secretär der russischen Gesandtschaft', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(371, 'Dorschuck', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(372, 'Dromer', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(373, 'Droz', 'P. F.', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(374, 'Du Sommerard', NULL, 'M', NULL, NULL, NULL, 'Conservator des Museums in Cluny', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(375, 'Duß', NULL, 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(376, 'Ebeling', NULL, 'M', NULL, NULL, NULL, 'Hauptconsul von Rußland', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(377, 'Ebling', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(378, 'Ederick', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(379, 'Ehrler', NULL, 'M', 'NC', NULL, NULL, 'Kutschenmacher', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(380, 'Eicher', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(381, 'Eichthal von', 'Gust.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(382, 'Elsberg von', NULL, 'M', NULL, NULL, NULL, 'Finanzinspector', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(383, 'Else', 'Richard', 'M', NULL, NULL, NULL, 'Englischer Rechtsconsulent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(384, 'Enderle u Janisson', NULL, NULL, NULL, NULL, NULL, 'Gerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(385, 'Erloug von', NULL, 'F', 'Fraulein', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(386, 'Ettinger', 'Salomon', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(387, 'Ewertz', 'J. Jac.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(388, 'Faber', 'Friedrich', 'M', NULL, NULL, NULL, 'Kanzler der Gesandtschaft der Niederlande', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(389, 'Feder', NULL, 'M', NULL, NULL, NULL, 'Marmorirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(390, 'Felber', NULL, 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(391, 'Fellmann', NULL, 'M', NULL, NULL, NULL, 'Kriegsamtinspector', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(392, 'Ferat', NULL, 'M', NULL, NULL, NULL, 'Zündhölzchen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(393, 'Ferrenbach', NULL, 'M', NULL, NULL, NULL, 'Uhrmechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(394, 'Fezensac von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(395, 'Ficher', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(396, 'Fincken', 'L.', 'M', NULL, NULL, NULL, 'Näh- und Modeartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(397, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(398, 'Flesch', NULL, 'M', NULL, NULL, NULL, 'Beeidigter Dollmetscher am Cassationshof', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(399, 'Fölkersani von', 'O.', 'M', NULL, NULL, NULL, 'Secretär des russichen Gesandten', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(400, 'Förster', 'Robert', 'M', NULL, NULL, NULL, 'Chemische Erzeugnisse', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(401, 'Folkers', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(402, 'Fournier', NULL, 'F', 'Fräul', NULL, NULL, 'Ehemalige Vorsteherin einer Lehranstalt', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(403, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Professor der Philosophie', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(404, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(405, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(406, 'Frech', NULL, 'M', NULL, NULL, NULL, 'Schuhwerkmagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(407, 'Frick', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(408, 'Fritch', NULL, 'F', 'Frau', NULL, NULL, 'Kutschenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(409, 'Fuhrmann', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(410, 'Futterer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(411, 'Gans', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(412, 'Geibel', NULL, 'M', 'jun', NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(413, 'Gerstle-Helbronner', 'J.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(414, 'Gleizes', NULL, 'M', NULL, NULL, NULL, 'Seltene Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(415, 'Gleizes', 'Julius', 'M', NULL, NULL, NULL, 'Seltene Erfrischungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(416, 'Godelmann', 'J. G.', 'M', NULL, NULL, NULL, 'Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(417, 'Graßmann', 'P. Ph.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(418, 'Greiller', NULL, 'M', NULL, NULL, NULL, 'Gewesener Lotterie-Inspector', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(419, 'Grondel', NULL, 'F', 'Frau', NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(420, 'Gustawsohn', NULL, 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(421, 'Guttinguer', NULL, NULL, 'Baron u Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(422, 'Hachenheimer', NULL, 'M', NULL, NULL, NULL, 'Limonadenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(423, 'Häs', 'J.', 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(424, 'Hagermann', 'Gustav', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(425, 'Hailig', 'A. S.', 'M', NULL, NULL, NULL, 'Ehemaliger Notarius', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(426, 'Häker', 'Philipp', 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(427, 'Halbig', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(428, 'Halphen', 'Eug.', 'M', NULL, NULL, NULL, 'Appelationsgerichtsadvocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(429, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(430, 'Hanff', NULL, 'M', NULL, NULL, NULL, 'Rauchwaaren', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(431, 'Hanßmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 1, 2, 1, 3, 8),
(432, 'Haranger', 'J.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(433, 'Haranger', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(434, 'Hartmann-Kallen', NULL, 'M', NULL, NULL, NULL, 'Stöcke, Sonn- u. Regenschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(435, 'Hase', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(436, 'Haudeburg', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(437, 'Hayser', NULL, 'F', 'Frau', NULL, NULL, 'Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(438, 'Heffinger', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(439, 'Heidemann', NULL, 'M', NULL, NULL, NULL, 'Kuchenbäckerei', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(440, 'Heine', 'Heinrich', 'M', NULL, NULL, NULL, 'Dichter', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(441, 'Helbronner', 'Rudolph', 'M', NULL, NULL, NULL, 'Straminstickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(442, 'Helbronner', 'Sophie', 'F', NULL, NULL, NULL, 'Straminstickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(443, 'Heller', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(444, 'Hellstern', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(445, 'Henck', NULL, 'M', NULL, NULL, NULL, 'Kupferdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(446, 'Her', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(447, 'Hermann', 'O.', 'M', NULL, NULL, NULL, 'Staatsrath', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(448, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(449, 'Hermann', NULL, 'F', 'Fraulein', NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(450, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Wagenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(451, 'Hernheim', 'Julius', 'M', NULL, NULL, NULL, 'Blecharbeiter u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(452, 'Hetzel', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(453, 'Hickel', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(454, 'Hilpert', 'J.', 'M', NULL, NULL, NULL, 'Handelsschiedsrichter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(455, 'Himmelspach', 'Victor', 'M', NULL, NULL, NULL, 'Färber u. Fleckausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(456, 'Hoffe', NULL, 'M', NULL, NULL, NULL, 'Wund- u. Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(457, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Schuster', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(458, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(459, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Wagenplattirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(460, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(461, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Antike Medaillen, Geldwechsel', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(462, 'Hoogstoel', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(463, 'Hooper', NULL, 'M', NULL, NULL, NULL, 'Feine Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(464, 'Hooper', 'J.', NULL, 'Comp', NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(465, 'Derhtling von', 'C.', 'M', NULL, NULL, NULL, 'residiernder Minister von Mecklenburg-Schwerin', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(466, 'Oettinger', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(467, 'Oknaisky', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(468, 'Oldendorff', NULL, 'M', NULL, NULL, NULL, 'Doktor der Medicin', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(469, 'Oleßczynski', 'Ladislaus', 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(470, 'Hosmann', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger militärischer Verwalter', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(471, 'Humann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(472, 'Hummel', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(473, 'Hummel', NULL, 'M', 'Neffe', NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(474, 'Hurstel', NULL, 'M', NULL, NULL, NULL, 'Blechschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(475, 'Ihrig', 'H.', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(476, 'Ihrig', 'Fr.', 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(477, 'Imhoff', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(478, 'Oulman', 'Emil', 'M', NULL, NULL, NULL, 'Schalen im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(479, 'Paul', 'Wilh.', 'M', NULL, NULL, NULL, 'Kunstmaler in Oel und Miniatur', 0, 0, 1, NULL, 6, 2, 1, 1, 6),
(480, 'Jahr', 'G. H. G.', 'M', NULL, NULL, NULL, 'Arzt, Vorsteher des moravischen Instituts', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(481, 'Janssen', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(482, 'Jung', 'F.', 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(483, 'Jurisch', NULL, 'M', 'Neffe', NULL, NULL, 'Schuhzeug u. Leisten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(484, 'Kärbout', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(485, 'Kaffendyck', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(486, 'Kaffendyck', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(487, 'Petersen', NULL, 'M', NULL, NULL, NULL, 'Schneidermeister', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(488, 'Kaußmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(489, 'Kayser', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(490, 'Kayser', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(491, 'Keiler', 'Fr.', 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(492, 'Kelergié von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(493, 'Philip', NULL, 'M', NULL, NULL, NULL, 'Buchhandlung u. Lesezimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(494, 'Keller', 'M.', 'M', NULL, NULL, NULL, 'Bouillon, Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(495, 'Kelsen', 'L.', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(496, 'Kerchemacher', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(497, 'Kerckhove', NULL, 'M', NULL, NULL, NULL, 'Gebäude-Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(498, 'Plummer', NULL, 'M', NULL, NULL, NULL, 'Lederfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(499, 'Polak', NULL, 'M', NULL, NULL, NULL, 'Bankmäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(500, 'Porac & de Sarrion', NULL, NULL, NULL, NULL, NULL, 'Vorsteher einer Lehranstalt', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(501, 'Postel', NULL, 'M', NULL, NULL, NULL, 'Untermarinebefehlshaber', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(502, 'Potoska von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(503, 'Powel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(504, 'Pozoska', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(505, 'Prost', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(506, 'Puß', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(507, 'Quelen von', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(508, 'Rachel', NULL, 'F', 'Fraulein', NULL, NULL, 'Gesellschaftsschauspielerin am Théâtre-Francais', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(509, 'Rade', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(510, 'Raff', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(511, 'Reder', NULL, 'M', NULL, NULL, NULL, 'Klavierstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(512, 'Redfern', 'F.', NULL, 'Agentur zur Beförderung zu Wasser und zu L', NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(513, 'Reib II', 'C.', 'M', NULL, NULL, NULL, 'Divisionsaufseher des Straßen- und Brückenbaues ', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(514, 'Kieffer', NULL, 'M', NULL, NULL, NULL, 'Wagenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(515, 'Kille', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(516, 'Kisselef von', 'G. O.', 'M', NULL, NULL, NULL, 'Russischer Gesandte', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(517, 'Klammer', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(518, 'Klein', 'C.', 'M', NULL, NULL, NULL, 'Zeichner für Stickmuster', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(519, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Bauten- Unternehmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(520, 'Klein d\'Arberg von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(521, 'Reichstetter', 'Joh. Chr.', 'M', NULL, NULL, NULL, 'Nagelschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(522, 'Reiff', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(523, 'Klemmer', 'Ch. Aug.', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(524, 'Remlinger', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(525, 'Klöckner', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(526, 'Reis', 'L.', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(527, 'Klotz sen', NULL, 'F', 'Fraulein', NULL, NULL, 'Musiklehrerin am Conservatorium', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(528, 'Kluszniewiez', 'Ant.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(529, 'Reiß', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(530, 'Knyff von', NULL, 'M', 'General Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(531, 'Rible', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(532, 'König u Kleiber', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(533, 'Körner', NULL, 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(534, 'Kolb', 'F.', 'M', NULL, NULL, NULL, 'Doct. der Medizin', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(535, 'Kolb', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(536, 'Kolb-Bernard', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(537, 'Kolly von', NULL, 'M', NULL, NULL, NULL, 'Mauth- u. Steuer-Verwalter', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(538, 'Koller', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(539, 'Komeriowski', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(540, 'Konski von', 'Stanislaus', 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(541, 'Koop', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(542, 'Kontzki', NULL, 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(543, 'Rist', NULL, 'M', NULL, NULL, NULL, 'Säckler und Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(544, 'Körner', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(545, 'Kourakin', 'O.', 'M', 'Prinz', NULL, NULL, 'Erster Secretär der russischen Gesandtschaft', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(546, 'Kratsch', 'H.', 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(547, 'Krauth', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(548, 'Röser', 'F.', 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(549, 'Kretly', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(550, 'Kreutzer', NULL, 'M', NULL, NULL, NULL, 'Künstler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(551, 'Rohfritsch', 'Thib.', 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(552, 'Rohl', 'Ferdinand', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(553, 'Kuher', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(554, 'Kuhn', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(555, 'Kuhn', NULL, 'F', 'Frau geb Féry', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(556, 'Kuhn', 'F. A.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(557, 'Rosser', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(558, 'Kula', NULL, 'M', NULL, NULL, NULL, 'Bau-Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(559, 'Kula', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(560, 'Kuntz', 'G. L.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(561, 'Kuntz', NULL, 'M', NULL, NULL, NULL, 'Limonadenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(562, 'Kusel u Heinr Einstein', NULL, NULL, NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(563, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(564, 'Rothschild', NULL, 'M', NULL, NULL, NULL, 'Kutschenbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(565, 'Rubert', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(566, 'Rudler', NULL, 'M', NULL, NULL, NULL, 'Civilbaumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(567, 'Lee', NULL, 'M', NULL, NULL, NULL, 'Thee, Kaffee u. Liqueur', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(568, 'Leemans', 'J. J.', 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(569, 'Lefreve', NULL, 'F', 'Wtwe', NULL, NULL, 'Lesezimmer u. Leihbibliothek', 0, 0, 1, NULL, 6, 2, 1, 1, 11),
(570, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(571, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Geschicht-Maler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(572, 'Leisse', 'A.', 'M', NULL, NULL, NULL, 'Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(573, 'Leistner', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(574, 'Lenck', NULL, 'M', NULL, NULL, NULL, 'Thierarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(575, 'Lesseps', 'O.', 'M', NULL, NULL, NULL, 'Director im Ministerium des Aeußern', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(576, 'Levita', NULL, 'M', NULL, NULL, NULL, 'Doctor der Rechte', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(577, 'Lieven', NULL, 'F', 'Fürstin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(578, 'Lindenberg', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(579, 'Linzeler', 'E.', 'M', NULL, NULL, NULL, 'Uhrmacher u. Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(580, 'Lipman', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(581, 'Lövenhielm von', 'G. O.', 'M', 'Graf', NULL, NULL, 'Bevollmächtigter Gesandte von Schweden u. Norwegen', 0, 0, 0, NULL, 1, 2, 2, 1, 3),
(582, 'Lornee von', 'Alfred E.', 'M', 'Dr', NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(583, 'Rumpff', 'Baron', 'M', NULL, NULL, NULL, 'residirender Minister der Freien Städte', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(584, 'Lüth', 'Fried.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(585, 'Luttheroth', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger Staatsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(586, 'Rupper', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(587, 'Mackau von', 'G.', 'M', 'Baron', NULL, NULL, 'Admiral, Senator', 0, 0, 0, NULL, 1, 1, 2, 1, 7),
(588, 'Mänen gen Melis', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(589, 'Mahler', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(590, 'Maillet-Schmitz', NULL, 'M', NULL, NULL, NULL, 'Buchhändler u. Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(591, 'Mannheim', NULL, 'M', 'NC', NULL, NULL, 'Kunstneuheiten u. Juwelen', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(592, 'Markowski', NULL, 'M', NULL, NULL, NULL, 'Tanzlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(593, 'Marx', NULL, 'M', NULL, NULL, NULL, 'Glaser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(594, 'Massenet', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(595, 'Mathilde', NULL, 'F', 'Prinzessin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(596, 'Matz', NULL, 'M', NULL, NULL, NULL, 'Militärisches Ersetzungsbüreau', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(597, 'Maus', 'Fr.', 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(598, 'May', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(599, 'Meier', NULL, 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(600, 'Mesdagh', NULL, 'M', NULL, NULL, NULL, 'Vertreter des Hauses Schülssez u. Comp. v. St-Petersburg', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(601, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(602, 'Miller', 'O.', 'M', NULL, NULL, NULL, 'Rath am Cassationshof', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(603, 'Mözinski', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(604, 'Mohr', 'Ph.', 'M', NULL, NULL, NULL, 'Damenschuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(605, 'Moltke von', NULL, 'M', 'Graf', NULL, NULL, 'Bevollmächtigter u. außerordentlicher Gesandter v. Dänemark', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(606, 'Moot', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Gasthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(607, 'Mosselmann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(608, 'Mühlbacher', NULL, 'M', NULL, NULL, NULL, 'Kutschenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(609, 'Mühlbacher', NULL, NULL, 'Gebrüder', NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(610, 'Müller', 'J. Ch.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(611, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(612, 'Müller', 'A. Ch. H.', 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(613, 'Müller-Söhne', 'Ferd.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(614, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(615, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Wagenlaternen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(616, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(617, 'Müller', 'A.', 'M', NULL, NULL, NULL, 'Orgel- u. Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(618, 'Müller', 'F.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(619, 'Müller-Gilbert', NULL, 'M', NULL, NULL, NULL, 'Modenweißzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(620, 'Nagel', NULL, 'M', NULL, NULL, NULL, 'Tonkünstler an der Opera', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(621, 'Neitzerroff', NULL, 'M', NULL, NULL, NULL, 'Küfer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(622, 'Neumann von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(623, 'Neumann', NULL, 'M', NULL, NULL, NULL, 'Dreher u. Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(624, 'Neymark', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(625, 'Neymann', NULL, 'M', NULL, NULL, NULL, 'Hemdenlager', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(626, 'Neymark', NULL, 'F', 'Frau', NULL, NULL, 'Lehr-Anstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(627, 'Thalberg', NULL, 'M', NULL, NULL, NULL, 'Klavierspieler', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(628, 'Theurkauff', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(629, 'Toulongeon von', NULL, 'M', 'Marquis', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(630, 'Trap', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(631, 'Trapp', 'N.', 'M', NULL, NULL, NULL, 'Professor der deutschen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(632, 'Traube', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(633, 'Trimbach', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(634, 'Türminger', NULL, 'M', NULL, NULL, NULL, 'Pensionirter Hauptmann', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(635, 'Vanderborgt', NULL, 'M', NULL, NULL, NULL, 'Wechselmäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(636, 'Vandereyken', 'Heinrich', 'M', NULL, NULL, NULL, 'Hutfedernhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(637, 'Vandremer', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(638, 'Van Oosten', NULL, 'F', 'Fraulein', NULL, NULL, 'Weißzeughandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(639, 'Van Peetersen', 'Th.', NULL, 'Michelet', NULL, NULL, 'Feine Weine u. Thee im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(640, 'Vidie', NULL, 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(641, 'Vogel', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(642, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(643, 'Voigts-Rhetz von', 'W.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(644, 'Waast', NULL, 'M', 'Sohn', NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(645, 'Wachter', 'A.', 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(646, 'Wächter', NULL, 'M', 'Baron', NULL, NULL, 'Gesandter v. Württemberg', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(647, 'Wagen', 'H.', 'F', 'Frau', NULL, NULL, 'Weißzeug-Verkauf', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(648, 'Wagner u Guerain', NULL, NULL, NULL, NULL, NULL, 'Sattler u. Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(649, 'Wahl', NULL, 'F', 'Frau', NULL, NULL, 'Cachemir u. Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(650, 'Wallenberg', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(651, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(652, 'Wanderbecq', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(653, 'Warisken von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(654, 'Sahune von', NULL, 'F', 'Frau', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, 1),
(655, 'Weber u Erbs', NULL, NULL, NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(656, 'Sander', NULL, 'M', NULL, NULL, NULL, 'Professor der deutschen Sprache an der Ecole d\'application de l\'état-major', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(657, 'Sander und Vallentin', 'G.', NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(658, 'Sanders', NULL, 'M', NULL, NULL, NULL, 'Gasthaus der Fremden', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(659, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(660, 'Weber', 'Georg', 'M', NULL, NULL, NULL, 'Homöopathischer Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(661, 'Weber', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeughandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(662, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Saamen- u. Kräuterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(663, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(664, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Professor der Reitkunst', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(665, 'Wehrle', NULL, 'M', NULL, NULL, NULL, 'Stiefel- u. Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(666, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Gemälde u. Kunstneuheiten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(667, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(668, 'Schee von', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(669, 'Sautter', 'L.', NULL, 'Comp', NULL, NULL, 'Nachfolger von Letourneau, Leuchtthurmbaumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(670, 'Weill', NULL, 'M', 'sen', NULL, NULL, 'Weinhandlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(671, 'Weinandy', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(672, 'Schaaf', 'G. F.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(673, 'Weiß', NULL, 'M', NULL, NULL, NULL, 'Professor der Geschichte an dem Lyceum \"Bonaparte\"', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(674, 'Schaan', NULL, 'M', NULL, NULL, NULL, 'Aufrechte Klaviere', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(675, 'Schaat', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(676, 'Schäck', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(677, 'Weißgerber', 'Ph.', 'M', NULL, NULL, NULL, 'Stiefel- u. Schuhmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(678, 'Welchmann', NULL, 'M', 'Vater', NULL, NULL, 'Wappen-Vergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(679, 'Schepler', NULL, 'M', NULL, NULL, NULL, 'Sattler und Geschirrmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(680, 'Scherer', 'O.', 'M', NULL, NULL, NULL, 'Brigadegeneral', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(681, 'Schickler', 'Arthur', 'M', NULL, NULL, NULL, 'Officier', 0, 0, 1, NULL, 6, 1, 1, 1, 7),
(682, 'Schickler', NULL, 'F', 'Wtb', NULL, NULL, 'Eigenthümerin', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(683, 'Schidt', NULL, 'M', NULL, NULL, NULL, 'Kupfergießer und Einkäufer alter Metalle', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(684, 'Welker', 'A. Fried.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(685, 'Well von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(686, 'Welschmann', NULL, 'M', NULL, NULL, NULL, 'Gürtler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(687, 'Wendel', NULL, 'M', NULL, NULL, NULL, 'Hammerwerkmeister u. Deputirter v. der Mosel', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(688, 'Wendland von', 'O.', 'M', NULL, NULL, NULL, 'Bevollmächtigter Gesandter v. Bayern', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(689, 'Wertheim', 'L.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(690, 'Wertheimber', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(691, 'Wertheimer', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(692, 'Widerkehr von', 'Joseph', 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(693, 'Wiecloglokoski', NULL, 'M', 'Graf von Boleslaus', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(694, 'Wiese', 'J. Ch. J.', 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(695, 'Wilhelm', 'Paul', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(696, 'Schindler', NULL, 'M', NULL, NULL, NULL, 'Schneider, Kleiderhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(697, 'Schleiter', NULL, 'M', NULL, NULL, NULL, 'Specerei-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(698, 'Schlosig', 'G.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(699, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Notar', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(700, 'Schöbel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(701, 'Willems', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(702, 'Wingerter', NULL, 'M', NULL, NULL, NULL, 'Kamaschen- u. Hosenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(703, 'Witt', NULL, 'M', NULL, NULL, NULL, 'Porzellan- u. Crystallhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(704, 'Witt', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(705, 'Witte von', NULL, 'M', 'Baron', NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 2, 1, 10),
(706, 'Wohlengerg', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(707, 'Wolbock', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(708, 'Schmidt', NULL, 'F', 'Frau', NULL, NULL, 'Lesezimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(709, 'Schmidts', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(710, 'Schmit', NULL, 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(711, 'Schmitt', 'Philipp', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(712, 'Schmitt', 'Fr.', 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(713, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(714, 'Schomburger', NULL, 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(715, 'Schuller', 'C.', 'M', NULL, NULL, NULL, 'General', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(716, 'Wolff von Romilly', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(717, 'Schramm', 'G.', 'M', 'Graf', NULL, NULL, 'Divisionsgeneral, Senator', 0, 0, 0, NULL, 1, 1, 2, 1, 7),
(718, 'Schreiber', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(719, 'Schwiter', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(720, 'Seekatz', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(721, 'Sehee', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(722, 'Seiller', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(723, 'Worch', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(724, 'Worms von Romilly', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(725, 'Worms v Romilly', 'O.', 'M', NULL, NULL, NULL, 'Militär-Intendant', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(726, 'Wosselleff', NULL, 'M', NULL, NULL, NULL, 'Feldprediger des Gesandten v. Rußland', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(727, 'Wunsch', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(728, 'Wurtel', NULL, 'M', NULL, NULL, NULL, 'Musikkünstler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(729, 'Semour', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(730, 'Sengel', NULL, 'M', NULL, NULL, NULL, 'Hufnagelschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(731, 'Wyttenback', NULL, 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(732, 'Zanger', 'L.', 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(733, 'Schultz', NULL, 'M', 'jun', NULL, NULL, 'Eisenwaarenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(734, 'Sert', NULL, 'M', NULL, NULL, NULL, 'Theehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(735, 'Schultz', NULL, 'F', 'Frau', NULL, NULL, 'Lehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(736, 'Schultz', NULL, 'F', 'Frau', NULL, NULL, 'Chalenstopferin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(737, 'Zegle', NULL, 'M', NULL, NULL, NULL, 'Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(738, 'Zemp', NULL, 'M', NULL, NULL, NULL, 'Wagenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(739, 'Schöbel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(740, 'Sichert', 'M. Victor', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(741, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(742, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(743, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(744, 'Zolg', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(745, 'Schweizer von', NULL, 'M', 'Baron', NULL, NULL, 'residierender Minister von Baden', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(746, 'Smaele', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(747, 'Sommer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(748, 'Spitz', NULL, 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(749, 'Spohn', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(750, 'Stackhelberg', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(751, 'Steenackers', NULL, 'M', NULL, NULL, NULL, 'Englische Bierbrauerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(752, 'Steinbeiß', 'M.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(753, 'Steiner', 'P.', 'M', NULL, NULL, NULL, 'Musiklehrer u. Componist', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(754, 'Stevens', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(755, 'Stockhausen von', NULL, 'M', 'Baron', NULL, NULL, 'Gesandter von Hannover', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(756, 'Stoffer', NULL, 'F', 'Frau', NULL, NULL, 'Religiöse Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(757, 'Stoffer', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(758, 'Stoky', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(759, 'Stoll', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(760, 'Streithoff', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(761, 'Stüve', 'Joh. Friedr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(762, 'Szymanski', NULL, 'M', NULL, NULL, NULL, 'Pferdegeschirr-Vergolder u. Versilberer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(763, 'Tascher de la Pagerie von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(764, 'Fezensac von', 'G.', 'M', 'Herzog', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(765, 'Guttinger', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(766, 'Abrahams', 'J. D.', 'M', 'Junior', NULL, NULL, 'Feine Steine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(767, 'Röser', NULL, 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(768, 'Szymanski', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(769, 'Niedermeyer', NULL, 'M', NULL, NULL, NULL, 'Musik-Componist', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(770, 'Niel', 'C.', 'M', NULL, NULL, NULL, 'General und Staatsrath', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(771, 'Nieuwerkerke', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(772, 'Nieuwerkerke', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(773, 'Abel', NULL, 'M', NULL, NULL, NULL, 'Orgelspieler', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(774, 'Aaron', NULL, 'M', NULL, NULL, NULL, 'Bronzehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(775, 'Abel', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(776, 'Abler', NULL, 'M', NULL, NULL, NULL, 'Damenschumacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(777, 'Abraham', NULL, 'M', NULL, NULL, NULL, 'Domänenverificator', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(778, 'Abraham-Levy', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(779, 'Acker', NULL, 'M', NULL, NULL, NULL, 'Papierhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(780, 'Adam', 'A.', 'M', NULL, NULL, NULL, 'Mitglied des Institutes', 0, 0, 0, NULL, 3, 2, 1, 1, NULL),
(781, 'Adam', 'A.', 'M', NULL, NULL, NULL, 'Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(782, 'Adam', NULL, 'F', 'Frau', NULL, NULL, 'Kleider', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(783, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(784, 'Alber und Keimel', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(785, 'Alker', NULL, 'M', NULL, NULL, NULL, 'Elementarunterricht', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(786, 'Alker', NULL, 'M', NULL, NULL, NULL, 'Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(787, 'Altendorff', NULL, 'M', NULL, NULL, NULL, 'Secretär der Eisenbahngesellschaft von Epinac', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(788, 'Anicker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(789, 'Antoni', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(790, 'Appel', NULL, 'F', 'Frau', NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(791, 'Aran', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(792, 'Arnold', NULL, NULL, 'Comp', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(793, 'Arnstein', 'Heinrich', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(794, 'Aronssohn', 'Ad.', 'M', NULL, NULL, NULL, 'Wollartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(795, 'Arweiler', NULL, 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(796, 'Aubusson v und Kugelmann', NULL, NULL, NULL, NULL, NULL, 'Buchdruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(797, 'Baasth', NULL, 'M', NULL, NULL, NULL, 'Krämer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(798, 'Bach', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(799, 'Bacharach', NULL, 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(800, 'Bacharach', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(801, 'Badel', 'B.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(802, 'Bader', NULL, 'F', 'Fräul', NULL, NULL, 'Schauspielerin am Theater Vaudeville', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(803, 'Balkhausen', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(804, 'Balthazar', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(805, 'Banne', NULL, 'M', NULL, NULL, NULL, 'Bandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(806, 'Barde-Schmitte', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(807, 'Barmann', NULL, 'M', NULL, NULL, NULL, 'Geschäftsagent der Schweiz', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(808, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Geschäftscabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(809, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Natürliche Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(810, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(811, 'Baron-Christ', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(812, 'Bart', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(813, 'Barth', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(814, 'Barthe', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(815, 'Bauer', 'F.', 'M', NULL, NULL, NULL, 'Schreibmaterialen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(816, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(817, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(818, 'Baumann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(819, 'Baumann', 'Eug.', NULL, 'Comp', NULL, NULL, 'Comptoir für die Umsetzung der Industriepapiere', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(820, 'Baumbach', NULL, 'M', NULL, NULL, NULL, 'Weingeschäfte', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(821, 'Baumeyer', NULL, 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(822, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(823, 'Becker', NULL, 'M', 'sen', NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(824, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(825, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(826, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(827, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(828, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(829, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(830, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(831, 'Berger', NULL, 'F', 'Fraulein', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(832, 'Bernhardt', 'L.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(833, 'Bernheim', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(834, 'Bernheim', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(835, 'Bert', 'L.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(836, 'Bert', NULL, 'M', NULL, NULL, NULL, 'Gebäudemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(837, 'Becker-Bureau', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(838, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Stiefel- und Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(839, 'Beckmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(840, 'Beicher', NULL, 'M', NULL, NULL, NULL, 'Speise- u. Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(841, 'Beigson', NULL, 'M', NULL, NULL, NULL, 'Doctor der Rechte', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(842, 'Berckholtz von', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(843, 'Berge', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(844, 'Berger', NULL, 'M', 'vom Hause Wittwe Platel u Comp', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(845, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Wechselagent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(846, 'Berger', NULL, 'F', 'Frau', NULL, NULL, 'Bürstenbinderei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(847, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Wechsler und Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(848, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(849, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Eis', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(850, 'Bertin', 'Emil', 'M', NULL, NULL, NULL, 'Straßen- und Brücken-Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(851, 'Bettinger', NULL, 'M', NULL, NULL, NULL, 'Früher Advocat', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(852, 'Benzeboq', NULL, 'M', NULL, NULL, NULL, 'Wurstler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(853, 'Billing', NULL, 'M', NULL, NULL, NULL, 'Agent der protestantischen Gesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(854, 'Binding', 'F.', 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(855, 'Birghamn', NULL, 'M', NULL, NULL, NULL, 'Bronzehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(856, 'Birckner', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(857, 'Bischoffheim', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(858, 'Bitterlin', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(859, 'Bläs', 'Georg', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(860, 'Blanc', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(861, 'Blatter', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(862, 'Bleimüller', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(863, 'Blein', NULL, 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(864, 'Bletel', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(865, 'Bletz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(866, 'Blum', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(867, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Geldwechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(868, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(869, 'Blumer', 'Caspar', 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(870, 'Böhler', 'J.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(871, 'Bohle', 'B.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(872, 'Bohlken', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(873, 'Boimer', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(874, 'Boler', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(875, 'Bormause', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(876, 'Borniche', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(877, 'Bosch', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(878, 'Bottemer', NULL, 'M', NULL, NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(879, 'Bragi', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(880, 'Braig', 'A.', 'M', NULL, NULL, NULL, 'Taverne de Londres', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(881, 'Brandam', 'F.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(882, 'Brandus', NULL, 'M', NULL, NULL, NULL, 'Musikhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(883, 'Braun', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(884, 'Braun', 'Adolph', 'M', NULL, NULL, NULL, 'Musterzeichner für Druckereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(885, 'Brennemann', NULL, 'M', NULL, NULL, NULL, 'Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(886, 'Briezkorn', NULL, 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(887, 'Brooke', 'S.', 'M', NULL, NULL, NULL, 'Lehrer der englischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(888, 'Bruggmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(889, 'Bruner', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(890, 'Bühler', NULL, NULL, 'Geschwister', NULL, NULL, NULL, 0, 0, 1, NULL, 6, 2, 1, 1, NULL),
(891, 'Buhner', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(892, 'Burger-Leveque', NULL, 'M', NULL, NULL, NULL, 'Metallstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(893, 'Cabanis', NULL, 'M', NULL, NULL, NULL, 'Agent des protestantischen Consistoriums', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(894, 'Cahn', NULL, NULL, 'Gebr', NULL, NULL, 'Kaufmann u. Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(895, 'Capel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(896, 'Capel', 'Ferd.', 'M', NULL, NULL, NULL, 'Juwelenfasser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(897, 'Cheverau u Levistal', NULL, NULL, NULL, NULL, NULL, 'deutsch-englische Apotheke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(898, 'Christiäns', NULL, 'F', 'Frau', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(899, 'Christophe', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(900, 'Clabbeck', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(901, 'Clausmann', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(902, 'Clert-Kaiser', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(903, 'Clüsman', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(904, 'Cohnowsky', NULL, NULL, 'Comp', NULL, NULL, 'Stein- und Buchdruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(905, 'Cohn', 'Albert', 'M', NULL, NULL, NULL, 'Doctor der Philosophie', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(906, 'Coppinger', 'J.', 'M', NULL, NULL, NULL, 'Chef bei der Verwaltung der indirecten Steuern', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(907, 'Crampel', NULL, 'M', NULL, NULL, NULL, 'Experte im Rechnungswesen, Handelschiedsrichter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(908, 'Creil', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(909, 'Creiner', 'H.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(910, 'Cremer', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(911, 'Crespel', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(912, 'Croutz', 'B.', 'M', NULL, NULL, NULL, 'Lederarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(913, 'Curmer', 'L.', 'M', NULL, NULL, NULL, 'Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(914, 'Cuthbert', 'C. E.', NULL, 'Couturier', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(915, 'Danne', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(916, 'Dannel', NULL, 'F', 'Frau', NULL, NULL, 'Blechwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(917, 'Darel', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 1, 2, 1, 3, 8),
(918, 'Dauger', NULL, 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(919, 'Decker', 'Heinr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(920, 'De Fraikin', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(921, 'Deckens', 'Flamand', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(922, 'De Korff', 'F.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(923, 'Delbruck', 'Julius', 'M', NULL, NULL, NULL, 'Director des Journals für Mütter und Kinder', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(924, 'De Müller', NULL, 'M', NULL, NULL, NULL, 'Pfeifen u. Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(925, 'Demullet', NULL, 'M', NULL, NULL, NULL, 'Gebäudeschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(926, 'Deutz-Brentano', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(927, 'Deutz-Brentano', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(928, 'Deutz-Brentano', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(929, 'Diesch', NULL, 'M', NULL, NULL, NULL, 'Künstler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(930, 'Dietz', NULL, 'M', NULL, NULL, NULL, 'zu dem Hause Stolz u. Comp.', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(931, 'Dietz', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(932, 'Dörr', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(933, 'Dolé', NULL, 'M', NULL, NULL, NULL, 'Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(934, 'Dollingen', NULL, 'M', NULL, NULL, NULL, 'Agent für Veröffentlichungen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(935, 'Dreüe', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(936, 'Dreüe-Bué', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren und Seidenstickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(937, 'Dreydel', 'Leopold', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(938, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Handschuhhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(939, 'Dreyfus', 'N.', NULL, 'jun u Comp', NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(940, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(941, 'Dreyfus-Dupont', NULL, 'M', NULL, NULL, NULL, 'Schmiedmeister', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(942, 'Dromery', 'L.', 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(943, 'Droz', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(944, 'Du Sommerard', NULL, 'M', NULL, NULL, NULL, 'Rechnungsunterdirector des Finanzministeriums', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(945, 'Dutreih', 'E.', 'M', NULL, NULL, NULL, 'Notariatssecretär', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(946, 'Dutreih', NULL, 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(947, 'Ebeling', NULL, 'M', 'Nachfolger von Schrader', NULL, NULL, 'Schneider ', 0, 0, 0, NULL, 6, 2, 2, 1, 5),
(948, 'Eberhardt', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(949, 'Eblée', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(950, 'Ebrard', NULL, 'M', NULL, NULL, NULL, 'Juwelenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(951, 'Ehrler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(952, 'Eichert', NULL, 'M', NULL, NULL, NULL, 'Bürsten und Wichse', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(953, 'Eckendorffer', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(954, 'Elchingen von', 'O.', 'M', 'Herzog', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(955, 'Elias', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(956, 'Ellsworth', NULL, 'F', 'Frau', NULL, NULL, 'Sprachlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(957, 'Elwart', 'A.', 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(958, 'Emden', 'Simon', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(959, 'Enders', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(960, 'Engel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(961, 'Engländer', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(962, 'Eppenetter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(963, 'Erckens', 'R.', 'M', NULL, NULL, NULL, 'Inspector der Bank Erckens und Comp. ', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(964, 'Erckens', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(965, 'Erlanger', NULL, 'M', NULL, NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(966, 'Erskens', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(967, 'Erpelding', NULL, 'F', 'Frau', NULL, NULL, 'Wächserin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(968, 'Erster', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(969, 'Esbach', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(970, 'Escride', NULL, NULL, 'Geschwister', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(971, 'Eßlinger', NULL, 'M', NULL, NULL, NULL, 'Tapeten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(972, 'Esther', NULL, 'F', 'Frau', NULL, NULL, 'Schauspielerin am Theater Variétés', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(973, 'Esther', NULL, 'F', 'Fraulein', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(974, 'Ettinghausen', 'H.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(975, 'Evans u Sehnbrook', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(976, 'Fath', NULL, 'M', NULL, NULL, NULL, 'Mode-und Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(977, 'Felsenberg', NULL, 'M', NULL, NULL, NULL, 'Tüll und Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(978, 'Ferdeuil', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Mecklembourg', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(979, 'Ferenbach', NULL, NULL, 'Gebr', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(980, 'Feste', NULL, 'M', NULL, NULL, NULL, 'Seidene Bänder', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(981, 'Fester', 'Th.', 'M', NULL, NULL, NULL, 'Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(982, 'Feucht', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(983, 'Fichel', 'E.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(984, 'Fimbel Bergès', NULL, NULL, 'Comp', NULL, NULL, 'Federn und Schlösser für Wagen und Eisenbahnen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(985, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(986, 'Fischer u Hartmann', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(987, 'Flattner', NULL, 'M', NULL, NULL, NULL, 'Café Mulhouse', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(988, 'Focken', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(989, 'Fould u Fould-Oppenheim', NULL, NULL, NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(990, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(991, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(992, 'Franck', NULL, 'M', NULL, NULL, NULL, 'Deutsche Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(993, 'Frank', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(994, 'Frantz', NULL, 'M', NULL, NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(995, 'Friedberg', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(996, 'Friker', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(997, 'Fror', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(998, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(999, 'Fülle', 'Jacob', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1000, 'Fülle', 'Friedr.', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1001, 'Fürstenhoff', NULL, 'F', 'Frau', NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1002, 'Futterer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1003, 'Gabe', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1004, 'Galignani', 'A. U. W.', NULL, 'Comp', NULL, NULL, 'Buchhandlung u. Lesekabinet', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(1005, 'Gau', NULL, 'M', NULL, NULL, NULL, 'Architect', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1006, 'Gaussens', NULL, 'F', 'Frau', NULL, NULL, 'Rentnerin', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1007, 'Gehrig', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1008, 'Geibel', NULL, 'M', 'sen', NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1009, 'Geiger', NULL, 'M', NULL, NULL, NULL, 'Handschuh- u. Hosenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1010, 'Geiger von', NULL, 'M', 'Baron', NULL, NULL, 'Deputirter des Moseldepartements', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(1011, 'Geiger', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1012, 'Geißler', 'A. Und R.', 'M', 'Sohn', NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1013, 'Gerothwohl u Tanner', NULL, NULL, NULL, NULL, NULL, 'Kunstmaler u. Photographen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1014, 'Geyer', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1015, 'Gheerbrant', NULL, 'M', NULL, NULL, NULL, 'Sachwalter am Appelationshof', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1016, 'Gheerbrant', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1017, 'Giesler', 'W.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1018, 'Gleß', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1019, 'Gluten von', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1020, 'Goblez', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1021, 'Gochegrus', 'Carl', 'M', NULL, NULL, NULL, 'Kaffee Talma', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1022, 'Göggel', NULL, 'F', 'Fraulein', NULL, NULL, 'Unterrichtsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1023, 'Göggel', 'T.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1024, 'Götschy', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1025, 'Goldschmidt', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1026, 'Gompertz-Berchem', NULL, 'M', NULL, NULL, NULL, 'Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1027, 'Gossauer', NULL, 'M', NULL, NULL, NULL, 'Vom Hause Hamm, Gossauer u. Comp. ', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1028, 'Goßweiler', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1029, 'Gossauer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1030, 'Gottschalk', 'Moritz', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1031, 'Grafer u Jacob', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1032, 'Gratzmüller', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1033, 'Greder', NULL, 'M', NULL, NULL, NULL, 'Schuhwerk für Damen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1034, 'Greiff', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1035, 'Gresser', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1036, 'Greffer', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1037, 'Großweiler', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1038, 'Groß', NULL, 'M', NULL, NULL, NULL, 'Hemden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1039, 'Grouzard', 'Carl', 'M', NULL, NULL, NULL, 'Lehrer der deutschen und französischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1040, 'Grünberg', 'V.', 'M', NULL, NULL, NULL, 'Perlen u. Diamanten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1041, 'Gründler', 'F. G.', 'M', NULL, NULL, NULL, 'Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1042, 'Grunstadt', NULL, 'M', 'NC', NULL, NULL, 'Getreide- u. Mehlhandel', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(1043, 'Gruter', NULL, 'M', NULL, NULL, NULL, 'Gewesener Notär', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1044, 'Gselle', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zum Rhein', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1045, 'Gürber', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1046, 'Gunckel', 'Heinrich', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1047, 'Gunselmann', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1048, 'Guntzberger', NULL, 'M', 'Sohn', NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1049, 'Haas', 'Julius', 'M', NULL, NULL, NULL, 'Tüll u. Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 4);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(1050, 'Haas', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1051, 'Hadamar', NULL, 'M', NULL, NULL, NULL, 'Hemden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1052, 'Häker', 'Phil. A.', 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1053, 'Hänsel', 'J. Chr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1054, 'Hafener', 'F.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1055, 'Haffner', NULL, 'M', NULL, NULL, NULL, 'Friseur', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1056, 'Haffner', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1057, 'Haffner', 'Peter', 'M', NULL, NULL, NULL, 'Schlosser u. Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1058, 'Haim', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1059, 'Halder', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1060, 'Hall', 'Y.', 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1061, 'Haller', NULL, 'M', NULL, NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1062, 'Halphen', 'G.', 'M', NULL, NULL, NULL, 'Ehemaliger Kaufmann u. General-Consul der Türkei', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1063, 'Halphen', 'Armand', 'M', NULL, NULL, NULL, 'Notar', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1064, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1065, 'Halphen', 'Anselm', 'M', 'NC', NULL, NULL, NULL, 0, 1, 0, NULL, 6, 2, 1, 1, NULL),
(1066, 'Halphen', 'Moritz U. Christ.', 'M', NULL, NULL, NULL, 'Weiße Metallbestecke', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1067, 'Halphen', 'Edmund', 'M', NULL, NULL, NULL, 'Appelationsgerichtsadvocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1068, 'Halphen', 'Germ.', 'M', NULL, NULL, NULL, 'Richter am Handelstribunal', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1069, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1070, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1071, 'Hamburger', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1072, 'Hamburger', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1073, 'Hamm Gossauer', NULL, NULL, 'Comp', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1074, 'Hammelmann', NULL, 'M', NULL, NULL, NULL, 'Hosenträgerfabrikant', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1075, 'Han', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1076, 'Haranger', NULL, 'M', NULL, NULL, NULL, 'Näharbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1077, 'Harbaum', 'A.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1078, 'Harbaum', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1079, 'Hartewig', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1080, 'Hartewig', NULL, 'F', 'Frau', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1081, 'Hartmann', 'F. A.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1082, 'Hartmann', 'J.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1083, 'Hartmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1084, 'Hartogs', 'Ferdinand', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1085, 'Hartwick', 'Ch.', 'M', NULL, NULL, NULL, 'Allgemeines Agentbüreau', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1086, 'Harweiler', NULL, NULL, 'Gebrüder', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1087, 'Hase', 'C.', 'M', 'de l\'Institut', NULL, NULL, 'Verwahrung der Manuscripte der Nationalbibliothek', 1, 0, 0, NULL, 1, 2, 1, 1, 3),
(1088, 'Haskell', 'S.', 'M', NULL, NULL, NULL, 'Handel ins Ausland', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1089, 'Hastein', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1090, 'Hastens', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1091, 'Hattner', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus Mülhausen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1092, 'Hauser', 'A.', 'M', NULL, NULL, NULL, 'Kupferstichherausgeber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1093, 'Hector', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1094, 'Hegelbein', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1095, 'Heid', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1096, 'Heidecke', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1097, 'Heine', 'August', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1098, 'Helbronner', NULL, 'M', 'sen', NULL, NULL, 'Feine Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1099, 'Helbronner', 'J.', 'M', NULL, NULL, NULL, 'Blumenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1100, 'Heller', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1101, 'Heller', NULL, 'M', 'sen', NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1102, 'Heller', NULL, 'M', NULL, NULL, NULL, 'Falsche Perlen u. Steine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1103, 'Hendle', 'Heinrich', 'M', NULL, NULL, NULL, 'Juwelen-Mäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1104, 'Henne', NULL, 'F', 'Wtb', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1105, 'Hennebert', NULL, 'M', NULL, NULL, NULL, 'Bäder', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1106, 'Hennebert', NULL, 'F', 'Fraulein', NULL, NULL, 'Spitzenflickerin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1107, 'Hennet', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1108, 'Herler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1109, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Professor der Violine', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1110, 'Hermann', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1111, 'Hermel', 'A.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1112, 'Hermel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1113, 'Herr', NULL, 'M', NULL, NULL, NULL, 'Handschuhhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1114, 'Herz', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1115, 'Herzer', NULL, 'M', NULL, NULL, NULL, 'Director der allgem. Gesellschaft für die Unterhaltung der Dachdeckung', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1116, 'Herzog', NULL, 'M', NULL, NULL, NULL, 'Bürsten u. Schuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1117, 'Herzog', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1118, 'Herzog', NULL, 'M', 'gen Duc', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1119, 'Hesselbein', NULL, 'M', NULL, NULL, NULL, 'Klavierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1120, 'Hestein', NULL, 'F', NULL, NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1121, 'Hetzlen', NULL, 'M', NULL, NULL, NULL, 'Gasthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1122, 'Heu', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1123, 'Heu', NULL, 'M', NULL, NULL, NULL, 'Buchhändler u. Heraugeber der Musik', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1124, 'Heude', NULL, 'M', NULL, NULL, NULL, 'Papierhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1125, 'Heugel', NULL, 'M', NULL, NULL, NULL, 'Musik-Heraugeber', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1126, 'Heydt', 'J.', 'M', NULL, NULL, NULL, 'Schuh- u. Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1127, 'Hilker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1128, 'Hiltbrunner', 'Ch.', 'M', NULL, NULL, NULL, 'Director des \"Boten der Theater u. der Künste\"', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1129, 'Hirs', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1130, 'Hirt', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1131, 'Hirschler', NULL, 'M', NULL, NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1132, 'Hittorff', NULL, 'M', NULL, NULL, NULL, 'Baumeister der Stadt', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1133, 'Hocher', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1134, 'Hofer', 'N.', 'M', NULL, NULL, NULL, 'Director der \"Parisienne\", gegenseitige Feuersicherungsgesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1135, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1136, 'Hoffmann', 'J. Dietr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1137, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Damenschuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1138, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(1139, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1140, 'Hofmayer', NULL, 'F', 'Fraulein', NULL, NULL, 'Feine Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1141, 'Hofmayer', NULL, 'F', 'Fraulein', NULL, NULL, 'Feine Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1142, 'Hofmayer', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1143, 'Holbach', NULL, 'M', 'Baron', NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1144, 'Holender', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1145, 'Holtinguer', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1146, 'Homasmar', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1147, 'Honacker', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1148, 'Honnet', NULL, 'M', NULL, NULL, NULL, 'Damenschuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1149, 'Hook', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1150, 'Horloski', NULL, 'M', NULL, NULL, NULL, 'Leinwandhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1151, 'Obert', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1152, 'Hottinguer', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1153, 'Ollendorff', 'H. G.', 'M', 'von Dresden', NULL, NULL, 'Professor der deutschen Sprache und Literatur', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1154, 'Oppenheim', 'Paul', 'M', NULL, NULL, NULL, 'Edelsteine und Perlen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1155, 'Oppenheim', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1156, 'Hostein', 'Ed.', 'M', NULL, NULL, NULL, 'Landschaftsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 6),
(1157, 'Oppermann', 'L. C.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1158, 'Hostens', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1159, 'Huber', NULL, 'M', NULL, NULL, NULL, 'Bildhauer, auch Verzierungen v. Pappendeckel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1160, 'Hublin', NULL, 'M', NULL, NULL, NULL, 'Lampenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1161, 'Hulek', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1162, 'Humann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1163, 'Ortmans', NULL, 'M', NULL, NULL, NULL, 'Kunst-Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1164, 'Ostermann', NULL, 'M', 'jun', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1165, 'Huß', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1166, 'Huzel', NULL, 'M', NULL, NULL, NULL, 'Costümehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1167, 'Ottenburg', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1168, 'Otterburg', 'Ch.', 'M', NULL, NULL, NULL, 'Feine und unächte Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1169, 'Ottenburger', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1170, 'Inger', NULL, 'F', 'Frau', NULL, NULL, 'Fertige Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1171, 'Oulman', NULL, NULL, 'die Söhne von C', NULL, NULL, 'Cachemir und indische Schalen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1172, 'Isler', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1173, 'Jacob', NULL, 'M', NULL, NULL, NULL, 'Buchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1174, 'Pastor', NULL, NULL, 'Sohn', NULL, NULL, 'Steinbohrer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1175, 'Jager', NULL, 'M', NULL, NULL, NULL, 'Dreher in Artikeln aller Art', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1176, 'Jäger', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1177, 'Paulus', NULL, 'M', NULL, NULL, NULL, 'Eisenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1178, 'Jahn', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1179, 'Jankowski', NULL, 'M', NULL, NULL, NULL, 'Verpacker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1180, 'Pelger', NULL, 'M', NULL, NULL, NULL, 'Angestellter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1181, 'Janssens', NULL, 'M', 'sen', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1182, 'Jekel', NULL, NULL, 'Gebr', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1183, 'Jonas-Lavater', NULL, 'M', NULL, NULL, NULL, 'Lesekabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(1184, 'Jung', NULL, 'M', NULL, NULL, NULL, 'Parfümeriehandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1185, 'Kaffner', 'F.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1186, 'Kaiser', NULL, 'M', NULL, NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1187, 'Kallenberg u Friedel', NULL, NULL, NULL, NULL, NULL, 'Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1188, 'Kandel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1189, 'Kann', 'Ed. J. H.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1190, 'Kauffmann', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1191, 'Perrot-Dietrich', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1192, 'Kaufmann', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1193, 'Person & Schönwerk', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1194, 'Pesch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1195, 'Peucherin', 'L.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1196, 'Peytel', NULL, 'F', NULL, NULL, NULL, 'Näharbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1197, 'Kayser-Renouard', NULL, 'M', NULL, NULL, NULL, 'Seidenstoffe für Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1198, 'Kegebein', 'Friedrich', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1199, 'Pfeffer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1200, 'Keil', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1201, 'Pfeiffer & Detournière', NULL, NULL, 'Frls', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1202, 'Pfleger', NULL, 'M', 'jun', NULL, NULL, 'Flamländisches Gast- und Speisehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1203, 'Philip', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1204, 'Pickard & Schinck', NULL, NULL, NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1205, 'Keller', NULL, 'F', 'Fraulein', NULL, NULL, 'Weißzeughandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1206, 'Kelm', 'J.', 'F', 'Frau', NULL, NULL, 'Modenwaarenhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1207, 'Kerussec', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1208, 'Kerusec von', NULL, 'M', NULL, NULL, NULL, 'Kassenverwahrer der Gesellschaft Phönix', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1209, 'Kesler', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1210, 'Pickert', 'H. Cour.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1211, 'Pinckert', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1212, 'Platel & Berger', NULL, NULL, NULL, NULL, NULL, 'Leinwandhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1213, 'Plattel', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1214, 'Plattner', NULL, 'M', NULL, NULL, NULL, 'Kaffeehandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1215, 'Platzer', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1216, 'Pleyel', NULL, NULL, 'NC und Comp', NULL, NULL, 'Klavierfabrik', 0, 1, 0, NULL, 1, 2, 1, 1, 5),
(1217, 'Pluzanski', 'J. R.', 'M', NULL, NULL, NULL, 'Advocat und Buchhalter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1218, 'Polak', 'Th.', 'M', NULL, NULL, NULL, 'Edelsteine und Perlen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1219, 'Polak', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1220, 'Pold', 'C.', 'M', NULL, NULL, NULL, 'Schreibereien und Übersetzung', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1221, 'Postel', NULL, 'M', NULL, NULL, NULL, 'Advocat erster Instanz', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1222, 'Postweiler', NULL, 'M', NULL, NULL, NULL, 'Wagenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1223, 'Pradel', NULL, 'M', NULL, NULL, NULL, 'Damenschuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1224, 'Pradel', NULL, 'M', NULL, NULL, NULL, 'Pelzhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1225, 'Puff', 'Ch.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1226, 'Quenesen', NULL, 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1227, 'Questel', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1228, 'Questel', NULL, 'M', 'NC', NULL, NULL, 'Kaffeehaus', 0, 1, 0, NULL, 6, 2, 1, 1, 10),
(1229, 'Radenezet', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1230, 'Ragel', 'Paul Gabriel', 'M', 'Theilhaber des Hauses Destrem Mallet Ragel', NULL, NULL, 'Theilhaber', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1231, 'Rainsden', NULL, 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1232, 'Ramsden', NULL, 'M', NULL, NULL, NULL, 'Goldschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1233, 'Rapp', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1234, 'Ratte', 'H.', 'M', 'Sohn', NULL, NULL, 'Juwelier und Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1235, 'Rattel', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1236, 'Rauch', NULL, 'F', 'Frau', NULL, NULL, 'Depilatorium', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1237, 'Raunheim', 'H.', 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1238, 'Keßler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1239, 'Keßler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1240, 'Keucke', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1241, 'Kahn', NULL, NULL, 'Gebr', NULL, NULL, 'Verfertigte Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1242, 'Kiener', 'A.', 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1243, 'Kiener', 'E.', 'M', NULL, NULL, NULL, 'Vorsteher verschiedener Fabriken', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1244, 'Kierberger', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1245, 'Kiesel', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1246, 'Kilian', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1247, 'Kiner', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1248, 'Kircher', NULL, 'M', NULL, NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1249, 'Kirchner', NULL, 'M', NULL, NULL, NULL, 'Schneidermeister', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1250, 'Kirschenbilder', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1251, 'Kleber', NULL, 'F', 'Frau', NULL, NULL, 'Milchladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1252, 'Kleber', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1253, 'Klein', 'M.', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1254, 'Klein', NULL, 'F', 'Frau', NULL, NULL, 'Stickerin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1255, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Zeichner für Stickmuster', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1256, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Zeichner v. Mustern', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1257, 'Reid', 'Walter', 'M', NULL, NULL, NULL, 'Steinschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1258, 'Reimke', 'Ch. Aug.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1259, 'Reinach', 'H. J.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1260, 'Reinach von', NULL, 'M', 'Baron', NULL, NULL, 'Deputirter des Oberrheins', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(1261, 'Klemm', 'Ch.', 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1262, 'Reinganum', NULL, 'M', NULL, NULL, NULL, 'Sachwalter', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(1263, 'Klincksieck', 'C.', NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1264, 'Remlinger', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1265, 'Klippel', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1266, 'Klose', NULL, 'M', NULL, NULL, NULL, 'Lehrer der Clarinette am Musik-Conservatorium', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1267, 'Reiß', NULL, 'F', 'Frau Witwe', NULL, NULL, 'Weißzeughandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1268, 'Knab', 'C.', NULL, 'Comp', NULL, NULL, 'Civil-Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1269, 'Kneringer', NULL, 'M', NULL, NULL, NULL, 'Instrumentenstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1270, 'Rettig', NULL, 'M', NULL, NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1271, 'Knodt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1272, 'Reuße', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1273, 'Reutlinger', 'Ch.', 'M', NULL, NULL, NULL, 'Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1274, 'Rey', NULL, 'M', NULL, NULL, NULL, 'Näharbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1275, 'Ribbentrop von', 'Adolph', 'M', 'Baron', NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 2, 2, 9),
(1276, 'König', NULL, 'M', NULL, NULL, NULL, 'Metallstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1277, 'Richter', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1278, 'Königswarter', NULL, 'M', NULL, NULL, NULL, 'Doct. der Rechte', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1279, 'Ridel', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1280, 'Kohler', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1281, 'Rieffel', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1282, 'Kohler', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1283, 'Kohler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1284, 'Kolb', NULL, 'M', NULL, NULL, NULL, 'Näharbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1285, 'Ringer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1286, 'Königsvater', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1287, 'Kontzag', NULL, NULL, 'Kontzag jun u Aubken', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1288, 'Kontzag', NULL, 'M', 'sen', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1289, 'Risler-Heilmann', NULL, 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1290, 'Kopp', NULL, NULL, 'Comp', NULL, NULL, 'Strohhutfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1291, 'Ritter', NULL, 'M', NULL, NULL, NULL, 'Aechte und unächte Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1292, 'Ritterich', 'E. G.', 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1293, 'Kosowärth', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1294, 'Kraus', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1295, 'Rode', NULL, 'M', NULL, NULL, NULL, 'Doctor der Medecin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1296, 'Kremer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1297, 'Kretly', 'A.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1298, 'Rößler', 'Wilh. Phil.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1299, 'Roger', NULL, 'M', NULL, NULL, NULL, 'Krämer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1300, 'Krettly', 'A.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1301, 'Roger', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1302, 'Roger', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1303, 'Roger', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1304, 'Kretz', NULL, 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1305, 'Krieg', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1306, 'Kriegelstein', NULL, NULL, 'Comp', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1307, 'Kronauge', 'F. A.', 'M', NULL, NULL, NULL, 'Vorsteher des Polyglottischen Instituts; Herausgeber des Adreßbuches der Deutschen in London und Paris; Uebersetzungen in allen ', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1308, 'Krone', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1309, 'Kropper', NULL, 'M', 'sen', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1310, 'Krug', 'Carl', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1311, 'Rosenfeld', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1312, 'Krug Gebr', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner für Stoffe', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1313, 'Rosenhain', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1314, 'Kugler', 'Adolph', 'M', NULL, NULL, NULL, 'Angestellter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1315, 'Kuhn', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1316, 'Künckel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1317, 'Kunrath', 'Joh.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1318, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1319, 'Kunt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1320, 'Kuntzil', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1321, 'Küntzly', NULL, 'M', NULL, NULL, NULL, 'Doctor', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1322, 'Kunze', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1323, 'Kunzli', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1324, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1325, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1326, 'Kußler', NULL, 'M', NULL, NULL, NULL, 'Bayerisches u. Straßburger Bier', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(1327, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1328, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1329, 'Laden', NULL, 'M', NULL, NULL, NULL, 'Advocat erster Instanz', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1330, 'Rothschild von', 'Salomon', 'M', 'Baron', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 4, 2, 2, 1, 1),
(1331, 'Rothschild von', 'Nathan', 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1332, 'Rothschild von', NULL, NULL, 'Baron und Baronin Nathanael', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1333, 'Lang', NULL, 'M', NULL, NULL, NULL, 'Instrumentenstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1334, 'Rougemont de Löwenberg', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1335, 'Lang', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1336, 'Rubech', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1337, 'Rubech', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1338, 'Ruf', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1339, 'Langstaff-Ehrenberg u Maillard', NULL, 'M', NULL, NULL, NULL, 'Amerikanischer Officier', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(1340, 'Lannes', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1341, 'Laß', NULL, 'M', NULL, NULL, NULL, 'Lehrer der deutschen u. französischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1342, 'Lebel', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1343, 'Leemann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1344, 'Lefebvre', 'Edm.', 'M', NULL, NULL, NULL, 'Betheiligter des Hauses Hagemann, Lefebvre u. Comp., Commissionäre', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(1345, 'Lehman', NULL, 'M', NULL, NULL, NULL, 'Bänder- u. Handschuh-Handlung ', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1346, 'Lappe', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1347, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1348, 'Leider', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1349, 'Lenck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1350, 'Lender', NULL, 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1351, 'Lentz', 'Ph.', 'M', NULL, NULL, NULL, 'Kobaltoxyd u. Sächsischblau-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1352, 'Lenz', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1353, 'Levy-Neyman', NULL, 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1354, 'Levy-Gruntzberger', NULL, 'M', NULL, NULL, NULL, 'Ehem. Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1355, 'Lindemann', NULL, 'M', NULL, NULL, NULL, 'Weißzeughandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1356, 'Lindenberg', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1357, 'Lindenheimer', NULL, 'M', NULL, NULL, NULL, 'Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1358, 'Lindner', NULL, 'M', NULL, NULL, NULL, 'Blechschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1359, 'Link', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1360, 'Linnstedt', 'F. G.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1361, 'Linsig', NULL, 'M', NULL, NULL, NULL, 'Brieftaschen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1362, 'Lipmann', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1363, 'Lipmann', 'Aug.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1364, 'Lipmann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1365, 'Lippmann', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1366, 'Lofloch', NULL, 'F', NULL, NULL, NULL, 'Modehändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1367, 'Loger u Bernard', NULL, NULL, NULL, NULL, NULL, 'Waffenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1368, 'Lohner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1369, 'Loose', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1370, 'Lorgnié u Moos', NULL, NULL, NULL, NULL, NULL, 'Knöpfe u. Kramwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1371, 'Loth', NULL, 'M', NULL, NULL, NULL, 'Pastetenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1372, 'Lotz', NULL, 'M', NULL, NULL, NULL, 'Musiker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1373, 'Lovenmann', 'Amalie', 'F', NULL, NULL, NULL, 'Modehändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1374, 'Lovering', 'J. S.', NULL, 'Comp', NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1375, 'Lutteroth', 'Heinr. C.', 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 1, 2, 1, 2, 9),
(1376, 'Rutten', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1377, 'Rutter', 'Eduard', 'M', NULL, NULL, NULL, 'Kunstgegenstände, Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1378, 'Ryder', 'W. H.', 'M', NULL, NULL, NULL, 'Lehrer der englischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1379, 'Ryder', NULL, 'F', NULL, NULL, NULL, 'Lehrerin der englischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1380, 'Lutz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1381, 'Maas', NULL, 'M', NULL, NULL, NULL, 'Kaffee-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1382, 'Mack', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1383, 'Mahler', NULL, 'M', 'Sohn', NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1384, 'Mahler', NULL, NULL, 'Vater u Sohn', NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1385, 'Maison Kahn', NULL, NULL, 'Gebrüder', NULL, NULL, 'Getragene Kleider', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1386, 'Mainz', 'C.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1387, 'Manheimer', NULL, NULL, 'Sohn', NULL, NULL, 'Juwelen- u. Geschmeidehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1388, 'Manne', NULL, 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Montigny u. Manne. Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1389, 'Mansel', NULL, 'M', NULL, NULL, NULL, 'Wurstler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1390, 'Marx', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1391, 'Massenet', NULL, 'M', NULL, NULL, NULL, 'Hammerwerkmeister', 0, 0, 1, NULL, 1, 2, 1, 1, 5),
(1392, 'Massenet', 'Julie', 'F', 'Fraulein', NULL, NULL, 'Klavierlehrerin u. Componist', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(1393, 'Mathias', 'A.', 'M', NULL, NULL, NULL, 'Waaren-Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1394, 'Mathias', 'M.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1395, 'Mathias', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1396, 'Matzer', NULL, 'M', NULL, NULL, NULL, 'Wagner u. Reisewagen-Vermieter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1397, 'Mauber', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1398, 'Mauermann', 'Joh.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1399, 'May', NULL, 'M', NULL, NULL, NULL, 'Leinwandhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1400, 'Mayer', NULL, 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1401, 'Mayer', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1402, 'Mayer', NULL, 'M', NULL, NULL, NULL, 'Daguerreotypist u. Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1403, 'Mayer', NULL, 'M', NULL, NULL, NULL, 'Blumenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1404, 'Mayer-Hoffer', NULL, 'M', NULL, NULL, NULL, 'Erziehungsanstalt für junge Damen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1405, 'Mech', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1406, 'Mecklemburg von', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1407, 'Meifred', NULL, 'M', NULL, NULL, NULL, 'Hornist in dem Musik-Conservatorium', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1408, 'Meißler', NULL, 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1409, 'Mellinger', 'A.', 'M', NULL, NULL, NULL, 'Kräuterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1410, 'Mendel', 'Joseph U. Julius', NULL, 'Gebrüder', NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1411, 'Mercklein', 'Ch.', 'M', NULL, NULL, NULL, 'Fabrikant mathematischer Werkzeuge u. Gasthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1412, 'Merger', 'C.', 'M', NULL, NULL, NULL, 'Director der Lebens- u. Feuer-Versicherungs-Kassen', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1413, 'Merger', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1414, 'Mertens u Schmidt', NULL, NULL, NULL, NULL, NULL, 'Commissionshandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1415, 'Mertens', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1416, 'Mesmer', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1417, 'Metthez', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1418, 'Metzinger', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appelhof', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1419, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1420, 'Meyer-Spielmann', NULL, NULL, NULL, NULL, NULL, 'Geldwechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1421, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1422, 'Meyer', NULL, NULL, 'Comp', NULL, NULL, 'Artikel für Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1423, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1424, 'Meyer u Himmes', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1425, 'Michel', 'Et. Vinc.', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1426, 'Millot', NULL, 'M', NULL, NULL, NULL, 'Journalist', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1427, 'Misler', NULL, 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1428, 'Moos', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher, Nachfolger v. Lejeune', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1429, 'Morbach', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1430, 'Moris', NULL, 'M', NULL, NULL, NULL, 'Kuchen- u. Bretzelbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1431, 'Morris', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1432, 'Moser', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1433, 'Moser', NULL, 'M', NULL, NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1434, 'Mosselmann', 'Fr.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1435, 'Müller', 'C. H.', 'M', NULL, NULL, NULL, 'Dollmetscher für Reisende', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1436, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1437, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1438, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1439, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Instrumentenstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1440, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1441, 'Müller', NULL, 'F', 'Frau', NULL, NULL, 'Klavierlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1442, 'Mülmans', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1443, 'Müller', NULL, 'F', 'Frau', NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1444, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Wund-Instrumenten-Lager', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1445, 'Müllenbract', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1446, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Klavierstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1447, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Kunstschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1448, 'Mundt', 'J. T.', 'M', NULL, NULL, NULL, 'Juwelen- u. Geschmeidehandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1449, 'Münster', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1450, 'Münster', 'L.', 'M', NULL, NULL, NULL, 'Wechselmäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1451, 'Nathalie-Kolb', NULL, 'F', 'Fraulein', NULL, NULL, 'Näherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1452, 'Neimann', NULL, 'M', NULL, NULL, NULL, 'Handschuhwascherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1453, 'Nelisen', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1454, 'Neuburger', NULL, 'M', NULL, NULL, NULL, 'Lampenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1455, 'Neuburger', NULL, 'M', NULL, NULL, NULL, 'Broncelampenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1456, 'Neuhaus', NULL, 'M', NULL, NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1457, 'Neuhaus', NULL, 'M', 'NC', NULL, NULL, 'Speisewirth', 0, 1, 0, NULL, 6, 2, 1, 1, 10),
(1458, 'Neumann u Huiart', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1459, 'Terlunen', 'J. T.', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1460, 'Thebierge', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1461, 'Thier', NULL, 'M', NULL, NULL, NULL, 'Mechaniker, Fabrikant v. Kinder-Trinkfläschchen, Waagen u. Klistierpumpen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1462, 'Thurneyssen', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1463, 'Tilman', NULL, 'M', NULL, NULL, NULL, 'Blumen- u. Agraffenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1464, 'Träger u Chere', NULL, NULL, NULL, NULL, NULL, 'Kamaschen- u. Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1465, 'Tremmel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1466, 'Triebert', 'Carl', 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1467, 'Trögler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1468, 'Trost', NULL, 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1469, 'Truffaut u Sautter', NULL, NULL, NULL, NULL, NULL, 'Agenten für Erfindungspatente', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1470, 'Tuckermann', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1471, 'Valentin', NULL, 'F', 'Wwe', NULL, NULL, 'Buchbinderei u. Stellenbesorgung', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1472, 'Valteufel', NULL, 'M', NULL, NULL, NULL, 'Musik-Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1473, 'Vandenberghe', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1474, 'Van Derborgt', NULL, 'F', 'Fraulein', NULL, NULL, 'Hôtel Michodière', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1475, 'Vandenbrock', 'Friedrich', 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Grene u. Comp.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1476, 'Vanderbruck', NULL, 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1477, 'Vanderheym', 'S.', 'M', NULL, NULL, NULL, 'Juwelier- u. Diamantenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1478, 'Vanderheim', NULL, 'M', NULL, NULL, NULL, 'Juwelenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1479, 'Van Minde', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1480, 'Vanner', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1481, 'Van Overberg', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1482, 'Van Peetersen', 'P. J. J. B.', 'M', NULL, NULL, NULL, 'Fabrik künstlicher Arme', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1483, 'Vanthielen', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1484, 'Verein Deutscher', NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1485, 'Verstän', NULL, 'M', 'jun', NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1486, 'Verwäde', NULL, 'M', NULL, NULL, NULL, 'Mineralwasser', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1487, 'Vetter', 'H. J.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1488, 'Vogel', 'F.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1489, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1490, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Figurengießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1491, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1492, 'Vogt', NULL, 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1493, 'Volenbert', NULL, 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1494, 'Volk', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1495, 'Vorms', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1496, 'Vormser', NULL, 'M', NULL, NULL, NULL, 'Leinwandhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1497, 'Waaser', NULL, 'M', 'sen', NULL, NULL, 'Metallschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1498, 'Wagner', NULL, NULL, 'Comp', NULL, NULL, 'Weinhandlung in Großem', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1499, 'Wagner', 'J.', 'M', 'Neffe', NULL, NULL, 'Kunstuhrenmacher', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(1500, 'Wagner', 'Clara', 'F', 'Fraulein', NULL, NULL, 'Modenwaaren für Kinder', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1501, 'Wagner', 'Carl', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1502, 'Wagner', 'Therese', 'F', NULL, NULL, NULL, 'Putzmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1503, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Hôtel Papillon', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1504, 'Wagon', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1505, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1506, 'Wahl', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1507, 'Wagram', 'Berth.', 'M', 'Prinz', NULL, NULL, 'Senator', 0, 0, 0, NULL, 1, 2, 1, 1, 1),
(1508, 'Wahl', NULL, NULL, 'Comp', NULL, NULL, 'Fabrikant v. hydraulischem Kalk', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1509, 'Wahl', 'F.', 'M', NULL, NULL, NULL, 'Agent der Steinkohlengrube v. Commentry', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1510, 'Walch', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1511, 'Walsh', NULL, 'M', NULL, NULL, NULL, 'Englische Apotheke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1512, 'Walter', 'F.', 'M', NULL, NULL, NULL, 'Säckler u. Kamaschenschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1513, 'Walter', 'Aloys', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1514, 'Wanderloven', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1515, 'Waser', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1516, 'Sänger', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1517, 'Sage', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1518, 'Weber-Bousquet', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1519, 'Weber-Hostein', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1520, 'Wegmann', NULL, NULL, 'Wwe u Sohn', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1521, 'Sauberlich', 'H. G.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1522, 'Weil', NULL, 'F', 'Frau', NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1523, 'Schaye', NULL, 'M', NULL, NULL, NULL, 'Beeidigter am Handelsgericht', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(1524, 'Sauberborn', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1525, 'Sautter', 'Moritz', 'M', NULL, NULL, NULL, 'Geschäftscabinet für Privat- und Gerichtsangelegenheiten', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1526, 'Schetter', 'Heinr.', 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 3, 2, 1, 1, 5),
(1527, 'Sax', 'Adolph', NULL, 'Comp', NULL, NULL, 'Gesellschaft für Anfertigung musikalischer Messing- und Holzinstrumente', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1528, 'Scheffer', 'F.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1529, 'Schetter', 'A.', 'M', 'sen', NULL, NULL, 'Maler', 0, 0, 0, NULL, 3, 2, 1, 1, 5),
(1530, 'Weingartner', NULL, NULL, 'Comp', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1531, 'Weis', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1532, 'Weiß', 'G.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1533, 'Schaal', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1534, 'Scheffer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1535, 'Schefler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1536, 'Scheherer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1537, 'Weiß', NULL, 'M', NULL, NULL, NULL, 'Ofensetzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1538, 'Schelcher', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1539, 'Schäfer', 'J. H.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1540, 'Schemer', NULL, 'M', NULL, NULL, NULL, 'Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1541, 'Schemite Barde & Devallier', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1542, 'Scheyot', 'Hipp.', 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1543, 'Schick', 'F.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1544, 'Schier', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1545, 'Schildge', 'G. H.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1546, 'Welter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1547, 'Schiller', NULL, 'M', NULL, NULL, NULL, 'Buchdrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1548, 'Wentz', 'G. Friedr.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1549, 'Wenzel', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1550, 'Werner', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäfte', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1551, 'Werner', NULL, 'M', NULL, NULL, NULL, 'Tabaksbüreau', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1552, 'Wernert', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1553, 'Wernet', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1554, 'Wertheimber', 'D. J.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1555, 'West', NULL, 'M', NULL, NULL, NULL, 'Verwalter der allgemeinen Fahrposten', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1556, 'Widmer', NULL, 'M', NULL, NULL, NULL, 'Specerei-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1557, 'Widmer', NULL, 'F', 'Frau', NULL, NULL, 'Eigenthümerin', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1558, 'Wiering', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1559, 'Wild', 'Ch.', 'M', NULL, NULL, NULL, 'Civilbaumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1560, 'Schindler', 'Ph.', 'M', NULL, NULL, NULL, 'Schneider, Kleiderhandlung', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1561, 'Schinnerer', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1562, 'Schlech', 'J.', 'M', NULL, NULL, NULL, 'Wagenschlösser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1563, 'Schleich', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1564, 'Schlesinger', 'Martin', 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1565, 'Schlesinger', 'Moritz', 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1566, 'Schlesinger', NULL, NULL, 'Gebr', NULL, NULL, 'Antiquarische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(1567, 'Schlink', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1568, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1569, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Warencommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1570, 'Schnapper', 'Gebr.', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1571, 'Schneider', NULL, NULL, 'Comp', NULL, NULL, 'Eisen und Maschinen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1572, 'Schneider', 'C.', 'M', NULL, NULL, NULL, 'Vorsteher der Hammerwerke von Creusot u. Deputirter v. Saône-Loire', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1573, 'Schneider', NULL, 'F', 'Frau', NULL, NULL, 'Heinr.-Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1574, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1575, 'Schneitzhöffer', NULL, 'M', 'Sohn', NULL, NULL, 'Advocat am Appellhofe', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1576, 'Schnell', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1577, 'Schnetzhöffer', NULL, 'M', 'Sohn', NULL, NULL, 'Advocat am Appellhofe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1578, 'Schodduhn', NULL, 'M', NULL, NULL, NULL, 'Def. Eisenhandlung für Wagen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1579, 'Schölcher', NULL, 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1580, 'Schölkopf', 'Ch.', 'M', NULL, NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1581, 'Schmahl', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1582, 'Schön', NULL, NULL, 'Gebr', NULL, NULL, 'Bierbrauer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1583, 'Schmalz', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1584, 'Schmalz', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner und Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1585, 'Schmer', NULL, 'M', NULL, NULL, NULL, 'Schirmverfertiger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1586, 'Schmidt', 'C.', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1587, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1588, 'Schmidt', 'J. B.', 'M', NULL, NULL, NULL, 'Fensterglas', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1589, 'Schmidt', 'Adalbert', 'M', NULL, NULL, NULL, 'Vertreter verschiedener ausländischer Fabriken', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1590, 'Wilhelms', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1591, 'Wimmerlin', 'L.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1592, 'Winder', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1593, 'Winkler', 'X.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1594, 'Winkler', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1595, 'Winter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1596, 'Wirth', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1597, 'Wirth', NULL, 'M', NULL, NULL, NULL, 'Lager schweizer Holzfiguren', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(1598, 'Wisnick-Domere u Armonville', NULL, NULL, NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1599, 'Witzig', 'Caspar', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1600, 'Wölfel', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1601, 'Schmieder', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1602, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1603, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1604, 'Schmitz', 'C. D.', 'F', 'Frau', NULL, NULL, 'Spanische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1605, 'Scholefield', 'Thomas', NULL, 'Comp', NULL, NULL, 'Gasmesserfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1606, 'Scholtus', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1607, 'Schön', NULL, 'M', NULL, NULL, NULL, 'Bayerische Bierbrauerei', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1608, 'Schon', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1609, 'Schon', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1610, 'Schonenberger', NULL, 'M', NULL, NULL, NULL, 'Musikverleger', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1611, 'Schor', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1612, 'Schumacher', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1613, 'Wolf', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1614, 'Wolfel', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1615, 'Wolff', 'E.', 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1616, 'Wolff', 'A.', 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1617, 'Schrader', NULL, 'M', NULL, NULL, NULL, 'Schneider, Hoflieferant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1618, 'Schwister', NULL, NULL, 'Gebrüder', NULL, NULL, 'Buchbeschläger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1619, 'Schroth', NULL, 'M', NULL, NULL, NULL, 'Gemälde', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1620, 'Segouin', 'Alexander', 'M', NULL, NULL, NULL, 'Magnetismuslehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1621, 'Seidel', NULL, 'M', NULL, NULL, NULL, 'Mobilien- und Frachtgüterbeförderung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1622, 'Seigle', NULL, 'F', 'Frau', NULL, NULL, 'Fraueninstitut', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(1623, 'Seilheimer', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1624, 'Worms', NULL, 'M', NULL, NULL, NULL, 'Badhaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1625, 'Worms', 'O.', 'M', NULL, NULL, NULL, 'Oberarzt in dem Militärspital Gros-Caillou', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(1626, 'Worms', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1627, 'Schuck', NULL, 'F', 'Frau', NULL, NULL, 'Westen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1628, 'Wunderlich', 'Ch. Wilh.', 'M', NULL, NULL, NULL, 'Sacristan in der Kirche Redemption', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(1629, 'Seligmann', 'F.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1630, 'Wurtel', 'F.', 'M', NULL, NULL, NULL, 'Taschen-, Stand- u. Musikuhren-, Wecker- u. Musikdosen-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1631, 'Schuler', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Vorsteher der Registratur', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(1632, 'Schuller', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1633, 'Wust', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1634, 'Wyber', 'Joh. L.', 'M', NULL, NULL, NULL, 'Besorgt Aufträge für Buchhandlungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1635, 'Senn', NULL, 'F', 'Frau', NULL, NULL, 'Korsettenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1636, 'Zanck', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1637, 'Zang', 'J.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1638, 'Serve', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1639, 'Zay', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer, Herausgeber eines deutsch-französischen Wörterbuchs', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1640, 'Seyffert', NULL, 'M', 'NC', NULL, NULL, 'Blei- u. Zinkarbeiter', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(1641, 'Zeller', 'Adam', 'M', NULL, NULL, NULL, 'Wagenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1642, 'Zellweger', 'U.', NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1643, 'Schumacher', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher, Hoflieferant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1644, 'Sichel', 'O.', 'M', NULL, NULL, NULL, 'Doktor der Medicin', 0, 0, 1, NULL, 1, 2, 1, 1, 10),
(1645, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1646, 'Schuster', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1647, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1648, 'Schutz', NULL, 'F', 'Wtw', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1649, 'Siefert', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1650, 'Schutz', NULL, 'M', NULL, NULL, NULL, 'Eisenwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1651, 'Siemers-Vaucher', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1652, 'Schwartz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1653, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1654, 'Sigwalt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1655, 'Schwabchershon', NULL, NULL, 'Comp', NULL, NULL, 'Juwelenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1656, 'Schwabe', 'G.J.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1657, 'Schwallier', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1658, 'Simon', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1659, 'Zipper', 'J. Ph.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1660, 'Singer', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Wechselagent', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1661, 'Singer', NULL, NULL, 'Comp', NULL, NULL, 'Papierhandel und Pumpen-Tintenfässerfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1662, 'Singer', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1663, 'Schwebisch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1664, 'Zolver', NULL, 'M', NULL, NULL, NULL, 'Möbelmagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1665, 'Sitt', NULL, 'M', 'Sohn sen', NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1666, 'Zuber', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1667, 'Sittler', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1668, 'Sitterlin', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1669, 'Zürcher', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1670, 'Sitt', NULL, 'F', 'Frau', NULL, NULL, 'Fußarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1671, 'Sittler', 'Leon', 'M', NULL, NULL, NULL, 'Handel fremder Weine u. Straßburger Würste', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1672, 'Sonntag u Geyer', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1673, 'Sorg', 'J. Friedr.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1674, 'Soutzner', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(1675, 'Späthe', 'Chr. Ch.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1676, 'Speeckaert', NULL, 'M', NULL, NULL, NULL, 'Ball- u. Theateranzüge', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(1677, 'Spenner', NULL, 'M', NULL, NULL, NULL, 'Vorsteher des Central-Comitee\'s für den Elementarunterricht', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1678, 'Spenner', NULL, 'F', 'Frau', NULL, NULL, 'Communalschule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1679, 'Sperenberd', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1680, 'Spiegelhalter', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher u. Säckler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1681, 'Spiegelhaler', NULL, 'M', NULL, NULL, NULL, 'Militärausrüstung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1682, 'Spielmann Meyer', NULL, NULL, 'Comp', NULL, NULL, 'Geldwechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1683, 'Stach', NULL, 'F', 'Frau', NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1684, 'Stahler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1685, 'Starck', NULL, 'M', NULL, NULL, NULL, 'Schuh- u. Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1686, 'Staub', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1687, 'Staub', NULL, 'M', 'jun', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1688, 'Steffen', 'E.', 'M', NULL, NULL, NULL, 'Geldwechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1689, 'Stegen', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1690, 'Steiberg', NULL, 'M', NULL, NULL, NULL, 'Handelsunterricht', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1691, 'Steinbach', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zu den Hochalpen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1692, 'Steiner', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1693, 'Stermans', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1694, 'Stern', 'A. J.', NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1695, 'Stern u Kruc', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1696, 'Stewart', 'A. T.', NULL, 'Comp', NULL, NULL, 'Speditionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1697, 'Stiebel', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1698, 'Stiefel', 'J.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1699, 'Stiegler', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1700, 'Stock', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1701, 'Stoffeld', NULL, 'M', NULL, NULL, NULL, 'Strohhüte', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1702, 'Stollmer', 'Chr. Ludw.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1703, 'Stolz', NULL, NULL, 'Vater u Comp', NULL, NULL, 'Mechanicus, Bleigießer u. Spitzenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1704, 'Stolz', NULL, 'M', 'Sohn', NULL, NULL, 'Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1705, 'Stolz', NULL, 'F', 'Frau', NULL, NULL, 'Specereihandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1706, 'Strauß', NULL, 'M', NULL, NULL, NULL, 'Kosthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1707, 'Streiff', 'Fr.', 'M', NULL, NULL, NULL, 'Strohhutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1708, 'Streitberg', 'A.', 'M', NULL, NULL, NULL, 'Beeidigter Uebersetzer u. Expert im Rechnungsfache', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1709, 'Stritter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1710, 'Systermans', NULL, 'M', 'jun', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1711, 'Taboski', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1712, 'Talrich', 'Julius', 'M', NULL, NULL, NULL, 'Verfertiger anatomischer Wachsgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1713, 'Tascher von', 'O.', 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(1714, 'Tascher de la Pagerie von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1715, 'Tetrel', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1716, 'Rothschild von', 'Joh. G.O.', 'M', 'Baron', NULL, NULL, 'General-Consul Oesterreichs', 0, 0, 0, NULL, 1, 2, 2, 1, 3),
(1717, 'Rothschild von', NULL, 'F', 'Baronin Nathanael', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(1718, 'Weigel', 'Lina', 'F', 'Fraulein', NULL, NULL, 'Modehändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1719, 'Baron', 'J.', 'M', NULL, NULL, NULL, 'Geschäftsagent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1720, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1721, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1722, 'Homberg', NULL, NULL, 'Comp', NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(1723, 'Jager-Schmidt', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1724, 'Philip', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1725, 'Neynens', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1726, 'Niderhofheim', NULL, NULL, 'Comp', NULL, NULL, 'Bankier- und Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1727, 'Niederhofheim', NULL, 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1728, 'Niesgodzki', 'P.', NULL, 'Bloom P', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1729, 'Nolf', NULL, 'M', NULL, NULL, NULL, 'Spielwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1730, 'Nortmann', NULL, 'M', NULL, NULL, NULL, 'Fußarzt', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(1731, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(1732, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Hosenträger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1733, 'Adam', NULL, 'F', 'Frau', NULL, NULL, 'Lehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1734, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1735, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1736, 'Adler', NULL, 'M', NULL, NULL, NULL, 'Windinstrumentenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1737, 'Ackermann', NULL, 'F', 'Frau', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1738, 'Alhein', NULL, 'F', 'Frau', NULL, NULL, 'Schuhzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1739, 'Allembach', NULL, 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1740, 'Allemoz', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Rheims', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1741, 'Allen-Hazen', NULL, NULL, 'Comp', NULL, NULL, 'Seidewaaren, Versendungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1742, 'Ameling', NULL, 'M', NULL, NULL, NULL, 'Kupferstiche', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1743, 'Aronssohn', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1744, 'Bach-Pérès', NULL, 'M', NULL, NULL, NULL, 'Rollvorhangfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1745, 'Bär', NULL, 'M', NULL, NULL, NULL, 'Nanziger Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1746, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1747, 'Baron', NULL, 'F', 'Frau', NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1748, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Juwelenfasser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1749, 'Bauer', 'A.', NULL, 'Comp', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1750, 'Bauer', 'Louis', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1751, 'Beck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1752, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1753, 'Berger', 'Walter', 'M', NULL, NULL, NULL, 'Lichtschirm- und geographische Reliefkartenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1754, 'Bernhard', 'Heinr.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft in Waaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1755, 'Bernhard', NULL, 'M', NULL, NULL, NULL, 'Pferdehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1756, 'Bernhardt', 'A. U. E.', NULL, 'Sohn u Comp', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1757, 'Bernheim', 'Julius', 'M', NULL, NULL, NULL, 'Bänder von Seide und Sammt', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1758, 'Berr', 'D.', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1759, 'Berger-Walter', NULL, 'M', NULL, NULL, NULL, 'Lichtschirme ', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1760, 'Bettinger', NULL, 'M', 'Neffe', NULL, NULL, 'Zeugmodler, Mohrer- und Wattenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1761, 'Bing', NULL, NULL, 'Gebrüder und Comp', NULL, NULL, 'Waaren-Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1762, 'Blech Steinbach und Mantz', NULL, NULL, NULL, NULL, NULL, 'Wachstuch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1763, 'Block', 'D. L.', NULL, 'Comp', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1764, 'Blum', NULL, NULL, 'Gebrüder', NULL, NULL, 'Fertige Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1765, 'Blumenfeld', NULL, 'M', NULL, NULL, NULL, 'Deutsche Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1766, 'Borsendorff', 'L.', NULL, 'Comp', NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1767, 'Bosch', 'Michel', 'M', NULL, NULL, NULL, 'Gebäudemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1768, 'Brackmann', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1769, 'Brackmann', NULL, 'F', 'Frau', NULL, NULL, 'Korsettenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1770, 'Brucker', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1771, 'Bruner', NULL, 'M', NULL, NULL, NULL, 'Fertige Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1772, 'Brunswick', 'Jos.', 'M', NULL, NULL, NULL, 'Goldschmuck und Juwelenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1773, 'Buch u Gervex', NULL, NULL, NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1774, 'Burkard', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1775, 'Castner', NULL, NULL, 'Comp', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1776, 'Claude', 'J.', NULL, 'Gebr', NULL, NULL, 'Musterzeichner für Stoffdruckereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1777, 'Compers', NULL, 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1778, 'Curmer', NULL, 'M', NULL, NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1779, 'Daniel-Klein', NULL, 'F', 'Fräulein', NULL, NULL, 'Klavierlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1780, 'Dewamen', NULL, 'M', NULL, NULL, NULL, 'Gasttafel', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1781, 'Dörr', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1782, 'Dörschuck', NULL, 'M', NULL, NULL, NULL, 'Kaffeemagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1783, 'Dollfus', 'Fried.', 'M', 'NC', NULL, NULL, 'Wachstuch und Modewaaren', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(1784, 'Dollfus-Mieg', NULL, NULL, 'NC u Comp', NULL, NULL, 'Wachstuchhandel', 0, 1, 0, NULL, 1, 2, 1, 1, 4),
(1785, 'Dolz', 'C. F.', 'M', NULL, NULL, NULL, 'Deutsches Botenamt', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(1786, 'Dovesch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1787, 'Dreyfus', 'Friedrich', 'M', NULL, NULL, NULL, 'Fabrik neuer Stoffe', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(1788, 'Dreyfus', 'Adolph', 'M', NULL, NULL, NULL, 'vom Hause Meyer und Dreyfus', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1789, 'Dreyfus Gonthier', NULL, NULL, 'Comp', NULL, NULL, 'Schreibmaterialen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1790, 'Duttenhoffer', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1791, 'Eggly u Schwind', NULL, NULL, NULL, NULL, NULL, 'Merino, Wollmusselin und Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1792, 'Eng', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1793, 'Engel', NULL, 'F', 'Fraulein', NULL, NULL, 'Blumenhändlerin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1794, 'Ernest', NULL, 'M', NULL, NULL, NULL, 'Früher Hotel de Mulhouse und du Croissant', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1795, 'Fällmé', 'Fried.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1796, 'Fastinger', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1797, 'Fechner', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1798, 'Feist', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1799, 'Feldmann', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1800, 'Fincken', 'J.', 'M', NULL, NULL, NULL, 'Glaswaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1801, 'Finsterlin', 'Julius', 'M', NULL, NULL, NULL, 'Commissionsgechäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1802, 'Fischer', 'G.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1803, 'Fischer', NULL, NULL, 'Gebrüder u Kienlein', NULL, NULL, 'Modewaaren in Großem', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1804, 'Fletcher', 'E.', 'M', 'de Caen', NULL, NULL, 'Spitzen u. Blonden', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1805, 'Fluter', NULL, 'F', 'Fräul', NULL, NULL, 'Nähwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1806, 'Formstecher', NULL, 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1807, 'Franck', 'B.', NULL, 'Franck jun u Comp', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1808, 'Franck-Bloqué', NULL, 'M', NULL, NULL, NULL, 'Parfüm', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1809, 'Frank', NULL, 'F', 'Wittwe', NULL, NULL, 'Klavierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1810, 'Frederick-Lewille', NULL, 'M', NULL, NULL, NULL, 'Weißzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1811, 'Frère-Kurz', NULL, 'M', NULL, NULL, NULL, 'Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1812, 'Friedel u Kallenberg', NULL, NULL, NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1813, 'Fuld', 'S.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1814, 'Fuhrberg', 'Friedrich', 'M', NULL, NULL, NULL, 'Gast-, Kaffee- u. Speisehaus', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(1815, 'Gau', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1816, 'Gaussen jun Fargeton u Comp', NULL, 'M', NULL, NULL, NULL, 'Schalen', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(1817, 'Gaussen Maximus u comp', NULL, 'M', NULL, NULL, NULL, 'Schalenfabrik', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(1818, 'Geisler', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1819, 'Gerser', 'C.', 'M', NULL, NULL, NULL, 'Juwelenemaillirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1820, 'Giesé u Dolmann', NULL, NULL, NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1821, 'Gisel', 'J. Jac.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1822, 'Gimbert Vie u E Robert', NULL, NULL, NULL, NULL, NULL, 'Cachemir', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1823, 'Glas', NULL, 'M', NULL, NULL, NULL, 'Kastenmacher u. Verpacker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1824, 'Goer von', 'H.', 'M', 'Vom Hause Hte De Goer u Rifflard', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1825, 'Goldner', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1826, 'Gugenheim', NULL, NULL, 'Gugenheim Léon Wwe u Comp', NULL, NULL, 'Weißwaaren u. Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1827, 'Gompertz', 'E.', 'M', 'jun', NULL, NULL, 'Fabrik von Weiß- u. Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1828, 'Grätzer u Hermann', NULL, NULL, NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1829, 'Greiner', NULL, 'M', NULL, NULL, NULL, 'Militärequipirung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1830, 'Greinheiser', NULL, 'M', NULL, NULL, NULL, 'Metallgravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1831, 'Greutzer', 'A. E.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1832, 'Griès', 'J.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1833, 'Grisar', 'J.', NULL, 'Comp', NULL, NULL, 'Repräsentanten verschiedener Häuser Deutschlands, Belgiens u. der Schweiz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1834, 'Grosholz', 'Ph.', 'M', NULL, NULL, NULL, 'Commissonsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1835, 'Grumbach', NULL, 'M', NULL, NULL, NULL, 'Nanziger Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1836, 'Grumel', NULL, 'M', NULL, NULL, NULL, 'Weine, Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1837, 'Gugenheim', 'Marx', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1838, 'Guillebert', 'E.', 'M', NULL, NULL, NULL, 'Druckstoffe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1839, 'Gyssens', NULL, 'M', NULL, NULL, NULL, 'Fabrik musikalischer Holzinstrumente', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1840, 'Haffner', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1841, 'Haim', NULL, 'M', NULL, NULL, NULL, 'Hemden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1842, 'Halphen', 'A.', 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1843, 'Halphen', 'M.', 'M', NULL, NULL, NULL, 'Appelationsgerichtsadvocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1844, 'Hammel u Huber', NULL, NULL, NULL, NULL, NULL, 'Künstliche Formen von Gutta-Percha', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1845, 'Hammerich', NULL, 'M', NULL, NULL, NULL, 'Glaser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1846, 'Handel', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1847, 'Happich', NULL, 'M', NULL, NULL, NULL, 'Sattler u. Gürtler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1848, 'Hartmann', 'O.', NULL, 'Sohn', NULL, NULL, 'Wachstuch u. gesponnene Baumwolle', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(1849, 'Hartweck', 'Eduard', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1850, 'Hasse', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1851, 'Haub', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1852, 'Hauser', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1853, 'Hauser', 'J. Ch.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1854, 'Haußmann', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1855, 'Hefty', 'Oswald', 'M', NULL, NULL, NULL, 'Handelscommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1856, 'Heiller', NULL, 'M', NULL, NULL, NULL, 'Filethandschuhefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1857, 'Helbronner', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1858, 'Helbronner', 'Gustav', 'M', NULL, NULL, NULL, 'Straminstickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1859, 'Hemardinger', 'M.', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1860, 'Hering jun', 'A.', 'M', 'NC', NULL, NULL, 'Baumwolltuch', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(1861, 'Hermann-Vygen', NULL, 'M', 'Sohn sen', NULL, NULL, 'Klaviermacher u. Stimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1862, 'Herr', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1863, 'Hertzog u Normand', 'C.', NULL, NULL, NULL, NULL, 'Kaufleute', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1864, 'Hessel', NULL, 'M', NULL, NULL, NULL, 'Hemden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1865, 'Heumann', 'H.', 'M', NULL, NULL, NULL, 'Papierhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1866, 'Hibbak', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1867, 'Hillemacher', NULL, 'M', NULL, NULL, NULL, 'Director der Gesellchaft: die vier Kanäle', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1868, 'Hillerin', NULL, 'F', 'Frau', NULL, NULL, 'Hauben', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1869, 'Hilman', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1870, 'Hirisch', 'Heinrich', 'M', NULL, NULL, NULL, 'Wollespitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1871, 'Hirsch', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeug u. Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1872, 'Hirsch', 'S.', 'M', NULL, NULL, NULL, 'Professor der lebenden Sprachen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1873, 'Höchster', NULL, 'M', NULL, NULL, NULL, 'Doctor der Rechte', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(1874, 'Hock', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1875, 'Höck', 'J. R.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1876, 'Hörler', NULL, 'M', NULL, NULL, NULL, 'Friseur', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1877, 'Hofmann', 'P.', 'M', NULL, NULL, NULL, 'Mechanikus u. Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1878, 'Hoffmann', 'S.', 'M', NULL, NULL, NULL, 'Zeichner für Drucksachen u. Neuerungen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1879, 'Hölters', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(1880, 'Holtzapffel', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1881, 'Hommel', NULL, 'F', 'Frau', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1882, 'Honegger', 'A.', NULL, 'Comp', NULL, NULL, 'Handelscommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1883, 'Oberhauser', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1884, 'Oppenheim', NULL, 'M', NULL, NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1885, 'Oppenheim', 'D.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1886, 'Oppenheimer', 'N. B.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1887, 'Oppermann', 'J. Jac.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1888, 'Ortenbach', 'J.', 'M', NULL, NULL, NULL, 'Fabrikenvertreter', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1889, 'Hüchting', 'G. W.', 'M', NULL, NULL, NULL, 'Mitarbeiter der \"Börsenhalle\"', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(1890, 'Oswald-Hefty', NULL, 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1891, 'Huten', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1892, 'Hutten', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1893, 'Immerwahr', 'H.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1894, 'Isch', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1895, 'Israel', 'A.', NULL, 'B Rheims', NULL, NULL, 'Commssionsgeschäft in gewirkten Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1896, 'Jager-Schmidt', 'G.', NULL, 'Ch Julian', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1897, 'Janziond', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1898, 'Jung', 'Ferdinand', NULL, 'Comp', NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1899, 'Junker', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner für Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1900, 'Kastner', 'Marie', NULL, 'Comp', NULL, NULL, 'Damenkleider-Anzüge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1901, 'Kaull', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1902, 'Kayser', 'Xaver', NULL, 'Comp', NULL, NULL, 'Baumwollenzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1903, 'Keenan', 'J.', 'M', NULL, NULL, NULL, 'Spitzenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1904, 'Keenan-Bonte', NULL, 'M', NULL, NULL, NULL, 'Leinenspitzen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1905, 'Keicher', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1906, 'Keller', 'Eugen', 'M', NULL, NULL, NULL, 'Wollhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1907, 'Kern', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1908, 'Pinodo von', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 1, NULL, 6, 2, 1, 2, 9),
(1909, 'Poschol', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1910, 'Povel u Mühler', NULL, NULL, NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1911, 'Preinsler', 'I.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1912, 'Rapp', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1913, 'Ratte', 'L.', 'M', NULL, NULL, NULL, 'Juwelier und Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1914, 'Rau', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1915, 'Rehfeld', NULL, 'M', NULL, NULL, NULL, 'Schreiblehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1916, 'Kiefer', NULL, 'M', NULL, NULL, NULL, 'Weißzeugladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1917, 'Kienlin', 'Ch.', 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Gebrüder Fischer u. Kienlin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1918, 'Kindberg', NULL, 'M', NULL, NULL, NULL, 'Feuervergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1919, 'Klapprath', NULL, NULL, 'Comp', NULL, NULL, 'Commissions-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1920, 'Klemczynsky', 'Julius', 'M', NULL, NULL, NULL, 'Klavierlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1921, 'Reinhard', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1922, 'Klenck sen', NULL, 'M', NULL, NULL, NULL, 'Allgemeines Briefwechselbüreau', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1923, 'Kley', 'Hermann', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1924, 'Klotz', NULL, 'M', NULL, NULL, NULL, 'Handel in Modestoffen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1925, 'Knapp', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1926, 'Renckhoff', 'Gilb. Dietr.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1927, 'Reuß', NULL, NULL, 'Frauen', NULL, NULL, 'Lehranstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1928, 'Rheims', NULL, 'M', NULL, NULL, NULL, 'Mayer. Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1929, 'Kock', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1930, 'Köchlin', NULL, NULL, 'Gebrüder aus Mühlhausen', NULL, NULL, 'Gedruckte Stoffe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1931, 'König', NULL, 'M', NULL, NULL, NULL, 'Singlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1932, 'Rieder & Lecoq', NULL, NULL, NULL, NULL, NULL, 'Porcellan', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1933, 'Rieder', NULL, 'M', NULL, NULL, NULL, 'Commissions-Weinhandel und Liqueure', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1934, 'Kögel', 'Wilh.', 'M', NULL, NULL, NULL, 'Speisewirthschaft', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(1935, 'Kohl u Monroux', NULL, NULL, NULL, NULL, NULL, 'Commissionär in Wolle', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1936, 'Rieg', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1937, 'Riel', 'Julius', 'M', NULL, NULL, NULL, 'Uhrschlüsselkanonen im Großen und Nadelniederlage', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1938, 'Koller', 'Jac.', 'M', NULL, NULL, NULL, 'Agent der Schweizer Webereifabriken', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1939, 'Koppe', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1940, 'Kormann', NULL, 'M', NULL, NULL, NULL, 'Hôtel Saint-Pierre', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1941, 'Korn', NULL, NULL, 'Vater u Sohn', NULL, NULL, 'Stickereifabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1942, 'Korsten', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1943, 'Rixem', NULL, NULL, 'Gebr', NULL, NULL, 'Kunstverleger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1944, 'Krauß', 'E. F.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1945, 'Krauth', NULL, 'M', NULL, NULL, NULL, 'Limonaden-Händler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1946, 'Rölen', 'I.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1947, 'Roeser', NULL, NULL, 'Gebrüder', NULL, NULL, 'Hemdenhandel im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1948, 'Krieger u Leonard', NULL, NULL, NULL, NULL, NULL, 'Commissionäre fürs Ausland', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1949, 'Krinitz', NULL, 'M', NULL, NULL, NULL, 'Blumen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1950, 'Kroll', NULL, 'M', 'sen', NULL, NULL, 'Mundstückmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1951, 'Rossenwald', NULL, 'M', NULL, NULL, NULL, 'Tuchfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1952, 'Rosenbaum', NULL, 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1953, 'Rosenthal', 'C.', NULL, 'Comp', NULL, NULL, 'Schalenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1954, 'Kruser', NULL, 'M', NULL, NULL, NULL, 'Weinwirthschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1955, 'Kübler', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1956, 'Rosenthal', 'S.', 'M', NULL, NULL, NULL, 'Commissionswaarenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1957, 'Kuhn', NULL, 'F', NULL, NULL, NULL, 'Schreiblehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1958, 'Kuhn', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1959, 'Rosenwald', NULL, NULL, 'Söhne Salomons', NULL, NULL, 'Tuchfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1960, 'Kulp', NULL, NULL, 'Gebr', NULL, NULL, 'Waarencommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1961, 'Kuluser', NULL, 'M', NULL, NULL, NULL, 'Weinwirthschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1962, 'Kußler', NULL, 'F', 'Frau', NULL, NULL, 'Möblirte Zimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1963, 'Lang', 'J. L.', 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1964, 'Lang-Bernard', NULL, 'M', NULL, NULL, NULL, 'Liqueur-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1965, 'Roux', NULL, 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1966, 'Leffreing', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1967, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1968, 'Larmeyer', NULL, 'F', NULL, NULL, NULL, 'Strohhüte-Fabrikantin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1969, 'Lemann u Servant', NULL, NULL, NULL, NULL, NULL, 'Kleidermagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1970, 'Lerch', NULL, 'F', NULL, NULL, NULL, 'Näherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1971, 'Leser', NULL, 'M', NULL, NULL, NULL, 'Commissions-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1972, 'Levy-Neyman', NULL, 'M', NULL, NULL, NULL, 'Hemdenschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1973, 'Levy-Mayer', NULL, 'M', NULL, NULL, NULL, 'Bänder-, Tüll-, Krep- u. Seidenzeughandlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1974, 'Limberger', NULL, 'M', NULL, NULL, NULL, 'Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1975, 'Lindemann', 'A.', NULL, 'Lindemann J Suzanne u Comp', NULL, NULL, 'Besorgung in Aufträgen für Zuckerwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1976, 'Lindemann', NULL, 'M', NULL, NULL, NULL, 'Leinwandhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1977, 'Linden', 'P.', 'M', NULL, NULL, NULL, 'Korsetten-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1978, 'Lippold', 'T.', 'M', NULL, NULL, NULL, 'vertreten von E. B. Strange, Gebrüder, von New York', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1979, 'Lister u Holden', NULL, 'M', NULL, NULL, NULL, 'Wollehandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1980, 'Lochbrunner', NULL, 'M', NULL, NULL, NULL, 'Hôtel-Saint-Eustache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1981, 'Lockner', NULL, 'F', 'Fraulein', NULL, NULL, 'Krämerwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1982, 'Loeb', 'L.', NULL, 'A Wormser', NULL, NULL, 'Fabrik von Hemden, Halsbinden, Hemdenkragen, Weißzeug u. Stickerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1983, 'Losch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1984, 'Luther', NULL, 'F', 'Fraulein', NULL, NULL, 'Künstlerin im \"Gymnase\"', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(1985, 'Lutterbach', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1986, 'Maas', 'M.', 'M', NULL, NULL, NULL, 'Director der Brandassecuranz-Gesellschaft Union', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1987, 'Mändl', NULL, NULL, 'Gebrüder', NULL, NULL, 'Seide- u. Sammetwaaren im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1988, 'Märten', NULL, 'M', NULL, NULL, NULL, 'Möbelmagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1989, 'Mahler', NULL, 'M', NULL, NULL, NULL, 'Krystallschleifer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1990, 'Malwoz', NULL, NULL, 'Comp', NULL, NULL, 'Verfertigte Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1991, 'Mareschal u Bernaud', NULL, NULL, NULL, NULL, NULL, 'Besorgung von Aufträgen u. Ausfuhr', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1992, 'Mathias', 'Felix', 'M', NULL, NULL, NULL, 'Baumeister der Eisenbahn des Nordes', 0, 0, 0, NULL, 1, 2, 1, 1, 2),
(1993, 'Mathis', NULL, 'M', NULL, NULL, NULL, 'Küfer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(1994, 'Mauberger', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(1995, 'Meinig', 'Ch.', 'M', NULL, NULL, NULL, 'Niederlage v. hydro-electro-medicinischen Ketten', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1996, 'Mersch', NULL, 'M', 'sen', NULL, NULL, 'Kaffeewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(1997, 'Meyer', 'Joh.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(1998, 'Meyer', 'J. Th.', 'M', NULL, NULL, NULL, 'Deutscher u. Schweizer Leinwandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(1999, 'Meyer u Kauffmann', NULL, NULL, NULL, NULL, NULL, 'Fabrikvorsteher', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2000, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Ad. für das Haus Mayer u. Dreyfus', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2001, 'Meyer u Dreyfus', NULL, NULL, NULL, NULL, NULL, 'Weiße u. schwarze Spitzen sowie Stickerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2002, 'Mös', 'Julius', 'M', NULL, NULL, NULL, 'Manufacturen-Agent', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2003, 'Mohr', NULL, NULL, 'Comp', NULL, NULL, 'Besorgung für Straßenfuhrwerke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2004, 'Mohr u Delabarre', NULL, NULL, NULL, NULL, NULL, 'Bauschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2005, 'Muhfeld', NULL, 'M', NULL, NULL, NULL, 'Stickerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2006, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2007, 'Müller-Schönée', 'Fried. Louis', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2008, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appellhofe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2009, 'Müller', 'E.', 'M', NULL, NULL, NULL, 'Zeichner des Hauses Gal-Ladevèse u. E. Müller', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2010, 'Müller', 'Friedr. U. Ch.', NULL, 'NC', NULL, NULL, 'Handlung im Großen zum Ausmöbliren', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2011, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Tintenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2012, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2013, 'Nelken', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2014, 'Neyman', 'S.', 'M', NULL, NULL, NULL, 'Spitzenwäscherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2015, 'Thalbot', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2016, 'Thomas', 'A.', 'M', NULL, NULL, NULL, 'Für die Fabriken v. Lyon, Amiens u. Deutschland', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2017, 'Tiger', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2018, 'Traxler', NULL, NULL, 'Schwestern', NULL, NULL, 'Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2019, 'Trier', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2020, 'Trincks', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2021, 'Türner', NULL, 'M', NULL, NULL, NULL, 'Commissions-Handel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2022, 'Ulman', 'Ph.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2023, 'Utz', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2024, 'Vaillant', NULL, NULL, 'Gebr', NULL, NULL, 'Musterzeichner für Druckereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2025, 'Vandermersch', 'J. A.', NULL, 'Comp', NULL, NULL, 'Stoffwäscherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2026, 'Vanderpoorten', NULL, 'M', NULL, NULL, NULL, 'Holzschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2027, 'Van-Gansewinkel', 'Louis', NULL, 'Comp', NULL, NULL, 'Commissions- u. Speditionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2028, 'Van Loo', 'H. Joseph', 'M', NULL, NULL, NULL, 'Brüsseler-Spitzen- u. Blumenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2029, 'Veigel-Abel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2030, 'Vier', 'P.', 'M', NULL, NULL, NULL, 'Kleider-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2031, 'Vier', NULL, 'F', 'Frau', NULL, NULL, 'Polirerin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2032, 'Vitali', 'J.', 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2033, 'Voßeler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2034, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Kunstuhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2035, 'Wahl', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2036, 'Wahl', NULL, 'F', 'Frau', NULL, NULL, 'Mäklerin in Diamanten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2037, 'Wall u C Jullie', NULL, NULL, 'Frauen', NULL, NULL, 'Weißzeug u. Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2038, 'Warme', NULL, 'M', NULL, NULL, NULL, 'Stempel-Verificator', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(2039, 'Watel', 'G.', 'M', NULL, NULL, NULL, 'Zeichner zum Abdrucken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2040, 'Waterloot', NULL, 'M', NULL, NULL, NULL, 'Südliche Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2041, 'Sanders', NULL, 'M', NULL, NULL, NULL, 'Thekannenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2042, 'Weber', 'J. M.', 'M', NULL, NULL, NULL, 'Musiklehrer u. Kapellmeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2043, 'Sandmann', 'A.', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2044, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Neusilberwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2045, 'Wehrlin', 'Joh.', 'M', NULL, NULL, NULL, 'Zeichner zum Drucken für Stickmuster', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2046, 'Weil', 'Friedr.', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2047, 'Weil', 'L.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2048, 'Saumer', NULL, 'M', NULL, NULL, NULL, 'Kistenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2049, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2050, 'Weil', 'Ignaz', 'M', NULL, NULL, NULL, 'Commisionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2051, 'Weil', 'L.', 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Trelon, Weldon u. Weil', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2052, 'Weinbach', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2053, 'Weis', 'J.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2054, 'Weisgerber', NULL, NULL, 'Sohn', NULL, NULL, 'Baumwollenzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2055, 'Weiß', 'Mathias', 'M', NULL, NULL, NULL, 'Handelsmann, Vertreter des Hauses Blech, Steinbach u. Mantz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2056, 'Scheffter', 'Ch.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2057, 'Schäffer & Oellaven', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2058, 'Schenck', 'H.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2059, 'Scheurer-Rott', 'A. V. Thann', 'M', 'Vertreten von J Conilleau', NULL, NULL, 'Wachstuch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2060, 'Schaub', 'Ch. Jac.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2061, 'Schiller', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2062, 'West', 'M.', 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2063, 'Weyersberg', 'Gustav', 'M', NULL, NULL, NULL, 'Artikel aus Deutschland', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2064, 'Wienrich', 'Ferdinand', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2065, 'Wild', NULL, 'M', NULL, NULL, NULL, 'Kunsthandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2066, 'Schloß', 'M. J.', 'M', NULL, NULL, NULL, 'Pariser Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2067, 'Schmolle', NULL, 'M', 'sen und Meyer', NULL, NULL, 'Weißzeuge und Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(2068, 'Schlosser', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2069, 'Schlumberger', NULL, NULL, 'Sohn u Comp von Mühlhausen', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2070, 'Schnard', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2071, 'Schneider', 'Louis', 'M', NULL, NULL, NULL, 'Commissionär in Manufacturwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2072, 'Schneider', NULL, NULL, 'NC Gebr', NULL, NULL, 'Seide- und Bandwaaren', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2073, 'Schönauer', NULL, 'M', NULL, NULL, NULL, 'Filzstofffabrik, Theilhaber des Hauses A. Stehelin u. D. Schönauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2074, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2075, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2076, 'Willingstorfer', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Nantes', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2077, 'Wingens', NULL, 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2078, 'Witkowski', 'Louis', 'M', NULL, NULL, NULL, 'Geschäfts-Agentur', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2079, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2080, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2081, 'Schone Ch & Schenck', NULL, NULL, NULL, NULL, NULL, 'Kaufleute', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2082, 'Schonen von', 'E.', 'M', 'Baron', NULL, NULL, 'Steuereinnehmer', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(2083, 'Wolf', 'J.', 'M', NULL, NULL, NULL, 'Bänder u. Seidenzeuge im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2084, 'Wolff', NULL, 'M', NULL, NULL, NULL, 'Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2085, 'Wolfsohn', NULL, 'F', 'Frau', NULL, NULL, 'Kleiderhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2086, 'Seelig & Geiger', NULL, NULL, NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2087, 'Wollheim', NULL, 'M', NULL, NULL, NULL, 'Oel zum Einschmieren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2088, 'Wollheim', NULL, NULL, 'Comp', NULL, NULL, 'Baumeister u. Errichter von Gaswerken', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2089, 'Wood u Todhunter', 'H.', NULL, NULL, NULL, NULL, 'Beförderungen nach allen Ländern', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2090, 'Worms', 'H.', 'M', NULL, NULL, NULL, 'Leimhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2091, 'Wormser', NULL, 'M', NULL, NULL, NULL, 'Kleider-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2092, 'Wormser', 'A.', 'M', NULL, NULL, NULL, 'Handelsmann des Hauses L. Löb u. A. Wormser', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2093, 'Wormser', NULL, 'M', NULL, NULL, NULL, 'Hemden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2094, 'Wosseler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2095, 'Wünsch', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2096, 'Schultz', 'C.', 'M', NULL, NULL, NULL, 'Zeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2097, 'Zadig', 'J. B.', 'M', NULL, NULL, NULL, 'Manufacturwaaren u. Chalenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2098, 'Schumacher', 'Ferd.', 'M', NULL, NULL, NULL, 'General-Agent der anonymen Kohlengesellschaft zu Charleroy', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2099, 'Zerr', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2100, 'Sichel-Berchem', NULL, 'M', NULL, NULL, NULL, 'Weißzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2101, 'Siebert', NULL, 'M', NULL, NULL, NULL, 'Baumeister auf der nördlichen Eisenbahn', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2102, 'Zilz', NULL, 'M', NULL, NULL, NULL, 'Theilhaber des Hauses J. Grisar u. Comp. u. Vertreter deutscher, belgischer u. schweizer Häuser', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2103, 'Schwab', 'I.', 'M', NULL, NULL, NULL, 'Gold- u. Silberuhren-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2104, 'Silbermann', NULL, 'M', NULL, NULL, NULL, 'Chemische Erzeugnisse', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2105, 'Schwabacher', 'Sohn', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2106, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2107, 'Schwarz-Daulle', NULL, 'M', NULL, NULL, NULL, 'Weißzeug und Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2108, 'Zoutman', 'L.', 'M', NULL, NULL, NULL, 'Deponirte Papiere', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2109, 'Schwind', 'Nicolaus', 'M', NULL, NULL, NULL, 'für das Haus Eggly & Schwind', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2110, 'Sisung', NULL, NULL, 'Frau u Comp', NULL, NULL, 'Modeartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2111, 'Spalding', 'B.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2112, 'Sporck', NULL, 'M', 'jun', NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2113, 'Stalens', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2114, 'Stanski', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2115, 'Stehelin', 'A.', NULL, 'D Schönauer', NULL, NULL, 'Filzstoffe zu jedem Gebrauch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2116, 'Stern', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2117, 'Stetten', 'Ludwig', 'M', NULL, NULL, NULL, 'Ein- u. Verkauf v. Juwelenartikeln', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2118, 'Stohrer', NULL, 'F', 'Frau', NULL, NULL, 'Gasthaus zum Salmen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2119, 'Stolz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2120, 'Straus', NULL, 'M', NULL, NULL, NULL, 'Getreide- u. Mehlhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2121, 'Strauß', NULL, 'M', NULL, NULL, NULL, 'Vorstand des Orchesters bei den Bällen der Präsidentschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2122, 'Stroos', NULL, 'M', NULL, NULL, NULL, 'Landgüterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2123, 'Susmann', 'Ch.', 'M', NULL, NULL, NULL, 'Hauptniederlage Berliner Buchstaben', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2124, 'Sutter', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2125, 'Hagemann Lefebvre', NULL, NULL, NULL, NULL, NULL, 'Waarencommissionäre', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2126, 'Scharnet', NULL, NULL, 'Comp', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2127, 'Schwabacher', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2128, 'Nick', NULL, 'M', NULL, NULL, NULL, 'Reiseartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2129, 'Niderreither', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2130, 'Niel', NULL, NULL, 'NC Vater und Sohn', NULL, NULL, 'Merino', 0, 1, 0, NULL, 6, 2, 1, 1, NULL),
(2131, 'Ninimann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2132, 'Adam', 'Emil', 'M', NULL, NULL, NULL, 'Advocat Erster Instanz', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2133, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2134, 'Amann', NULL, 'M', NULL, NULL, NULL, 'Möbelhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2135, 'Arnold', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2136, 'Bapst', 'C.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(2137, 'Bapst', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2138, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Holz u. Kohlen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2139, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2140, 'Becker', NULL, NULL, 'Becker jun und Neffe', NULL, NULL, 'Tuch und Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2141, 'Becker', NULL, 'F', 'Frau', NULL, NULL, 'Eigenthümerin', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(2142, 'Becker', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(2143, 'Becker', 'M.', 'M', NULL, NULL, NULL, 'Rechnungsführer der Agentur der protestantischen Gesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2144, 'Bergtold', 'J. G.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2145, 'Beichtold', 'Ch. F.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2146, 'Bieberhoffer', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2147, 'Blum', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2148, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Café du Pont-Neuf', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2149, 'Bräm', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2150, 'Brand', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2151, 'Brandeburger', NULL, 'M', NULL, NULL, NULL, 'Handschuhfabr.', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2152, 'Brocker', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2153, 'Brüzler', NULL, 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2154, 'Buncke', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2155, 'Burckardt', 'D.', 'M', NULL, NULL, NULL, 'Klavierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2156, 'Christmann-Hamm', NULL, 'M', NULL, NULL, NULL, 'Pelzhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2157, 'Dager', NULL, 'M', NULL, NULL, NULL, 'Geschäftsagent', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2158, 'Dop', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2159, 'Dret-Rousselet', NULL, 'M', 'Wtb', NULL, NULL, 'Militärequipirung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2160, 'Dreyfus', 'M.', 'M', NULL, NULL, NULL, 'Factor der Mehlhalle', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2161, 'Dreyfus', NULL, 'M', 'jun', NULL, NULL, 'Sackträger', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2162, 'Dreyfus', 'Benedict', 'M', NULL, NULL, NULL, 'Hemden u. Westen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2163, 'Dusser', NULL, 'F', 'Frau', NULL, NULL, 'Parfüm', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2164, 'Ehrhardt', 'Ph. J.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2165, 'Erckener', NULL, 'M', NULL, NULL, NULL, 'Jagd- und Reiseartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2166, 'Fabert', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2167, 'Farine', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2168, 'Fellens', 'J.', 'M', NULL, NULL, NULL, 'Oeconomische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2169, 'Fimber', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2170, 'Fisteberg', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2171, 'Frank-Momenheim', NULL, 'M', NULL, NULL, NULL, 'Fertige Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2172, 'Fülle', 'Georg', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2173, 'Goldner', 'J.', 'M', NULL, NULL, NULL, 'Kleiderhändler', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2174, 'Goossens', 'Arthur', 'M', 'Nachfolger v Raoul-Morel', NULL, NULL, 'Juwelier', 0, 0, 1, NULL, 6, 2, 2, 1, 5),
(2175, 'Grim', NULL, 'M', NULL, NULL, NULL, 'Decorationsmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2176, 'Grischner', NULL, 'F', 'Frau', NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2177, 'Großberger', NULL, 'M', NULL, NULL, NULL, 'Zinngeschirr', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2178, 'Haas', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2179, 'Haller', 'F. Samuel', 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2180, 'Hammer', 'Christian', 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2181, 'Hanau', NULL, 'M', NULL, NULL, NULL, 'Tuchstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2182, 'Hartmann', 'J. F.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2183, 'Hartwig', 'F. G.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2184, 'Haüßler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2185, 'Heck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2186, 'Heckel', NULL, 'M', NULL, NULL, NULL, 'Lampenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2187, 'Heimann', 'J.', 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2188, 'Heinrich', NULL, 'M', NULL, NULL, NULL, 'Tücher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2189, 'Held', 'F.', 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2190, 'Heppel', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2191, 'Heß', 'G.', 'M', NULL, NULL, NULL, 'Westenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2192, 'Heuse', NULL, 'M', NULL, NULL, NULL, 'Bandkrämer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2193, 'Oberhauser', NULL, NULL, 'Gebr', NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2194, 'Ihrig', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2195, 'Oulmann', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2196, 'Pays', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2197, 'Janssen', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2198, 'Jürgens', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2199, 'Quennessen', NULL, 'M', NULL, NULL, NULL, 'Platinfabrik und chemische Apparate', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(2200, 'Raciborski', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2201, 'Rebold', 'Emanuel', 'M', NULL, NULL, NULL, 'Verfasser von \"La Médecine du pauvre et du riche\", Erfinder der Triple-Electrogalvanique', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2202, 'Regner', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2203, 'Kim', 'Jac.', 'M', NULL, NULL, NULL, 'Hôtel de la Monnaie', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2204, 'Kindermans', NULL, 'M', NULL, NULL, NULL, 'Hôtel des Prouvaires', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2205, 'Kirgener', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(2206, 'Kirgener de Planta', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(2207, 'Klein', 'Michael', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2208, 'Rist', NULL, 'M', NULL, NULL, NULL, 'Speißewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2209, 'Ritt', 'Eugen', 'M', NULL, NULL, NULL, 'Versteigerungsfactor an der Metzgerhalle', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2210, 'Robert-Weber', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2211, 'Kreß', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2212, 'Kreß', 'C.', 'M', 'sen', NULL, NULL, 'Blanchard\'s Nachfolger, Jagd- u. Fischwerkzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2213, 'Krettly', NULL, 'M', NULL, NULL, NULL, 'Thee- u. Chocoladefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2214, 'Kretz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2215, 'Kroger', NULL, 'M', NULL, NULL, NULL, 'Fransen u. Knöpfe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2216, 'Kunowitsch', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2217, 'Kuß', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2218, 'Lang', 'J. F.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2219, 'Rudel', NULL, 'M', NULL, NULL, NULL, 'Bäckerherberge', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2220, 'Lingens', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2221, 'Link', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2222, 'Mai', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2223, 'Mathies u Hartmann', NULL, NULL, NULL, NULL, NULL, 'Agentur der nordischen Eisenbahn', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2224, 'Mathis', 'L.', 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2225, 'Maubach', NULL, 'F', 'Frau', NULL, NULL, 'Korsettenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2226, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2227, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2228, 'Müsbomer', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2229, 'Müstel u Fremont', NULL, NULL, NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2230, 'Van-Coppenaal', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2231, 'Vanden-Berghe', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(2232, 'Vandooren', NULL, 'M', NULL, NULL, NULL, 'Tabakhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2233, 'Vangräfs', NULL, 'M', NULL, NULL, NULL, 'Wannenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2234, 'Vankeerberghen', NULL, 'M', NULL, NULL, NULL, 'Pasteten-, Nudeln- u. Butter-Handel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2235, 'Van Walle', NULL, 'M', NULL, NULL, NULL, 'Specerei- u. Kräuterhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2236, 'Vinck', 'N.', 'M', NULL, NULL, NULL, 'Militärausrüstungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2237, 'Wagner', NULL, 'F', 'Frau', NULL, NULL, 'Tabak-Verlag', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2238, 'Wahl', 'S.', 'M', NULL, NULL, NULL, 'Büchsenbeschlager', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2239, 'Sainton & Seiffel', NULL, NULL, NULL, NULL, NULL, 'Metallstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2240, 'Saumer', NULL, 'F', 'Fraulein', NULL, NULL, 'Weißzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2241, 'Weis', NULL, 'M', NULL, NULL, NULL, 'Leinwandhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2242, 'Scheffer-Deyrolle', NULL, 'M', NULL, NULL, NULL, 'Metallstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2243, 'Schenavard', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2244, 'Schener', NULL, 'M', NULL, NULL, NULL, 'Schlösser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2245, 'Wenze', NULL, 'M', NULL, NULL, NULL, 'Kürschner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2246, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Weinwirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2247, 'Schmids', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2248, 'Zecht', 'Michael', 'M', NULL, NULL, NULL, 'Kleiderhandel im Kleinen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2249, 'Schwartz', NULL, 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2250, 'Sprockoff', NULL, 'M', NULL, NULL, NULL, 'Möblirte Zimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2251, 'Stadler', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zur Stadt Zürich', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2252, 'Stresser', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2253, 'Techener', NULL, 'M', NULL, NULL, NULL, 'Buchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2254, 'Neymark', NULL, 'M', NULL, NULL, NULL, 'gefertigte Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2255, 'Nolf', NULL, 'M', 'jun', NULL, NULL, 'Tuchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2256, 'Aaron', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2257, 'Aaron', 'Mich.', 'M', NULL, NULL, NULL, 'Porzellanfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2258, 'Ackermann', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2259, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Leinwandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2260, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2261, 'Alpespeyres', NULL, 'M', NULL, NULL, NULL, 'Papierfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2262, 'Astroth', 'J. Ch. Ch.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2263, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2264, 'Baron', 'Philipp', 'M', NULL, NULL, NULL, 'Gärtner und Blumenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2265, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Hausgeräthschaften', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2266, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2267, 'Baumgarten', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2268, 'Becker', 'J. A.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2269, 'Berger', 'Anton', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2270, 'Berger', 'J.', 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2271, 'Bernheim', 'F.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft in Häuten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2272, 'Berens Blumberg', NULL, NULL, 'Comp', NULL, NULL, 'Commissionsgeschäft in Waaren, Versendungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2273, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Chalenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2274, 'Biederman', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2275, 'Binger', 'L.', 'M', NULL, NULL, NULL, 'Schaukelbrettwaagen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2276, 'Bitschner', 'Fr.', 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(2277, 'Bitschner', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2278, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2279, 'Bornich', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2280, 'Brausche', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2281, 'Brunschwieg', NULL, NULL, 'Gebrüder', NULL, NULL, 'Knopfmacher und Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2282, 'Bucker', NULL, 'M', NULL, NULL, NULL, 'Backsteinfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2283, 'Buxmann', NULL, 'M', NULL, NULL, NULL, 'Fabrik lakirter Eisenblechschilder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2284, 'Christin', 'Victor', 'M', 'NC', NULL, NULL, 'Leder im Großen', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2285, 'Christofle', 'Ch.', NULL, 'NC und Comp', NULL, NULL, 'Vergoldung, Versilberung und Manufactur von Goldarbeiten , alleinige Eigenthümer der Brevet der HH. Elkington u. von Ruolz ', 0, 1, 0, NULL, 1, 2, 1, 1, 5),
(2286, 'Christophe', NULL, 'F', 'Frau', NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2287, 'Chuchrowski', NULL, 'M', NULL, NULL, NULL, 'Kräuterhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2288, 'Cremer', NULL, 'M', NULL, NULL, NULL, 'Zuschneider bei eingelegter und Mosaik-Arbeit ', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2289, 'Cremnitz', 'Th.', 'M', NULL, NULL, NULL, 'Galvanoplastik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2290, 'Dahlstein', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2291, 'Delbach', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2292, 'Derischweiler', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2293, 'Derischweiler', NULL, 'F', 'Frau', NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2294, 'Derischweiler', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2295, 'Diétrich', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2296, 'Domeck', NULL, 'M', NULL, NULL, NULL, 'Schuhwerk', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2297, 'Durlacher', 'E.', 'M', NULL, NULL, NULL, 'Sprachlehre und Lesekabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2298, 'Durst', 'Georg', 'M', NULL, NULL, NULL, 'Strohhutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2299, 'Durst Munt', NULL, NULL, 'Comp', NULL, NULL, 'Tuch- und Hutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2300, 'Eckstein', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2301, 'Eggen', NULL, 'M', NULL, NULL, NULL, 'Färber und Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2302, 'Eissen', 'Albert', 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2303, 'Ensch', NULL, 'M', 'sen', NULL, NULL, 'Klaviermechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2304, 'Eysen', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner für Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2305, 'Feipel', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2306, 'Feldtrappe', 'Xaver', 'M', 'Vom Hause Gebrüder Feldtrappe', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2307, 'Feldtrappe', NULL, NULL, 'Gebrüder NC', NULL, NULL, 'Gravirer und Mechaniker', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2308, 'Fetterlly', 'J.', 'M', NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2309, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2310, 'Foos', 'Jul.', 'M', NULL, NULL, NULL, 'Nähwaaren u. Bänder', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2311, 'Formstecher', NULL, NULL, 'Gebrüder', NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2312, 'Frentz', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2313, 'Fritz', NULL, 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2314, 'Frölicher u Boutet', NULL, NULL, NULL, NULL, NULL, 'Knöpfe u. Schnallen in Großem', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2315, 'Fröreisen', NULL, 'M', 'gen Florès', NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2316, 'Fuchs', 'G.', 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2317, 'Galbrunner', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(2318, 'Gehrling', NULL, 'M', NULL, NULL, NULL, 'Klaviermechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2319, 'Geiger', NULL, 'M', NULL, NULL, NULL, 'Porzellanmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2320, 'Glas', NULL, 'M', NULL, NULL, NULL, 'Kastenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2321, 'Gobel', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2322, 'Goldschmidt', NULL, NULL, 'Gebrüder', NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2323, 'Gombrich', 'A.', 'M', NULL, NULL, NULL, 'Commissions- u. Speditionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2324, 'Götty', NULL, 'M', NULL, NULL, NULL, 'Papparbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2325, 'Grindel', NULL, 'F', 'Wwe', NULL, NULL, 'Kragenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2326, 'Großmann', NULL, 'M', 'Vom Hause Großmann u Wagner', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2327, 'Großmann u Wagner', NULL, NULL, 'NC', NULL, NULL, 'Kautschukartikel', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2328, 'Gugenheim', 'S.', 'M', NULL, NULL, NULL, 'Blumenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2329, 'Günther', NULL, NULL, 'Comp', NULL, NULL, 'Waffenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2330, 'Hafener', NULL, 'M', NULL, NULL, NULL, 'Schuhe u. Stiefel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2331, 'Hapel', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(2332, 'Haß', 'Hubert', 'M', NULL, NULL, NULL, 'Pfeifenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2333, 'Hecht', 'Jacob', 'M', NULL, NULL, NULL, 'Ehemaliger Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2334, 'Hecht', NULL, NULL, 'Hecht Gebr u Comp', NULL, NULL, 'Rohstoffe für Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2335, 'Hefty', NULL, 'M', 'Etablissement du Vase syphoide', NULL, NULL, 'Seltzwasser u. Gaslimonaden', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2336, 'Herben', NULL, 'M', NULL, NULL, NULL, 'Pulverbeutel-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2337, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Wollenfärber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2338, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2339, 'Hernsheim', 'Vict.', 'M', NULL, NULL, NULL, 'Gebr. Strohhütefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2340, 'Herold', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2341, 'Hertach', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2342, 'Hiller', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2343, 'Hindenlang sen', 'O.', 'M', 'NC', NULL, NULL, 'Wollen- u. Cachemir-Spinnerei', 0, 1, 0, NULL, 1, 2, 1, 1, 5),
(2344, 'Hirtz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2345, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2346, 'Hofmans', 'Ch.', 'M', NULL, NULL, NULL, 'Beeidigter Uebersetzer', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(2347, 'Obermeyer', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2348, 'Okermanns', NULL, 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2349, 'Oppenheim', 'C. M.', 'M', NULL, NULL, NULL, 'Eisenhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2350, 'Huber', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2351, 'Hubener', NULL, 'F', 'Frau', NULL, NULL, 'Blumenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2352, 'Huck', NULL, 'M', NULL, NULL, NULL, 'Mechanikus u. Pumpenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2353, 'Hug', NULL, 'M', NULL, NULL, NULL, 'Rahmenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2354, 'Humel', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2355, 'Humel', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2356, 'Ostermann', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2357, 'Oulman', NULL, NULL, 'Witwe und Comp', NULL, NULL, 'Hosenträger-, Strumpfbänder-,Börsen-, Taschen- und Kamaschen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2358, 'Jager', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2359, 'Jahn', NULL, 'M', NULL, NULL, NULL, 'Kupferinstrumentenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2360, 'Pfeffel', NULL, 'M', 'jun', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2361, 'Pfeiffer', 'I.', 'M', NULL, NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2362, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2363, 'Keller', 'F.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2364, 'Keller', 'Ferd.Th.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2365, 'Pieser', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2366, 'Printz', 'Georg', NULL, 'Comp', NULL, NULL, 'Nadelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2367, 'Pulvemacher', 'Z. L.', NULL, 'Comp', NULL, NULL, 'Electrisch-medicinische Apparate', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2368, 'Ratte', NULL, 'M', NULL, NULL, NULL, 'Stuhlrohr', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2369, 'Ratte', NULL, 'M', NULL, NULL, NULL, 'Lesezimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2370, 'Rauschenbach', NULL, 'M', NULL, NULL, NULL, 'Klavier- und Orgelkastenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2371, 'Redmer', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2372, 'Kettenmeyer', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2373, 'Kiel', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2374, 'Kiening', 'A.', 'M', NULL, NULL, NULL, 'Stimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2375, 'Kirch', NULL, 'M', NULL, NULL, NULL, 'Blumenblätter-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2376, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Gasthaus Saint-Spire', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2377, 'Reinhardt', NULL, 'M', NULL, NULL, NULL, 'möbliertes Gasthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2378, 'Klopp', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2379, 'Klotz', 'M.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2380, 'Klotz', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2381, 'Kock von', 'P.', 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2382, 'Rhoden', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2383, 'Könen', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2384, 'Riedmann', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2385, 'Kohn', 'Philipp', 'M', NULL, NULL, NULL, 'Goldschläger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2386, 'Rieffel', 'G.', 'M', NULL, NULL, NULL, 'Rohbaumwollenstoffe und Commissionsgeschäfte', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2387, 'Krämmer', NULL, NULL, 'Comp', NULL, NULL, 'Unternehmer der Ausleerung', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2388, 'Krafft', 'J.', 'M', NULL, NULL, NULL, 'Cylinderschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2389, 'Krauß', 'H. W.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2390, 'Römer', 'G. Friedr.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2391, 'Rosenberg', 'Ch. L.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2392, 'Krupp', 'Fr.', 'M', 'd\'Essen', NULL, NULL, 'Plattmühlen u. Guß-Stahl. Vertreten  durch F. Loonen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2393, 'Kuhn', NULL, 'M', NULL, NULL, NULL, 'Sporer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2394, 'Roßner', NULL, NULL, 'Comp', NULL, NULL, 'Geruchlose Reinigung der Abtritte', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2395, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2396, 'Rothenburg', NULL, 'M', NULL, NULL, NULL, 'Baumaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2397, 'Larcher', NULL, 'M', NULL, NULL, NULL, 'Strohhutladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2398, 'Lazare', NULL, 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2399, 'Leeser', NULL, NULL, 'Comp', NULL, NULL, 'Porzellanhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2400, 'Lavenchin Wender u Leroyer', NULL, NULL, NULL, NULL, NULL, 'Fabrikant von Stimmwerkzeugen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2401, 'Lemaitre u Bergman', NULL, NULL, NULL, NULL, NULL, 'Commissionshandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2402, 'Licht', 'Matth.', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2403, 'Litzinger', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2404, 'Lohse', 'A.', 'M', NULL, NULL, NULL, 'Besorgung von Aufträgen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2405, 'Loonen', NULL, NULL, 'Gebrüder', NULL, NULL, 'Besorgung von Aufträgen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2406, 'Lorent u Franck', NULL, NULL, NULL, NULL, NULL, 'Militär-Ausrüstungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2407, 'Rumpe', 'Joh. Casp. & Wilh.', NULL, NULL, NULL, NULL, 'Nadel-, Ahlen und Fingerhutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2408, 'Lowenstein', 'L.', 'M', NULL, NULL, NULL, 'Waarenbestellung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2409, 'Rumpler', 'T.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2410, 'Lutz', 'B.', 'M', NULL, NULL, NULL, 'Fabrik von Gerberwerkzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2411, 'Macker', NULL, 'M', NULL, NULL, NULL, 'Geschnitten Holz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2412, 'Mareschal', 'Julius', 'M', NULL, NULL, NULL, 'Mechanischer Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2413, 'Margraff', 'J. B.', 'M', NULL, NULL, NULL, 'Brieftaschenmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2414, 'Massenet', NULL, 'M', NULL, NULL, NULL, 'Baumaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2415, 'Mast', 'J.', 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2416, 'Maurer Gebrüder u A Masson', NULL, NULL, NULL, NULL, NULL, 'Fabrik von Eisenwaaren, geschliffenem Stahl, Bleistifte u. Perlen u. s. w.', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2417, 'Meißner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2418, 'Meißner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2419, 'Meyer', 'Leopold L.', 'M', NULL, NULL, NULL, 'Kammmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2420, 'Mick', NULL, 'F', 'Wittwe', NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2421, 'Miller', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2422, 'Mögen', NULL, 'M', NULL, NULL, NULL, 'Gemeinde-Schullehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2423, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Holzschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2424, 'Müller', 'Ch.', 'M', NULL, NULL, NULL, 'Tapeten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2425, 'Münch', 'F. Ch.', 'M', NULL, NULL, NULL, 'Beförderung zu Wasser u. Harzlager', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2426, 'Münsch', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2427, 'Mürger', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2428, 'Neibecker', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2429, 'Nesseler', NULL, 'M', NULL, NULL, NULL, 'Badehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2430, 'Neyman', NULL, 'M', NULL, NULL, NULL, 'Kunstsachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2431, 'Neyman', NULL, 'M', NULL, NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2432, 'Tittel', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2433, 'Treifus', 'C.', 'M', NULL, NULL, NULL, 'Korsetten- u. Gürtelmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2434, 'Trupel u Van Gansewinkel', NULL, NULL, NULL, NULL, NULL, 'Commissions-Geschäfte u. Versendungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2435, 'Türkeim', NULL, 'M', NULL, NULL, NULL, 'Versicherungsbüreau für Militärersatz', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2436, 'Uhl', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2437, 'Ulmann', NULL, 'M', NULL, NULL, NULL, 'Crystall-Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2438, 'Veckringer', 'Joseph', 'M', NULL, NULL, NULL, 'Gold- u. Bronce-Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2439, 'Voltz', NULL, 'M', 'jun', NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2440, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Betheiligter des Hauses Großmann u. Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2441, 'Wagon', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2442, 'Waldmann', 'A. F.', 'M', NULL, NULL, NULL, 'Kinderspielwaarenhandlung u. Besorgung v. Aufträgen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2443, 'Wan-Deursen', NULL, 'M', NULL, NULL, NULL, 'Schwammhändler', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(2444, 'Wasmus', NULL, 'M', 'jun', NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2445, 'Wassermann', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2446, 'Weber', 'J. M.', 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2447, 'Weber', 'A.', 'M', NULL, NULL, NULL, 'Kunstschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2448, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Porcellanmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2449, 'Scheffer', NULL, 'M', NULL, NULL, NULL, 'Holzdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2450, 'Schacher Bilbille-Fayard und Comp', NULL, NULL, 'NC', NULL, NULL, 'Hydraulische Kalkfabrik', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2451, 'Wel-Picard', NULL, 'M', NULL, NULL, NULL, 'Stickerei, Weißzeug, Tüll', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2452, 'Schäfer', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2453, 'Scheleiter', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2454, 'Schaub', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2455, 'Schmidt', 'C.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2456, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Kost- u. Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2457, 'Willemanne', NULL, 'M', NULL, NULL, NULL, 'Kleiderhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2458, 'Winker', 'E.', 'M', NULL, NULL, NULL, 'Wollhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2459, 'Winnen', NULL, 'M', NULL, NULL, NULL, 'Instrumentenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2460, 'Winter', 'Friedr. Alb.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2461, 'Winter', NULL, NULL, 'NC u Comp', NULL, NULL, 'Tapezierer u. Schreiner', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2462, 'Wiß', NULL, 'M', NULL, NULL, NULL, 'Hutfedern u. Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2463, 'Witersheim', NULL, 'M', NULL, NULL, NULL, 'Woll- u. Tuchlappen-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2464, 'Witersheim', NULL, 'M', NULL, NULL, NULL, 'Wolle u. wollene Abfälle', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2465, 'Schmitt', 'Joh.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2466, 'Schopin', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2467, 'Schwing', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2468, 'Schröder', NULL, 'M', NULL, NULL, NULL, 'Tabakhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2469, 'Seckel', NULL, 'F', 'Frau', NULL, NULL, 'Westen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2470, 'Woltz', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2471, 'Schönberg', NULL, NULL, 'Gebrüder', NULL, NULL, 'Mechaniker und Gießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2472, 'Zimet', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2473, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2474, 'Zimmern u Mohr', NULL, NULL, NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2475, 'Simon & Mustel', NULL, NULL, NULL, NULL, NULL, 'Commissions- und Speditionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2476, 'Zöller', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2477, 'Singer', 'Alexis L.', 'M', NULL, NULL, NULL, 'allgemeiner Theater-Correspondent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2478, 'Zores', 'Ch. Ferd.', 'M', NULL, NULL, NULL, 'Eisenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2479, 'Schweich', 'M.B.', 'M', NULL, NULL, NULL, 'Strohhutfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2480, 'Zugenbühler', NULL, 'F', 'Fraulein', NULL, NULL, 'Lehranstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2481, 'Schwerer & Wierel', NULL, NULL, NULL, NULL, NULL, 'Brückenwaagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2482, 'Skoheker', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2483, 'Sleyffers', 'Heinrich', 'M', NULL, NULL, NULL, 'Sogennante amerikanische Schuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2484, 'Soler', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2485, 'Sommer', NULL, 'M', NULL, NULL, NULL, 'Schuhzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2486, 'Sommer', NULL, 'M', NULL, NULL, NULL, 'Schuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2487, 'Sonntag u Pillet', NULL, NULL, NULL, NULL, NULL, 'Band- u. Posamentirerartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2488, 'Spiser', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2489, 'Steinmetz', NULL, NULL, 'Comp', NULL, NULL, 'Kaffeehaus Thoniach', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2490, 'Stemler', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appellhof', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2491, 'Stephan', NULL, 'M', NULL, NULL, NULL, 'Schmuckfedernhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2492, 'Stiller', 'Leon', 'M', NULL, NULL, NULL, 'Stickerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2493, 'Stoffel-Cayzer', NULL, 'M', NULL, NULL, NULL, 'Strohhutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2494, 'Stolz', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2495, 'Strohmayer', NULL, 'M', 'Sohn', NULL, NULL, 'Kinderwägelchen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2496, 'Tappes', 'Gabriel', 'M', NULL, NULL, NULL, 'Kassirer in der öffentlichen Niederlage', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2497, 'Temler', 'J. Chr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2498, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Kaffee- und Speisehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2499, 'Weiß', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2500, 'Zöllner', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2501, 'Zugenbühler', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2502, 'Nowinski', 'Th.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2503, 'Abraham', 'E.', 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2504, 'Abraham-Cliver', 'Eduard', 'M', NULL, NULL, NULL, 'Kravatten und Foulards', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2505, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Fabrik vergold. Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2506, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Verpacker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2507, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Rollvorhangfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2508, 'Aeschimann', 'James', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2509, 'Allemand', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2510, 'André', 'F. U. G.', NULL, 'Gebrüder', NULL, NULL, 'Kaufleute und Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2511, 'Bader', 'H.', 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2512, 'Bap', NULL, 'M', NULL, NULL, NULL, 'Färber und Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2513, 'Bap', NULL, 'M', NULL, NULL, NULL, 'Färber und Fleckenausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2514, 'Baron', NULL, NULL, 'Comp', NULL, NULL, 'Waagenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2515, 'Baron', NULL, 'M', 'sen', NULL, NULL, 'Hosenträger und Strumpfbänder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2516, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Fertige Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2517, 'Baron', NULL, 'F', 'Wwe', NULL, NULL, 'Fertige Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2518, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Malereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2519, 'Bauerkeller', NULL, NULL, 'Comp', NULL, NULL, 'Lichtschirm- und geographische Reliefkarten-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2520, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Clavierfurnitur', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2521, 'Becker', NULL, NULL, 'Ulrich', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2522, 'Berger', NULL, NULL, 'Comp', NULL, NULL, 'Spitzenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2523, 'Bernhard-Rosenberg', NULL, 'M', NULL, NULL, NULL, 'Dreher und Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2524, 'Becklé', NULL, 'M', NULL, NULL, NULL, 'Regenschirmgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2525, 'Behnel', NULL, 'M', NULL, NULL, NULL, 'Maßstabfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2526, 'Beller', NULL, 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2527, 'Berger', NULL, 'F', 'Frau', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2528, 'Berger-Blanchard', NULL, 'M', NULL, NULL, NULL, 'Fischbein', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2529, 'Beyer', 'Ch. Aug.', 'M', NULL, NULL, NULL, 'Feilenhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2530, 'Beylich', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2531, 'Binder', NULL, 'M', NULL, NULL, NULL, 'Kaffee-Cichorie', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2532, 'Bing', NULL, NULL, 'jun und Comp', NULL, NULL, 'Commissionsgeschäft in Uhren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2533, 'Blum', NULL, 'M', NULL, NULL, NULL, 'Drechsler und Regenschirmfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2534, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2535, 'Bolgen', NULL, 'M', NULL, NULL, NULL, 'Spielzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2536, 'Bollack', NULL, NULL, 'Gebrüder', NULL, NULL, 'Schirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2537, 'Bollack', 'Heinr. Und Ch.', NULL, NULL, NULL, NULL, 'Schirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2538, 'Born', 'H.', 'M', NULL, NULL, NULL, 'Stockbeschlägefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2539, 'Brand', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2540, 'Breindenbach', NULL, 'M', NULL, NULL, NULL, 'Reisekästchen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2541, 'Brocklé', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2542, 'Brolhak', NULL, 'M', NULL, NULL, NULL, 'Eisenblechner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2543, 'Brussow', 'F. W.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2544, 'Bühler', 'C.', 'M', NULL, NULL, NULL, 'Maroquinfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2545, 'Christian', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(2546, 'Classen', NULL, 'M', NULL, NULL, NULL, 'Brieftaschen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2547, 'Conraud', NULL, 'M', NULL, NULL, NULL, 'Werkzeuge für Blumenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2548, 'Croutsch', 'Felix', 'M', NULL, NULL, NULL, 'Nähgarnfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2549, 'Deck', NULL, 'M', NULL, NULL, NULL, 'Stuhlfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2550, 'Deis', NULL, 'M', NULL, NULL, NULL, 'Kammfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2551, 'Delaunay', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zum Tour d\'Argent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2552, 'Delheid', NULL, 'M', NULL, NULL, NULL, 'Vergoldete Schmuckwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2553, 'Delisle', NULL, 'M', NULL, NULL, NULL, 'Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2554, 'Dettelbacher', NULL, 'M', NULL, NULL, NULL, 'Deutsche Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2555, 'De Wolf', NULL, 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2556, 'De Wolf-Bonnin', NULL, 'F', 'Frau', NULL, NULL, 'Hosenträgerelastik', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2557, 'Diettenberger', 'Ad.', 'M', NULL, NULL, NULL, 'Spielzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2558, 'Dreyfus', 'A.', 'M', 'Sohn', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2559, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2560, 'Eck', NULL, 'M', NULL, NULL, NULL, 'Straßenbaumeister', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(2561, 'Eck u Durand', NULL, NULL, 'NC', NULL, NULL, 'Kupfergießerei', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2562, 'Ernest', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2563, 'Ernst', NULL, 'M', NULL, NULL, NULL, 'Verificator', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2564, 'Ettinger', 'Moritz', 'M', NULL, NULL, NULL, 'Steckfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2565, 'Ettlinger', NULL, 'M', NULL, NULL, NULL, 'Elfenbeinschnitzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2566, 'Faaße', NULL, 'M', 'sen', NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2567, 'Ferdinand-Falkenberg', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2568, 'Ferenbach', NULL, 'M', 'der Erste', NULL, NULL, 'Uhrmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2569, 'Fichtemberg', NULL, 'M', 'Vater', NULL, NULL, 'Bleistiftfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(2570, 'Fichtemberg', NULL, 'F', 'Fraulein', NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2571, 'Fiez', NULL, 'F', 'Frau', NULL, NULL, 'Wäscherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2572, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Schirmstielfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2573, 'Fleischer', NULL, NULL, 'Comp', NULL, NULL, 'Kaufleute, Bronce u. Ultramarin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2574, 'Franck-Alexander', NULL, 'M', NULL, NULL, NULL, 'Pelzwaaren in Großem', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2575, 'Frantz', 'Georg', 'M', NULL, NULL, NULL, 'Etiquettenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2576, 'Fridländer', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2577, 'Friedrich', NULL, 'M', NULL, NULL, NULL, 'Gesimsefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2578, 'Friedl', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2579, 'Froger', NULL, 'M', NULL, NULL, NULL, 'Uhrenfurnituren in Großem', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2580, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Reisekästchenfabrik u. Kunstdrechslerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2581, 'Gebel', NULL, 'M', NULL, NULL, NULL, 'Schirmgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2582, 'Geng', NULL, 'M', NULL, NULL, NULL, 'Standuhrenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2583, 'Gerhard', 'F.', NULL, 'Comp', NULL, NULL, 'Fab. de mastic Dihl', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2584, 'Germann', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Colmar', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2585, 'Gersein', NULL, 'M', NULL, NULL, NULL, 'Blumenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2586, 'Gerspach', NULL, 'M', NULL, NULL, NULL, 'Schilderfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2587, 'Gieseler', NULL, 'M', NULL, NULL, NULL, 'Klaviertastenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2588, 'Gilmer', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2589, 'Glenzer', 'L.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2590, 'Gothsener', NULL, 'M', NULL, NULL, NULL, 'Schirmgabelnfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2591, 'Graff', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2592, 'Gréhange', NULL, 'M', NULL, NULL, NULL, 'Secretär du Temple Israélite', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(2593, 'Grell', NULL, 'M', NULL, NULL, NULL, 'Strohhutfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2594, 'Grim', 'A.', 'M', NULL, NULL, NULL, 'Kupferstichverleger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2595, 'Grinfeld', NULL, 'M', NULL, NULL, NULL, 'Blumenhändler', 0, 0, 0, NULL, 1, 2, 1, 1, 4),
(2596, 'Groß', NULL, 'M', 'sen', NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2597, 'Gugenheim', NULL, 'M', NULL, NULL, NULL, 'Commissions- u. Speditionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2598, 'Gugenheim von', 'Leopold', NULL, 'A Jarlot Sohn sen', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2599, 'Gugenheimer', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2600, 'Gunckelmann', NULL, 'M', NULL, NULL, NULL, 'Futteralmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2601, 'Guntzer', NULL, 'M', NULL, NULL, NULL, 'Näh- u. Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2602, 'Gutel', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2603, 'Gutman', 'Isid.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2604, 'Gutman', NULL, 'F', 'Frau', NULL, NULL, 'Corsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2605, 'Gutmann', 'J.', 'M', NULL, NULL, NULL, 'Pfeifenfutteralefabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2606, 'Haas', NULL, 'M', NULL, NULL, NULL, 'Kirchenverzierungen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2607, 'Hackenbroch', NULL, 'M', NULL, NULL, NULL, 'Commissionär in optischen u. Pariser Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2608, 'Hafreminck', NULL, 'M', NULL, NULL, NULL, 'Blutegel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2609, 'Haim', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2610, 'Haller', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2611, 'Hamel', NULL, 'M', NULL, NULL, NULL, 'Appelationsgerichtsadvocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2612, 'Hammerich', NULL, 'M', NULL, NULL, NULL, 'Juwelier mit Vergoldung', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2613, 'Hauser', NULL, 'M', NULL, NULL, NULL, 'Metallstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2614, 'Hecht', 'J. P.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2615, 'Heck', NULL, 'M', NULL, NULL, NULL, 'Holzschuhefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2616, 'Heilmann', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2617, 'Heilmann', NULL, 'M', NULL, NULL, NULL, 'Holzdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2618, 'Heizler', NULL, 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2619, 'Helle', NULL, 'M', NULL, NULL, NULL, 'Tabak, abgezogener Branntwein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2620, 'Hemerdinger', NULL, 'M', NULL, NULL, NULL, 'Appelationsgerichtsadvocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2621, 'Hemerdinger', 'Isr.', 'M', 'sen', NULL, NULL, 'Handelscommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2622, 'Hemmerle u Depret', NULL, NULL, NULL, NULL, NULL, 'Tabakbureau-Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2623, 'Hennerich', NULL, 'M', NULL, NULL, NULL, 'Juwelier, Goldschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2624, 'Hericher', NULL, 'M', NULL, NULL, NULL, 'Fett für Bereiter wohlriechender Sachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2625, 'Hermann', 'Constanz', 'M', NULL, NULL, NULL, 'Essenzen u. Rohstoffe für Parfümeriehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2626, 'Hermann', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2627, 'Heurich', 'J. Melch.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2628, 'Hildebrand', 'August', 'M', 'Sohn jun', NULL, NULL, 'Kirchenglocken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2629, 'Himmerdinger', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2630, 'Hirsch-Hatzfeld', NULL, 'M', NULL, NULL, NULL, 'Gold u. Silber', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2631, 'Hirtz', NULL, 'M', NULL, NULL, NULL, 'Juwelier in Vergoldung', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2632, 'Hör', 'J. Ph. L.', 'M', NULL, NULL, NULL, 'Feilenhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2633, 'Hofbauer', NULL, 'M', NULL, NULL, NULL, 'Schuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2634, 'Hofer', NULL, 'M', NULL, NULL, NULL, 'Blechschmied u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2635, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Knochen-Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2636, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Damenschuh-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2637, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Perlenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2638, 'Hoffmeister', 'Ludw.', 'M', NULL, NULL, NULL, 'Regenschirmgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2639, 'Holesch', NULL, 'M', NULL, NULL, NULL, 'Pelzhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2640, 'Holzbacher', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(2641, 'Hopp', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2642, 'Obrecht', 'J. Jac.', 'M', NULL, NULL, NULL, 'Bürstenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2643, 'Okermans', NULL, NULL, 'Comp', NULL, NULL, 'Kammmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2644, 'Hosser', NULL, 'M', NULL, NULL, NULL, 'Juwelier im Vergolden', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2645, 'Huber', 'W.', 'M', NULL, NULL, NULL, 'Posamentirfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2646, 'Hubert', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2647, 'Huff', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2648, 'Hunziker', 'Adolph', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2649, 'Hunziker', 'Julius', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2650, 'Hunziker', NULL, NULL, 'Gebr', NULL, NULL, 'Handels-Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2651, 'Huth u Laisné', 'G.', NULL, 'Huth Sohn u P Laisné', NULL, NULL, 'Farben', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2652, 'Ottinger', 'A.', 'M', NULL, NULL, NULL, 'Blumenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2653, 'Inghelbrecht', 'Joh.', 'M', NULL, NULL, NULL, 'Schneider, Leinwand', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2654, 'Ourbak', NULL, 'M', NULL, NULL, NULL, 'Halskragenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2655, 'Ourbak', NULL, 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2656, 'Jacob', NULL, 'M', NULL, NULL, NULL, 'Alterthumsforscher', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2657, 'Pabst', 'F. Jac.', 'M', NULL, NULL, NULL, 'Kammmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2658, 'Paulus', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2659, 'Jansen', NULL, 'M', NULL, NULL, NULL, 'Drogistcommissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2660, 'Jansens', NULL, 'M', NULL, NULL, NULL, 'Bürstenbinderei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2661, 'Jost', NULL, 'M', 'Dr', NULL, NULL, 'Lehrer fremder Sprachen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2662, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Fabrik v. elastischem Gummi', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2663, 'Kahn', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeug-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2664, 'Kammer', NULL, 'M', NULL, NULL, NULL, 'Marmorarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2665, 'Kaneguissert', 'Georg', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2666, 'Perillieux-Michelez & Ackermann', NULL, NULL, NULL, NULL, NULL, 'Fabrik von Wolle, Tapeten und Kanevas', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2667, 'Pfaffli', NULL, 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2668, 'Kees', 'Ernst', 'M', NULL, NULL, NULL, 'Lithographie', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2669, 'Keicher', NULL, 'F', 'Frau', NULL, NULL, 'Lehranstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2670, 'Pfeiffer Marchal und Comp', NULL, NULL, NULL, NULL, NULL, 'Kunpfergießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2671, 'Pfister', NULL, 'M', NULL, NULL, NULL, 'Branntweinabzieher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2672, 'Pfund', NULL, 'M', NULL, NULL, NULL, 'Kaffeewirtschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2673, 'Keppler', NULL, 'M', NULL, NULL, NULL, 'Tabakhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2674, 'Pol', 'Ed.', NULL, 'Comp', NULL, NULL, 'Porcelanmaler u. Drucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2675, 'Polack', NULL, 'F', 'Wwe', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2676, 'Pradel', NULL, 'M', NULL, NULL, NULL, 'Parfümerie und Handschuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2677, 'Pradel-Huet', 'B. C.', 'M', 'NC', NULL, NULL, 'Schuhmacherei', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2678, 'Priiß', NULL, 'M', NULL, NULL, NULL, 'Regenschirmgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2679, 'Purper', 'L.', 'M', NULL, NULL, NULL, 'Achatsteine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2680, 'Quickelbor', NULL, 'M', NULL, NULL, NULL, 'Leinwand', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2681, 'Quinterne', 'J. A.', 'M', NULL, NULL, NULL, 'Angestellter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2682, 'Radel', NULL, 'M', NULL, NULL, NULL, 'Goldschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2683, 'Kiene', 'Anton', 'M', NULL, NULL, NULL, 'Juwelier u. Einfasser', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2684, 'Kiesel', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2685, 'Kirchmeyer', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2686, 'Klein', NULL, 'F', 'Frau', NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2687, 'Klokle', NULL, 'M', NULL, NULL, NULL, 'Bürstenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2688, 'Reichshoffer', NULL, 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2689, 'Reiß', NULL, 'M', NULL, NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2690, 'Renach', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2691, 'Knöpfler', 'Ch.', 'M', NULL, NULL, NULL, 'Stockverzierungenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2692, 'Reuße', NULL, 'M', NULL, NULL, NULL, 'Löthröhren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2693, 'Knöpfler', 'Peter', 'M', NULL, NULL, NULL, 'Regenschirmgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2694, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Kammfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2695, 'Rheins', 'D.', NULL, 'Comp', NULL, NULL, 'Stoffdruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2696, 'Riedle', NULL, 'M', NULL, NULL, NULL, 'Präsentirtellerfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2697, 'Rieß', NULL, NULL, 'Comp', NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2698, 'Kowalski', NULL, 'F', 'Wittwe', NULL, NULL, 'Deutsche Steine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2699, 'Robberechts', NULL, 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2700, 'Krebs', 'Ch. G. Ad.', 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2701, 'Rödel', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2702, 'Kreß', 'A.', 'M', 'Sohn', NULL, NULL, 'Fischwerkzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2703, 'Kretz u Berthier', NULL, 'M', NULL, NULL, NULL, 'Polirter Stahl', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2704, 'Krickelberg', NULL, 'M', NULL, NULL, NULL, 'Pappendeckelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2705, 'Krogner u Lafond', NULL, NULL, NULL, NULL, NULL, 'Reiseartikelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2706, 'Ronsen', NULL, 'M', NULL, NULL, NULL, 'Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2707, 'Kubitschek', NULL, 'M', NULL, NULL, NULL, 'Etuifabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2708, 'Rosenwald', NULL, 'M', 'jun', NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2709, 'Roßmann', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2710, 'Kunz', NULL, 'M', NULL, NULL, NULL, 'Gast- u. Kosthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2711, 'Kurtz', 'E.', 'M', 'Sohn', NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2712, 'Lahm', NULL, 'M', NULL, NULL, NULL, 'Anstreicher u. Glaser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2713, 'Lang', 'J. S.', 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2714, 'Rudolf', 'Carl', 'M', NULL, NULL, NULL, 'Meerschaumpfeifenschneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2715, 'Lasmer', NULL, 'M', NULL, NULL, NULL, 'Wein-Handlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2716, 'Lems', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2717, 'Lentzen', NULL, 'M', NULL, NULL, NULL, 'Juwelier in Gold', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2718, 'Leydel', NULL, 'F', NULL, NULL, NULL, 'Fabrikantin von Spielpuppen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2719, 'L\'Honore-Rietsch', NULL, 'M', NULL, NULL, NULL, 'Fabrikant von Phantasiepapiere', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2720, 'Lickman', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2721, 'Lieb', NULL, 'F', 'Frau', NULL, NULL, 'Lehranstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2722, 'Lietz', 'Joh.', 'M', NULL, NULL, NULL, 'Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2723, 'Lindner', NULL, 'F', 'Wwe', NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2724, 'Loch', NULL, 'M', NULL, NULL, NULL, 'Tabaksdosen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2725, 'Lövenbach', 'Emil', 'M', NULL, NULL, NULL, 'Fabrik von Stöcken u. Stielen für Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2726, 'Loos', NULL, NULL, 'Fraulein Geschwister', NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2727, 'Löwenbach', NULL, 'M', NULL, NULL, NULL, 'Stock- u. Regenschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2728, 'Maciejowski', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2729, 'Mackert', 'F.', 'M', NULL, NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2730, 'Mahler', NULL, 'M', 'Vater', NULL, NULL, 'Lakirte-Blechwaaren-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2731, 'Maler', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2732, 'Masleach u Savary', NULL, NULL, NULL, NULL, NULL, 'Schmuckwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2733, 'Metzger', NULL, 'M', NULL, NULL, NULL, 'Lederhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2734, 'Metzler', NULL, 'M', 'sen', NULL, NULL, 'Geschlissener Stahl', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2735, 'Mezenger', NULL, 'M', NULL, NULL, NULL, 'Wein-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2736, 'Michel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2737, 'Minsinger', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2738, 'Molter', NULL, 'M', NULL, NULL, NULL, 'Spielwaaren-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2739, 'Moritz', 'D.', 'M', 'jun', NULL, NULL, 'Griffe für Stöcke, regen- u. Sonnenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2740, 'Moser', NULL, 'M', NULL, NULL, NULL, 'Hosenträger u. Gürtel-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2741, 'Moser', 'Georg', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2742, 'Müller', 'R.', 'M', NULL, NULL, NULL, 'Börsen- u. Uhrenbändchen', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2743, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Lackfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2744, 'Müller', NULL, 'M', 'Sohn', NULL, NULL, 'Firniß', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2745, 'Müller', 'Rud.', 'M', NULL, NULL, NULL, 'Börsenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2746, 'Müller', 'F.', 'M', NULL, NULL, NULL, 'Knopflochschnur-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2747, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Bürstenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2748, 'Nachmann', 'S.', 'M', NULL, NULL, NULL, 'Schreibmaterialenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2749, 'Nadermann', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2750, 'Thezel', NULL, 'M', NULL, NULL, NULL, 'Spielwaarenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2751, 'Tikemann', 'B. G.', NULL, 'Comp', NULL, NULL, 'Commissions- u. Lithographiesteinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2752, 'Vandenbruck', 'Emil', 'M', NULL, NULL, NULL, 'Buchhalter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2753, 'Vandereecken', NULL, 'M', NULL, NULL, NULL, 'Brillenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2754, 'Vanderheym', NULL, NULL, 'Gebr', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2755, 'Vanderheym', 'Heinrich', 'M', NULL, NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2756, 'Vandernack', NULL, 'M', NULL, NULL, NULL, 'Maaßfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2757, 'Vendenberghe', 'Ch.', 'M', NULL, NULL, NULL, 'Metalllakirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2758, 'Versträte', 'Alph.', 'M', 'NC', NULL, NULL, 'Nähartikel im Großen', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2759, 'Vinkler', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2760, 'Wable', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2761, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Flaschenkästchen für Getränke', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2762, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Broncefabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2763, 'Wahl', 'M. J.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2764, 'Wall', NULL, 'M', NULL, NULL, NULL, 'Kammmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2765, 'Walter', NULL, NULL, 'Gebrüder', NULL, NULL, 'Bleistiftfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2766, 'Waltrin', NULL, 'M', NULL, NULL, NULL, 'Rathsreferent am Rechnungshofe', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2767, 'Wanner', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2768, 'Wantzel', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2769, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2770, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2771, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Milchladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2772, 'Weens', NULL, 'M', NULL, NULL, NULL, 'Pack-Pappendeckelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2773, 'Schaufelberger', NULL, 'M', NULL, NULL, NULL, 'Pulverhorn-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2774, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Gerichtsbote', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2775, 'Scheck', NULL, 'M', NULL, NULL, NULL, 'Gelbgießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2776, 'Scheerer', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2777, 'Weil', 'J.', 'M', 'NC', NULL, NULL, 'Goldschmied', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(2778, 'Scheerer', NULL, 'F', 'Wwe', NULL, NULL, 'Küchengeräth-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2779, 'Weill', 'J. S.', 'M', NULL, NULL, NULL, 'Farbenhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2780, 'Weisse-Bollenat', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2781, 'Scheib', 'Joseph', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2782, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Schmuckgravierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2783, 'Schanne', NULL, 'M', 'sen', NULL, NULL, 'Puppen- und Thierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2784, 'Schatz', NULL, 'M', NULL, NULL, NULL, 'Mützen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2785, 'Schickler', 'G.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2786, 'Schievez', 'F.', 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2787, 'Wenderheim', NULL, 'M', NULL, NULL, NULL, 'Pariser Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2788, 'Wender', 'C. G.', 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2789, 'Werndl', NULL, 'F', 'Frau', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2790, 'Weymiller', NULL, 'M', 'sen', NULL, NULL, 'Brieftaschenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2791, 'Weymiller', NULL, 'M', 'jun', NULL, NULL, 'Brieftaschenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2792, 'Wiederschein', 'Wilh.', 'M', NULL, NULL, NULL, 'Sattler u. Verfertiger v. Reiseartikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2793, 'Wild', 'Carl', 'M', NULL, NULL, NULL, 'Kameeschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2794, 'Wilhelm', 'Ch.', 'M', NULL, NULL, NULL, 'Kürschner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2795, 'Schloß', 'Ph.', 'M', NULL, NULL, NULL, 'Commissionär in Pariser Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2796, 'Schmoll', 'F.', 'M', NULL, NULL, NULL, 'vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2797, 'Schmoll', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2798, 'Schloßmacher', 'J.', 'M', NULL, NULL, NULL, 'Lampenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2799, 'Wilhelmus', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2800, 'Winter', 'F.', 'M', NULL, NULL, NULL, 'Fabrikant hydro-electrischer Ketten gegen rheumatische, gichtische u. nervöse Krankheiten', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(2801, 'Wissemans', NULL, 'M', NULL, NULL, NULL, 'Peitschenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2802, 'Wittersheim', NULL, 'F', 'Wwe', NULL, NULL, 'Weißzeug-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2803, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2804, 'Wolf', NULL, 'M', NULL, NULL, NULL, 'Bügeleisengriffe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2805, 'Schrameck', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2806, 'Sehu', NULL, 'M', NULL, NULL, NULL, 'Metalldrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2807, 'Wuhrer', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Tüncher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2808, 'Schuchard', NULL, 'M', NULL, NULL, NULL, 'Klistirpumpen', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(2809, 'Schudze', NULL, 'M', NULL, NULL, NULL, 'Gekleidete Puppen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2810, 'Wurmser', 'L.', NULL, 'Comp', NULL, NULL, 'Korsetten, Hemden, Weißzeughandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2811, 'Seligenstadt', NULL, 'F', 'Frau', NULL, NULL, 'Deutsche Spielwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2812, 'Schuler', NULL, 'M', NULL, NULL, NULL, 'Lederarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2813, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Liniirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2814, 'Zentner', NULL, 'M', NULL, NULL, NULL, 'Blechschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2815, 'Sichel-Javal', 'Joseph', 'M', NULL, NULL, NULL, 'Destillirer wohlriechender gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2816, 'Zimberg', 'E.', 'M', NULL, NULL, NULL, 'Geldtachenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2817, 'Zimmer', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2818, 'Silbermann', NULL, 'M', NULL, NULL, NULL, 'Maschinenverwalter der Künste und Gewerbe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2819, 'Simler', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2820, 'Singer', NULL, 'F', 'Frau', NULL, NULL, 'Blumenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2821, 'Singery', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2822, 'Zuber', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeughandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2823, 'Zürcher', NULL, 'M', NULL, NULL, NULL, 'Küfer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2824, 'Six', NULL, 'M', NULL, NULL, NULL, 'Meerschaumpfeifenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2825, 'Smaele', NULL, 'M', NULL, NULL, NULL, 'Holzschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2826, 'Specht', NULL, 'M', NULL, NULL, NULL, 'Regenschirmstiele', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2827, 'Stach', NULL, 'M', 'sen', NULL, NULL, 'Decorationsmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2828, 'Staudinger', NULL, 'M', NULL, NULL, NULL, 'Blumenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2829, 'Steinacher', 'Julius', 'M', NULL, NULL, NULL, 'Agent der Brandassecuranz la France', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(2830, 'Steinberger u Feldmann', NULL, NULL, NULL, NULL, NULL, 'Stöcke- u. Regenschirmstiel-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2831, 'Stellfeld', NULL, 'M', NULL, NULL, NULL, 'Kästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2832, 'Steinwaldt', NULL, 'M', NULL, NULL, NULL, 'Wachstuch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2833, 'Stichter', 'G.', 'M', NULL, NULL, NULL, 'Hornknöpfe, den seidenen ähnlich', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2834, 'Straubbarth', NULL, 'M', NULL, NULL, NULL, 'Aufseher auf dem Markt du Temple', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2835, 'Strebel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2836, 'Stricker', 'G.', 'M', NULL, NULL, NULL, 'Material- u. feine Specereiwaaren-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2837, 'Stupffel', NULL, 'M', NULL, NULL, NULL, 'Aepfelwein-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2838, 'Systermans', NULL, 'M', 'sen', NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2839, 'Tauscher', NULL, 'M', NULL, NULL, NULL, 'Klavierlieferung', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2840, 'Tedesco', NULL, 'M', NULL, NULL, NULL, 'Antikenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2841, 'Testel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2842, 'Fichtemberg', 'Moritz', NULL, 'Fichtemberg u Schwester', NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2843, 'Hendrickx', 'H.', 'M', NULL, NULL, NULL, 'Bürstenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2844, 'Hildebrand', NULL, 'M', 'Vater', NULL, NULL, 'Glocken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2845, 'Schnerb u Netter', NULL, NULL, NULL, NULL, NULL, 'Waaren-Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2846, 'Niedecker', NULL, 'F', 'Frau', NULL, NULL, 'Haarlockenverfertigerin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2847, 'Nützel-Berger', 'N.', 'M', NULL, NULL, NULL, 'Bleistiftfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2848, 'Achtsnit', NULL, 'M', NULL, NULL, NULL, 'Steinschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2849, 'Adam', NULL, 'M', 'Senior', NULL, NULL, 'Broschirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2850, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Schraubenmutterfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2851, 'Adolph', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2852, 'Albert', NULL, 'M', NULL, NULL, NULL, 'Cigarettenfutterale u. Geldtaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2853, 'Albrieht', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2854, 'Annecker', NULL, NULL, 'Comp', NULL, NULL, 'Waagefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2855, 'Balagny', NULL, 'M', NULL, NULL, NULL, 'Gast- u. Kaffeehaus', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(2856, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Silberarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2857, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Liqueurhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2858, 'Becker', 'L.', 'M', NULL, NULL, NULL, 'Artikel von Rouen im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2859, 'Becker', 'J.', NULL, 'Comp', NULL, NULL, 'Artikel von Rouen im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2860, 'Becker', NULL, NULL, 'sen u Comp', NULL, NULL, 'Artikel von Rouen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2861, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Hotel de Rouen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2862, 'Berger', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2863, 'Bernheim u Bloch', NULL, NULL, NULL, NULL, NULL, 'Sahlbänder und Tuchlappen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2864, 'Bert', NULL, 'M', NULL, NULL, NULL, 'Schachteln und Büchsen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2865, 'Beis', NULL, 'M', NULL, NULL, NULL, 'Regenschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2866, 'Berger', NULL, 'F', 'Fraulein', NULL, NULL, 'Leder für Mützen und Stoffe', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2867, 'Bettinger', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2868, 'Beuschov', NULL, 'M', NULL, NULL, NULL, 'Geflochtene Strohwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2869, 'Blessing', NULL, 'M', NULL, NULL, NULL, 'Militärequipirung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2870, 'Bloch', NULL, 'M', NULL, NULL, NULL, 'Unterrichtsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2871, 'Blum', NULL, 'M', NULL, NULL, NULL, 'Tuch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2872, 'Blumenthal', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2873, 'Braun', NULL, 'M', NULL, NULL, NULL, 'Kammfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2874, 'Braut', NULL, 'M', NULL, NULL, NULL, 'Goldschmuck', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2875, 'Bretnacher', 'E.', 'M', NULL, NULL, NULL, 'Fabrik von Spitzen in Kaoutschouk', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2876, 'Bunten', NULL, 'F', 'Wwe', NULL, NULL, 'Optiker und Ballonfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2877, 'Burghelle', NULL, 'M', NULL, NULL, NULL, 'Metallwaarenhandel in Großem', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2878, 'Cahn', NULL, 'M', NULL, NULL, NULL, 'Israelitische Schule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2879, 'Clauß', 'Phil.', 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2880, 'Cramer', NULL, 'M', NULL, NULL, NULL, 'Planirer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2881, 'Dattler', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2882, 'Dauner', 'F.', 'M', NULL, NULL, NULL, 'Tuchhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2883, 'Deiffel', NULL, 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2884, 'Demmler', NULL, 'M', NULL, NULL, NULL, 'Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2885, 'Diehl', NULL, 'M', NULL, NULL, NULL, 'Reisekästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2886, 'Dörr', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2887, 'Donninger', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2888, 'Donzel', 'P.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2889, 'Drall-Meyer', NULL, 'M', NULL, NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2890, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Stahlkettenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2891, 'Dreyfus', NULL, NULL, 'Neffe und Comp', NULL, NULL, 'Schuhwerk', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2892, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Metalldreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2893, 'Dreyspring', NULL, 'M', NULL, NULL, NULL, 'Papparbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2894, 'Edinger', NULL, 'M', NULL, NULL, NULL, 'Juwelen- und Kunsthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2895, 'Edinger', 'Michael', 'M', NULL, NULL, NULL, 'Möbelhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2896, 'Ehrhart', NULL, 'M', NULL, NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2897, 'Eisemann', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2898, 'Engler u Leroy', NULL, NULL, NULL, NULL, NULL, 'Commissions-handel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2899, 'Errard', 'F.', 'M', NULL, NULL, NULL, 'Strohwaaren für Kinder', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2900, 'Fault', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2901, 'Feiner', 'Manuel', 'M', NULL, NULL, NULL, 'Gürtelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2902, 'Filsnoël', NULL, 'M', NULL, NULL, NULL, 'Pappwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2903, 'Fischbach', NULL, 'M', NULL, NULL, NULL, 'Pappartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2904, 'Fischer', 'J. A.', 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2905, 'Flöge', 'Isidor', 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2906, 'Frech', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2907, 'Fribourg', NULL, 'M', NULL, NULL, NULL, 'Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2908, 'Friedrich', NULL, 'M', NULL, NULL, NULL, 'Geldtäschchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2909, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2910, 'Fulde', NULL, 'M', NULL, NULL, NULL, 'Militärequipirung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2911, 'Gaul', 'J.', 'M', NULL, NULL, NULL, 'Zinngeschirr', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2912, 'Geisel', NULL, 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2913, 'Gierckens', NULL, 'M', NULL, NULL, NULL, 'Häutefärber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2914, 'Göbel', 'Ch.', NULL, 'Göbel u Martin', NULL, NULL, 'Reisekästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2915, 'Gräf', 'S.', 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2916, 'Greiling', NULL, 'F', 'Frau', NULL, NULL, 'Durchbrecherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2917, 'Greiling', NULL, 'M', NULL, NULL, NULL, 'Acustische Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2918, 'Grimm', NULL, 'M', NULL, NULL, NULL, 'Gold- u. Silverschmuck', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2919, 'Groß u Hirsch', NULL, NULL, NULL, NULL, NULL, 'Juwelen- u. Kunsthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2920, 'Grünbaum', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2921, 'Gulmann', NULL, 'M', NULL, NULL, NULL, 'Hopfen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2922, 'Guttmann', NULL, 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2923, 'Haarscher', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2924, 'Haarscher', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2925, 'Hallgarten', NULL, 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2926, 'Halphen', 'Salvador', 'M', NULL, NULL, NULL, 'Gold-Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2927, 'Hamme', NULL, 'M', NULL, NULL, NULL, 'Gebrauchte Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2928, 'Hammer', 'F.', 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2929, 'Harmand', 'Jac.', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2930, 'Heimburger', NULL, NULL, 'Comp', NULL, NULL, 'Brieftaschen u. Etuis', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2931, 'Heindel', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2932, 'Heindt', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2933, 'Hennebert', NULL, 'M', NULL, NULL, NULL, 'Pantoffeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2934, 'Hermann', NULL, 'F', 'Frau', NULL, NULL, 'Gürtelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2935, 'Hernsheim', NULL, 'M', 'jun', NULL, NULL, 'Vom Hause Nathan u. Hernsheim jun.', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2936, 'Heymann', NULL, 'M', NULL, NULL, NULL, 'Schwämme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2937, 'Hieß', 'Carl', 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(2938, 'Hinsten', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(2939, 'Hoffmann', NULL, 'M', 'sen', NULL, NULL, 'Uhrmacher u. Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2940, 'Holtzer', 'Jac.', 'M', NULL, NULL, NULL, 'Gußstahl', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2941, 'Oberdörffer', 'Adolph', 'M', NULL, NULL, NULL, 'Silbervergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2942, 'Hornung', NULL, 'M', NULL, NULL, NULL, 'Bettdeckenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2943, 'Ochsner', 'Phil.', 'M', NULL, NULL, NULL, 'Beamter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2944, 'Offenbacher', 'Johann', 'M', NULL, NULL, NULL, 'Deutsche Spiegel-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2945, 'Houlmann', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2946, 'Huber', NULL, 'M', NULL, NULL, NULL, 'Vom Hause Gebrüder Massing, Huber u. Comp.', 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2947, 'Hubner', NULL, 'M', NULL, NULL, NULL, 'Kammfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2948, 'Hus', NULL, 'M', NULL, NULL, NULL, 'Lampenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2949, 'Hussel', NULL, 'M', NULL, NULL, NULL, 'Bürstenbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2950, 'Jungmann', NULL, 'M', NULL, NULL, NULL, 'Polizeicommissär', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(2951, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Mützenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2952, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Möbelhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2953, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Uhrmacherwerkzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2954, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2955, 'Kahn', NULL, 'M', NULL, NULL, NULL, 'Lehranstalt für junge Leute', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2956, 'Kahn', 'Marx.', 'M', NULL, NULL, NULL, 'Furnituren für Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2957, 'Kampf', NULL, 'M', 'sen', NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2958, 'Karcher', NULL, 'M', NULL, NULL, NULL, 'Mechanikus u. Werkzeuge für Juweliere', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2959, 'Kasloff', NULL, 'M', NULL, NULL, NULL, 'Gold-Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2960, 'Kast', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2961, 'Kast', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2962, 'Pelpel', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2963, 'Kaufmann', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2964, 'Kaufmann', 'M.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2965, 'Kaup', 'S.', 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2966, 'Pfeiffer & Neßler', 'G.', NULL, NULL, NULL, NULL, 'Geldtäschchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2967, 'Philip', 'F.', 'M', NULL, NULL, NULL, 'Farben und Firniß', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2968, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Schmelzarbeiter in Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2969, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Schmelzarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2970, 'Kieffer', 'L.', 'M', NULL, NULL, NULL, 'Sammetplüschfabrik im Auftrage von Frau Wtb. Walter aus Metz', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2971, 'Kneip', NULL, NULL, 'Comp', NULL, NULL, 'Brüderschafts-Verein v. den Limonade-Händlern zur Großen Familie', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2972, 'König', NULL, 'M', NULL, NULL, NULL, 'Wundarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(2973, 'Richard', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2974, 'Kohler u Wernigk', NULL, NULL, NULL, NULL, NULL, 'Commissionäre in Drechslerarbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2975, 'Kolb', NULL, 'M', NULL, NULL, NULL, 'Commissionär in Pariser Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2976, 'Rinker', NULL, 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2977, 'Krämer', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2978, 'Kreß', 'Carl', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(2979, 'Rohlschild', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2980, 'Rosenwald', 'A.', 'M', NULL, NULL, NULL, 'Mützenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2981, 'Roth', NULL, 'M', NULL, NULL, NULL, 'Mützenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2982, 'Lambert-Wolf', NULL, 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2983, 'Landsberg', NULL, 'M', 'sen', NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2984, 'Ruffel', 'P. & J.', 'M', NULL, NULL, NULL, 'Bretagner Butter und gesalzenes Fleisch u.s.w. im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2985, 'Lemer', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2986, 'Liesse', 'A.', 'M', NULL, NULL, NULL, 'Besorgt Aufträge in Eisen- u. Stahlwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2987, 'Liez', 'A.', 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2988, 'Limberger', NULL, 'M', NULL, NULL, NULL, 'Tabaks-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(2989, 'Linder', NULL, 'M', NULL, NULL, NULL, 'Zuckerbäckerformen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2990, 'Linder-Geoffrion', NULL, 'M', NULL, NULL, NULL, 'Decorationsmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2991, 'Lippmann u Gebrüder Mayer', NULL, NULL, 'NC', NULL, NULL, 'Metallwaaren', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(2992, 'Rustenholz', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2993, 'Lutzenberger', NULL, 'M', NULL, NULL, NULL, 'Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2994, 'Maas', NULL, 'M', NULL, NULL, NULL, 'Stempler, Modler u. Löther', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2995, 'Mager', NULL, 'M', NULL, NULL, NULL, 'Mützenfabrik u. Kurzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2996, 'Mann', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2997, 'Martin', NULL, 'M', NULL, NULL, NULL, 'Mützenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2998, 'Massing', NULL, NULL, 'Gebrüder Huber und Comp', NULL, NULL, 'Fabrik von Plüsch für die Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(2999, 'Mathias', 'F.', 'M', NULL, NULL, NULL, 'Papierhandlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3000, 'Maull', 'Ch.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3001, 'Metz', NULL, 'M', NULL, NULL, NULL, 'Geldtäschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3002, 'Metzler', NULL, 'M', 'jun', NULL, NULL, 'Stahlgeschmeide', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3003, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3004, 'Meyer-Moise', NULL, 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3005, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Juwelen- u. Kunsthändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3006, 'Meyer-Nachmann', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3007, 'Milisch', 'F.', 'M', NULL, NULL, NULL, 'Geschmeidehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3008, 'Mohr', NULL, 'M', NULL, NULL, NULL, 'Kleidungsstücke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3009, 'Most', 'G. Herm.', 'M', NULL, NULL, NULL, 'Kinderspielzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3010, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3011, 'Nagelin', NULL, 'M', NULL, NULL, NULL, 'Wagenlaternen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3012, 'Nathan u Hernsheim jun', NULL, NULL, NULL, NULL, NULL, 'Huthandlung in Commission', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3013, 'Neisse', NULL, 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3014, 'Neymark', 'J.', 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3015, 'Testel', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3016, 'Thellgott', 'J. Fried.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3017, 'Thez', 'Georg August', 'M', NULL, NULL, NULL, 'Lithographiezeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3018, 'Uhlmann', NULL, 'M', NULL, NULL, NULL, 'Juwelenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3019, 'Uhlmann', NULL, 'M', NULL, NULL, NULL, 'Weber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3020, 'Ullrich', 'Anton', 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3021, 'Valette', NULL, 'M', NULL, NULL, NULL, 'Protestantischer Pfarrer', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3022, 'Vandervoorde', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3023, 'Voldhardt', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3024, 'Wackernier', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3025, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Küfer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3026, 'Wahl', 'J.', NULL, 'Comp', NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3027, 'Walter', NULL, 'F', 'Wwe aus Metz', NULL, NULL, 'Plüsch-Fabrik, vetreten v. L. Kieffer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3028, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Ofensetzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3029, 'Sassier', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3030, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Eisen u. Oefen für Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3031, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Kinderspielwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3032, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Getragene Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3033, 'Weiler', 'F.', 'M', NULL, NULL, NULL, 'Speigelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3034, 'Weinschenk', 'M.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft in deutschen Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3035, 'Weismüller', 'W.', 'M', NULL, NULL, NULL, 'Edelsteinschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3036, 'Scheibel', 'G.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3037, 'Scheidel', 'Ch.', 'M', NULL, NULL, NULL, 'Deutsche Glassachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3038, 'Scheidig', NULL, 'M', NULL, NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3039, 'Schaller', NULL, NULL, 'Comp', NULL, NULL, 'Standuhrensockelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3040, 'Schaller', 'Friedr.', 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3041, 'Welle u Rousseau', NULL, NULL, NULL, NULL, NULL, 'Kleiderhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3042, 'Wellhoff', NULL, 'M', NULL, NULL, NULL, 'Drahtgitterfabrikant u. Häute- u. Haarhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3043, 'Schilte', NULL, 'M', NULL, NULL, NULL, 'Uhrenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3044, 'Wertheimer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3045, 'Wiesen', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3046, 'Wiethoff', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3047, 'Schleisinger', NULL, 'M', NULL, NULL, NULL, 'Edelsteinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3048, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3049, 'Schmidt', 'A.', 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3050, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3051, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3052, 'Wittmann und Poulenc jun', NULL, NULL, NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3053, 'Wohlfahrt', 'E. A.', 'M', NULL, NULL, NULL, 'Brieftaschen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3054, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Kinderspielwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3055, 'Schottlander', 'Heinrich', 'M', NULL, NULL, NULL, 'Geschliffene Stahlwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3056, 'Wolf', NULL, 'M', NULL, NULL, NULL, 'Gasthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3057, 'Wolff', 'J. Th.', 'M', NULL, NULL, NULL, 'Aufseher der Kirche des Billettes', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(3058, 'Schreiber', NULL, 'M', NULL, NULL, NULL, 'Schuhfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3059, 'Schröder', NULL, 'M', NULL, NULL, NULL, 'Formstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3060, 'Schröder', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3061, 'Scriber', NULL, 'M', NULL, NULL, NULL, 'Geldtäschchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3062, 'Seelbach', 'F.', 'M', NULL, NULL, NULL, 'Kästchenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3063, 'Sehmann', NULL, 'M', NULL, NULL, NULL, 'Standuhrenkästchenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3064, 'Worms', 'A.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3065, 'Worms', 'Julius', 'M', NULL, NULL, NULL, 'Maler u. Lithographiezeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3066, 'Wulff', NULL, NULL, 'Comp', NULL, NULL, 'Apparate für Daguerreotyp-Bilder / Lichtbildermaler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3067, 'Schuldres', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3068, 'Zagelaar', NULL, 'M', 'sen', NULL, NULL, 'Siegellackmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3069, 'Seyffert', 'E.', 'M', 'Sohn', NULL, NULL, 'Dachdecker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3070, 'Simon', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3071, 'Schwartz', 'Wilh.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3072, 'Zitzer', 'G.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3073, 'Stahl', NULL, 'M', NULL, NULL, NULL, 'Gießer in dem botanischen Garten', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(3074, 'Staudinger', NULL, 'M', NULL, NULL, NULL, 'Goldgravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3075, 'Steinbrunier', 'Ch.', 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(3076, 'Stoffel', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3077, 'Stöger', 'Eduard', 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3078, 'Stolz', NULL, 'F', 'Fraulein', NULL, NULL, 'Directrice des gegenseitigen Unterrichts', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3079, 'Straus', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3080, 'Neymarck', 'J.', 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3081, 'Nutzbaum', NULL, 'M', NULL, NULL, NULL, 'Handelsbücher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3082, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Wasserbehälter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3083, 'Adam', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3084, 'Ahrens', 'H.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3085, 'Albrecht', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3086, 'Allender', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer des Bad- u. Gasthauses \"Forge royale\" ', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3087, 'Ankermann', NULL, 'M', NULL, NULL, NULL, 'Klaviermechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3088, 'Ansens', NULL, 'M', NULL, NULL, NULL, 'Mechaniker und Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3089, 'Bader u Koch', NULL, NULL, NULL, NULL, NULL, 'Lichtschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3090, 'Badersbach', 'Caspar', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3091, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Tapetenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3092, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Gebäudemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3093, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3094, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3095, 'Barthel', 'Jac.', 'M', NULL, NULL, NULL, 'Schleifer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3096, 'Barthel', 'Dav.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3097, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Töpfefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3098, 'Bauer', NULL, NULL, 'Comp', NULL, NULL, 'Töpfefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3099, 'Beisler', 'J.', 'M', NULL, NULL, NULL, 'Zinnfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3100, 'Bengel', 'A.', 'M', NULL, NULL, NULL, 'Vergolder und  Versilberer auf Zink', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3101, 'Berckelaer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3102, 'Binder', NULL, 'M', NULL, NULL, NULL, 'Schwärzefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3103, 'Bittlinger', NULL, 'M', 'sen', NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3104, 'Blanck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3105, 'Bohrman', 'J. A.', 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3106, 'Boos', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Lyon', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3107, 'Boos', 'J. H.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3108, 'Bor', 'H. W.', 'M', NULL, NULL, NULL, 'Handelsagent', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3109, 'Böttcher', 'J. H. Ch.', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3110, 'Brag', NULL, 'M', 'jun', NULL, NULL, 'Bettzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3111, 'Bramstedt', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3112, 'Branco', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3113, 'Brandenburger', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3114, 'Braun', 'E. Fr.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3115, 'Braun', 'Ernst', 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3116, 'Bremer', 'N.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3117, 'Brulemer', NULL, 'M', NULL, NULL, NULL, 'Kaffeekannenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3118, 'Brunner', NULL, 'M', NULL, NULL, NULL, 'Pastor der evangelischen Kirche', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3119, 'Burckel', NULL, 'M', NULL, NULL, NULL, 'Mechanikus, ingén.', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3120, 'Burgh', NULL, 'M', 'jun', NULL, NULL, 'Bauholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3121, 'Burgraff von', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appellhofe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3122, 'Busser', NULL, 'F', 'Frau', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3123, 'Buttner', NULL, 'M', NULL, NULL, NULL, 'Metalldrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3124, 'Christ', 'Phil.', 'M', NULL, NULL, NULL, 'Ausschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3125, 'Christen', NULL, NULL, 'Comp', NULL, NULL, 'Stoffdruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3126, 'Christmann', 'J. M.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3127, 'Christo-Fani', NULL, NULL, NULL, NULL, NULL, 'Mouleur-figuriste', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3128, 'Christophe', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3129, 'Clauß', 'M. Alph.', 'M', NULL, NULL, NULL, 'Porzellan', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3130, 'Conrad', 'Jac.', 'M', NULL, NULL, NULL, 'Zuckersieder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3131, 'Coppens', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3132, 'Coulaux', NULL, NULL, 'sen u Comp', NULL, NULL, 'Niederlage ihrer Klingenthaler Gewehrfabrik', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(3133, 'Dagomer', NULL, 'M', NULL, NULL, NULL, 'Sesselfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3134, 'Daliot', 'R.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3135, 'Daliot', 'D.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3136, 'Danenhauer', 'F.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3137, 'Desjardin', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3138, 'Dexheimer', 'Adam', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3139, 'Diehl', NULL, 'M', 'jun', NULL, NULL, 'Reisekästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3140, 'Dieffenbacher', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3141, 'Diebold', 'G.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3142, 'Dietsch u Vogel', NULL, NULL, NULL, NULL, NULL, 'Formenstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3143, 'Dolfus u Thibert', NULL, NULL, NULL, NULL, NULL, 'Stoffedruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3144, 'Doll', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3145, 'Dom', NULL, 'M', NULL, NULL, NULL, 'Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3146, 'Donzel', NULL, NULL, 'Comp', NULL, NULL, 'Eisengießerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3147, 'Doster', 'N.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3148, 'Doster', 'Louis', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3149, 'Drache', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3150, 'Dresch', NULL, 'M', 'NC', NULL, NULL, 'Bierbrauer', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(3151, 'Dret', NULL, 'M', NULL, NULL, NULL, 'Hornknopffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3152, 'Dreyer', NULL, 'M', NULL, NULL, NULL, 'Goldschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3153, 'Dreymüller', NULL, 'M', NULL, NULL, NULL, 'Lieutenant der Gendarmerie in Ruhestand', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(3154, 'Drückerey', 'Ad.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3155, 'Dübern', NULL, NULL, 'Gebrüder', NULL, NULL, 'Steinkohlenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3156, 'Duseberg', 'J.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3157, 'Eckhardt', 'F.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3158, 'Eglofff', NULL, 'M', NULL, NULL, NULL, 'Marmorarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3159, 'Ehrmann', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3160, 'Elgström', 'J. J.', 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3161, 'Engel', NULL, 'M', NULL, NULL, NULL, 'Topffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3162, 'Engel', NULL, 'M', NULL, NULL, NULL, 'Fabrik irdener Töpfe', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3163, 'Enkel', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3164, 'Erhardt', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3165, 'Ernest', NULL, 'F', 'Wwe', NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3166, 'Ernest', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3167, 'Esser', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3168, 'Everwin', NULL, 'M', NULL, NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3169, 'Fath u Freuilloley', NULL, 'M', NULL, NULL, NULL, 'Inselholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3170, 'Feldmayer', 'Paul', 'M', NULL, NULL, NULL, 'Magazin brennbarer Stoffe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3171, 'Fetzner', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3172, 'Ficher', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3173, 'Fischer', NULL, 'M', 'Sohn sen', NULL, NULL, 'Schreiner ', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3174, 'Form', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3175, 'Frantz', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3176, 'Freiß', NULL, 'M', NULL, NULL, NULL, 'Hufschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3177, 'Frey', 'G. Ch.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3178, 'Freych', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3179, 'Frick', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3180, 'Friderick', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher u. Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3181, 'Friedel', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3182, 'Friesback', NULL, 'M', NULL, NULL, NULL, 'Baumaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3183, 'Frings', NULL, 'M', NULL, NULL, NULL, 'Uhren-Sockel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3184, 'Gäler', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3185, 'Gaisler', NULL, 'M', NULL, NULL, NULL, 'Tabak u. Branntwein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3186, 'Gaussen u Falck', NULL, NULL, NULL, NULL, NULL, 'Dampfschneidmaschine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3187, 'Gerst', NULL, 'M', NULL, NULL, NULL, 'Gravirer u. Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3188, 'Gilmer', NULL, NULL, 'Comp', NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3189, 'Gleitz', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3190, 'Gleizes', NULL, 'M', NULL, NULL, NULL, 'Blechlakirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3191, 'Glor', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3192, 'Gödecke', 'Casp.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3193, 'Gödecke', 'Fried. Wilh.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3194, 'Gottschalk', 'Thekla', 'F', 'Frau', NULL, NULL, 'Unterrichtsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3195, 'Gräber', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3196, 'Gräff', NULL, 'M', NULL, NULL, NULL, 'Horndreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3197, 'Grahn', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3198, 'Greis', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3199, 'Greyvelbinger', 'Bernhard', 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3200, 'Greyvelbinger', 'B.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3201, 'Griet sen', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3202, 'Grus', 'Alphons', 'M', NULL, NULL, NULL, 'Klaviermacher u. Stimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3203, 'Grus', NULL, 'M', 'Vater', NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3204, 'Güviller', NULL, 'M', NULL, NULL, NULL, 'Marmorsockel für Standuhren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3205, 'Gugel', 'Aug.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3206, 'Guntz', NULL, NULL, 'Comp', NULL, NULL, 'Directoren der Kunstschreinerzunft', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3207, 'Haag', NULL, 'M', NULL, NULL, NULL, 'Schreinerei', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3208, 'Haas', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3209, 'Hage', 'Martin', 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3210, 'Hagnauer', 'Eug.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3211, 'Hagnet', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3212, 'Halftermeyer', 'Georg', 'M', NULL, NULL, NULL, 'Kleinschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3213, 'Hallberg', 'Ch.', 'M', NULL, NULL, NULL, 'Perlenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3214, 'Hamburg', NULL, 'M', NULL, NULL, NULL, 'Corrector', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3215, 'Hanns', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3216, 'Hans', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3217, 'Hartwig', NULL, 'M', NULL, NULL, NULL, 'Porcellanvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3218, 'Heimeran', 'J. Ch.', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3219, 'Hendrickx', NULL, 'M', NULL, NULL, NULL, 'Hausrath', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3220, 'Herb', 'Joh.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3221, 'Herscher', 'J. G.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3222, 'Hertz', NULL, 'M', NULL, NULL, NULL, 'Klavierkistenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3223, 'Heß', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3224, 'Heubes', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler feiner Phantasiemöbel', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3225, 'Heymen', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3226, 'Hoefer u Steicher', NULL, NULL, NULL, NULL, NULL, 'Ebenist, eingelegte Arbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3227, 'Hösch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3228, 'Hoffmann', 'Andr.', 'M', NULL, NULL, NULL, 'Uhrmacher u. Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3229, 'Hömptgen', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3230, 'Honoré', NULL, 'M', NULL, NULL, NULL, 'Eisenbahnbeamter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3231, 'Hörter', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3232, 'Ohresser', 'Simon', 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3233, 'Huber', NULL, 'M', NULL, NULL, NULL, 'Emmenthaler Käse', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(3234, 'Hubel', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3235, 'Humes', 'J.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3236, 'Hurtz', NULL, 'M', NULL, NULL, NULL, 'Inselholz für Tafelwerk u. Mosaikarbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3237, 'Huster', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3238, 'Huten', NULL, 'M', NULL, NULL, NULL, 'Sägeholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3239, 'Inger', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3240, 'Isaac', 'Aug.', 'M', NULL, NULL, NULL, 'Baumaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3241, 'Ißler', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3242, 'Parise-Deutsch', NULL, 'M', NULL, NULL, NULL, 'Übernehmer von Grabmälern', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3243, 'Jäger', NULL, 'F', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3244, 'Jansen', 'Michael', 'M', NULL, NULL, NULL, 'Bau- u. Zeichnerschule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3245, 'Jung gen Young', NULL, 'M', NULL, NULL, NULL, 'Gemalte Glaswaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3246, 'Jungfleisch', NULL, 'M', NULL, NULL, NULL, 'Mechaniker, Quincailleriewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3247, 'Jurisch', 'H. F. W.', 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3248, 'Kannapell', NULL, 'M', NULL, NULL, NULL, 'Schnitzler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3249, 'Kapler', 'D. M.', 'M', NULL, NULL, NULL, 'Arzt des Hospitals Saint-Antoine', 0, 0, 0, NULL, 1, 2, 1, 1, 2),
(3250, 'Karcher', 'Jac.', 'M', NULL, NULL, NULL, 'Vertreter v. Georges u. Karcher, von Colmar', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3251, 'Kaulek', 'L.', 'M', 'NC', NULL, NULL, 'Schlosser u. Mechanikus', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(3252, 'Pfaff', 'Heinrich', 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3253, 'Kayser', 'J. Jac.', 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3254, 'Pfalz', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3255, 'Keller', 'F.', 'M', NULL, NULL, NULL, 'Kästchen u. Gestelle für Standuhren-Fabriken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3256, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Pappendeckel- u. Porzellanpapierfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3257, 'Keller', 'Kaspar', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3258, 'Polffer', NULL, 'M', NULL, NULL, NULL, 'Grobschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3259, 'Pradel', NULL, 'M', NULL, NULL, NULL, 'Eisengießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3260, 'Questel', NULL, NULL, 'Gebr', NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3261, 'Raphael', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3262, 'Rapp', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3263, 'Rauch', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3264, 'Rauch', 'J. F.', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3265, 'Reibel-Feindel', 'L.', 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3266, 'Kibler', 'Georg', 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3267, 'Kientzy', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3268, 'Kieffer', 'Joh.', 'M', NULL, NULL, NULL, 'Kunstschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3269, 'Kiffer', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3270, 'Killer', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3271, 'Kirschenmann', 'J. Mich.', 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3272, 'Kleiber', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3273, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3274, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Rohstoff für Ebenisten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3275, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Feilenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3276, 'Reiter & Heury', NULL, 'M', NULL, NULL, NULL, 'Wein- und essighandel im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3277, 'Knodel', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3278, 'Kobus', NULL, 'M', NULL, NULL, NULL, 'Weinwirthschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3279, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Bürstenbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3280, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Rohstoff für Ebenisten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3281, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3282, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Eingelegte Arbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3283, 'Rhein', 'I. Aug.', 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3284, 'König', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3285, 'Richstädt', NULL, 'M', 'sen', NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3286, 'Kolb', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3287, 'Kolle', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3288, 'Kolster', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3289, 'Ringel', 'P.', 'M', NULL, NULL, NULL, 'Spielwaarenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3290, 'Kons', NULL, 'M', NULL, NULL, NULL, 'Metall-Gewebe', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3291, 'Rischstädt', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3292, 'Kopf', 'Joh.', 'M', NULL, NULL, NULL, 'Bleicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3293, 'Kopp', NULL, 'M', 'Sohn', NULL, NULL, 'Sägeholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3294, 'Ritter', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3295, 'Rittermann', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3296, 'Kremer', 'P.', 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3297, 'Kremer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3298, 'Krettly', 'L.', 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3299, 'Rohden von', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3300, 'Krieger', NULL, NULL, 'Comp', NULL, NULL, 'Ebenholz-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3301, 'Krier', NULL, 'M', NULL, NULL, NULL, 'Unternehmer der Gebäude auf den Abriß', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3302, 'Rommel', 'C. Ch. G.', 'M', NULL, NULL, NULL, 'Ausschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3303, 'Roos', NULL, 'M', NULL, NULL, NULL, 'Schreibwerkzeuge und Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3304, 'Kropper', NULL, 'M', NULL, NULL, NULL, 'Töpfe-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3305, 'Roth', 'Wilh.', 'M', NULL, NULL, NULL, 'Agent für Beförderung zu Wasser', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3306, 'Kuppens', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3307, 'Kupper', NULL, 'M', NULL, NULL, NULL, 'Klavierkastenmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3308, 'Kurner', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3309, 'Längst', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3310, 'Lamparter', NULL, 'M', NULL, NULL, NULL, 'Prediger', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3311, 'Rothschild', NULL, 'M', NULL, NULL, NULL, 'Standuhrenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3312, 'Längst', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3313, 'Rudolph', NULL, 'M', NULL, NULL, NULL, 'Scheitholz', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(3314, 'Lapp', 'E.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3315, 'Lehmanns', 'J.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3316, 'Leibere', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3317, 'Leidenroth', 'Christian', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3318, 'Leonard', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3319, 'Ley', 'H.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3320, 'Liebs', 'J. Chr.', 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3321, 'Lillers', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3322, 'Lindner', 'M.', 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3323, 'Linsler', NULL, 'M', NULL, NULL, NULL, 'Fußboden-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3324, 'Lipman', NULL, 'M', NULL, NULL, NULL, 'Wagen-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3325, 'Littig', NULL, 'M', NULL, NULL, NULL, 'Specereikrämer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3326, 'Lohr', 'J. Mich.', 'M', NULL, NULL, NULL, 'Marmorirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3327, 'Ruh', NULL, 'M', NULL, NULL, NULL, 'Stockfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3328, 'Lothammer', NULL, 'M', NULL, NULL, NULL, 'Kunstschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3329, 'Lowental', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3330, 'Ludewig', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3331, 'Ludwig gennant Louis', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3332, 'Rupp', 'Ch.', NULL, 'Gebrüder', NULL, NULL, 'Stoffappreteur', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3333, 'Ruth', 'J. P. B.', 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(3334, 'Luzius', NULL, 'M', NULL, NULL, NULL, 'Brauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3335, 'Lyon u Allemand', NULL, NULL, NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3336, 'Märten', NULL, 'M', NULL, NULL, NULL, 'Weißzeughandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3337, 'Mahler u Durietz', NULL, NULL, NULL, NULL, NULL, 'Blechschmiede', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3338, 'Mahler', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3339, 'Mathias', NULL, 'M', NULL, NULL, NULL, 'Kurzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3340, 'Mazaroz Weiber u Gaudel', NULL, NULL, NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3341, 'Mendel', 'M.', 'M', NULL, NULL, NULL, 'Buchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3342, 'Mennerich', 'H.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3343, 'Mesmer', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3344, 'Mezel', NULL, 'M', NULL, NULL, NULL, 'Wagner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3345, 'Mezger', NULL, 'M', NULL, NULL, NULL, 'Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3346, 'Michels', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3347, 'Michaelis', NULL, 'M', NULL, NULL, NULL, 'Brauerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3348, 'Michelis', 'Ch. Aug.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3349, 'Minten', NULL, 'F', 'Wwe', NULL, NULL, 'Fab. de moulures guillochées', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3350, 'Morhard', 'Philipp', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3351, 'Morris', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3352, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3353, 'Müller', 'J.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3354, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3355, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Eingelegte Schreinerarbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3356, 'Münz', NULL, 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3357, 'Müsch', NULL, 'M', NULL, NULL, NULL, 'Badewannenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3358, 'Nennig', 'N.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3359, 'Neufelder', NULL, 'M', NULL, NULL, NULL, 'Schlosser u. Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3360, 'Teufel', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3361, 'Theurer', 'Ch.', 'M', NULL, NULL, NULL, 'Scheerenschleifer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3362, 'Thom', 'Ch. L.', 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3363, 'Tiefenbruner', 'Martin', 'M', NULL, NULL, NULL, 'Kästchenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3364, 'Timmermans', NULL, 'M', NULL, NULL, NULL, 'Schuh- u. Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3365, 'Timmermans', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3366, 'Uhlrich', 'Jac.', 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3367, 'Uselding u Sohn', NULL, NULL, NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3368, 'Van Dekerckhove', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3369, 'Vandenbrucke', NULL, 'M', NULL, NULL, NULL, 'Klavierkastenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3370, 'Vanderwalle', NULL, 'M', NULL, NULL, NULL, 'Metall-Eiselirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3371, 'Vandroogenbröck', 'G.', 'M', NULL, NULL, NULL, 'Commissionshandel in Juwelen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3372, 'Vangarner', 'L. Joh.', 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3373, 'Vanlisbeth', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3374, 'Van Loo', NULL, 'M', NULL, NULL, NULL, 'Etagère-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3375, 'Vanombergen', NULL, 'M', NULL, NULL, NULL, 'Wannenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3376, 'Vanraak', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3377, 'Vedder', NULL, 'M', NULL, NULL, NULL, 'Fabrikant u. Magazin alterthümlicher Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3378, 'Veld', 'Michael', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3379, 'Vetter', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3380, 'Veyer', NULL, 'M', NULL, NULL, NULL, 'Klavierkasten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3381, 'Vincke', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3382, 'Vindeker', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3383, 'Vogt', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3384, 'Vogt', 'Victor', NULL, 'Wwe', NULL, NULL, 'Oefenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3385, 'Volker', NULL, 'M', NULL, NULL, NULL, 'Zuschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3386, 'Voltz', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3387, 'Waast', 'G.', 'M', NULL, NULL, NULL, 'Rahmenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3388, 'Wadermann', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3389, 'Wagner', 'P.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3390, 'Walquewitz', 'Georg', 'M', NULL, NULL, NULL, 'Bauschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3391, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Vertreter des Hauses Nanot u. Comp. v. Saargemünd. Niderlage ihrer Plüsch- u. Sammetfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3392, 'Wandervalle', NULL, 'M', NULL, NULL, NULL, 'Baumaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3393, 'Warenhorst von', 'A.', 'M', 'Graf', NULL, NULL, 'Indisches Holz', 0, 0, 0, NULL, 6, 2, 2, 1, 4),
(3394, 'Warnemunde', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3395, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Klavierkastenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3396, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Stahlstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3397, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3398, 'Wehrbein', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3399, 'Wehrle', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3400, 'Scheck', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3401, 'Scheff', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3402, 'Weishaar', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3403, 'Weitzel', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3404, 'Scheib', 'Louis', 'M', NULL, NULL, NULL, 'Porzellanofen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3405, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3406, 'Schelhorn', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3407, 'Schallenberg', 'Friedr.', 'M', NULL, NULL, NULL, 'Broncefabrikant und Krystallbeschläger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3408, 'Schaller', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3409, 'Schaller', NULL, 'M', 'jun', NULL, NULL, 'Möbelschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3410, 'Scheutele', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3411, 'Welter', NULL, 'M', NULL, NULL, NULL, 'Weinwirthschaft', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3412, 'Welter', 'J.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3413, 'Welter', NULL, 'M', NULL, NULL, NULL, 'Spulenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3414, 'Wendermann', NULL, 'M', NULL, NULL, NULL, 'Gebäudemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3415, 'Schimmer', NULL, 'M', NULL, NULL, NULL, 'Brauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3416, 'Wetter', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3417, 'Widmer', NULL, 'M', 'sen', NULL, NULL, 'Gebäudemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3418, 'Wiese', 'J. R. L.', 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3419, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3420, 'Schmoll', 'Gebr.', 'M', NULL, NULL, NULL, 'Uhrfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3421, 'Schlosser', NULL, 'M', NULL, NULL, NULL, 'Schlösser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3422, 'Schmider & Georges', NULL, NULL, NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3423, 'Windecker', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3424, 'Winkler', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3425, 'Winter', NULL, 'M', NULL, NULL, NULL, 'Polizeicommissär, section du Marais', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3426, 'Wittersheim', 'A.', 'M', NULL, NULL, NULL, 'Buchdruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3427, 'Schmidt', 'J. Ch.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3428, 'Schmit', NULL, 'M', NULL, NULL, NULL, 'Möbelschreinerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3429, 'Schmith', NULL, 'M', NULL, NULL, NULL, 'Pelzglänzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3430, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3431, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3432, 'Schor', NULL, 'M', NULL, NULL, NULL, 'Tabakhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3433, 'Schumacher', 'Jacob', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3434, 'Seelhoff & Engelander', NULL, 'M', NULL, NULL, NULL, 'Tintenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3435, 'Sefert', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3436, 'Seider', NULL, 'F', 'Frau', NULL, NULL, 'Vorsteherin des israelitischen Armenhauses', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3437, 'Seiler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3438, 'Schumacher', NULL, 'M', NULL, NULL, NULL, 'Mechaniker und Drechsler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3439, 'Schumacher', NULL, 'M', 'sen', NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3440, 'Schumacher', 'P.', 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3441, 'Siffert', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3442, 'Zimmermann', NULL, 'M', NULL, NULL, NULL, 'Goldschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3443, 'Schwab', NULL, 'M', NULL, NULL, NULL, 'Weißzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3444, 'Simmer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3445, 'Schwach', NULL, 'M', NULL, NULL, NULL, 'Rahmenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3446, 'Sintz', NULL, 'M', NULL, NULL, NULL, 'Sesselschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3447, 'Zuber', 'J.', NULL, 'Comp', NULL, NULL, 'Papier-Niederlage', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3448, 'Schwerdorff', NULL, 'M', NULL, NULL, NULL, 'Möbleschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3449, 'Zwinger-Mahon', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3450, 'Schwindt', 'L.A.', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3451, 'Sontag', 'Peter', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3452, 'Spettel', NULL, 'M', NULL, NULL, NULL, 'Betten- u. Möbelfabrik', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3453, 'Spieler', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3454, 'Spitz', NULL, 'F', 'Frau', NULL, NULL, 'Erziehungsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3455, 'Stäglin', 'Martin', 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3456, 'Staudt', 'J.', 'M', NULL, NULL, NULL, 'Porcellanöfenfabrik', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3457, 'Staudt', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3458, 'Steckler', NULL, 'M', NULL, NULL, NULL, 'Kästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3459, 'Steffen', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3460, 'Stelling', 'Ed.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3461, 'Stock', NULL, 'M', NULL, NULL, NULL, 'Lederarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3462, 'Strott', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3463, 'Stuer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3464, 'Sutter', NULL, 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3465, 'Tenten', NULL, NULL, 'Comp', NULL, NULL, 'Ungarische Ledergerberei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3466, 'Coulaux', NULL, NULL, 'Wtb Urban Sutterlin und Comp', NULL, NULL, 'Unternehmer und Eigenthümer der Manufactur von Mutzig, Depot', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3467, 'Steusloff', 'D.J.S.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3468, 'Niderer', NULL, 'M', NULL, NULL, NULL, 'Möbelmagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3469, 'Nigrin', 'J. Friedr.', 'M', NULL, NULL, NULL, 'Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3470, 'Ackermann', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3471, 'Arbogast', NULL, 'M', NULL, NULL, NULL, 'Specerei und Obst', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3472, 'Arthur', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3473, 'Bastian', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3474, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(3475, 'Berger', 'C.', 'M', NULL, NULL, NULL, 'Seine-Präfect', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3476, 'Berger', 'Mathäus', 'M', NULL, NULL, NULL, 'Rathsreferendar am Rechnungshof', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3477, 'Bertel', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3478, 'Bettinger', NULL, 'M', NULL, NULL, NULL, 'Mohrbänder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3479, 'Beyerle', NULL, 'M', NULL, NULL, NULL, 'Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3480, 'Bittner', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3481, 'Blacius', NULL, 'M', NULL, NULL, NULL, 'Tabak', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3482, 'Block', NULL, 'M', NULL, NULL, NULL, 'Israelitischer Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3483, 'Brawaski', NULL, 'M', NULL, NULL, NULL, 'Doctor der Medecin', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3484, 'Bröake', NULL, 'M', NULL, NULL, NULL, 'Bronzefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3485, 'Bromburg', NULL, 'M', NULL, NULL, NULL, 'Zimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3486, 'Buyssens', NULL, 'M', NULL, NULL, NULL, 'Billardfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3487, 'Cabe', NULL, 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3488, 'Cadell', NULL, 'M', 'Sohn', NULL, NULL, 'Möbelschreinerei', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3489, 'Christophe', NULL, 'M', NULL, NULL, NULL, 'Metalldrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3490, 'Cramm', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3491, 'Damm', NULL, 'M', 'jun', NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3492, 'Deibl', NULL, 'M', NULL, NULL, NULL, 'Kräuter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3493, 'Dockendorff', NULL, 'M', NULL, NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3494, 'Eggert', 'Friedrich', 'M', NULL, NULL, NULL, 'Schreinerei und Standuhren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3495, 'Elmerich', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3496, 'Enard', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3497, 'Flad', 'Louis', 'M', NULL, NULL, NULL, 'Kräuter', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3498, 'Fuchs', 'J. D.', 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3499, 'Gaßner', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3500, 'Gerard', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3501, 'Gesbert', NULL, 'M', NULL, NULL, NULL, 'Gießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3502, 'Goll', 'J. Conrad', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3503, 'Habert', 'Ludwig', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(3504, 'Hans', NULL, 'F', 'Frau', NULL, NULL, 'Kräuter, Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3505, 'Harter', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3506, 'Hebert', NULL, 'M', NULL, NULL, NULL, 'Stellenbüreau', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3507, 'Heinsvater', NULL, 'M', NULL, NULL, NULL, 'Harmonikafabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3508, 'Hemmer', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3509, 'Hemmerlin', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3510, 'Hosp', NULL, 'M', NULL, NULL, NULL, 'Tabak u. abgezogener Branntwein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3511, 'Oeschger u Meßbach', 'L.', NULL, 'Oeschger Meßbach und Comp', NULL, NULL, 'Metallhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3512, 'Hubert', 'G. M.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3513, 'Kantzer', 'Jac.', 'M', NULL, NULL, NULL, 'Beamter', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3514, 'Kauffmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3515, 'Kentzinger von', 'L.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3516, 'Postel', NULL, 'M', NULL, NULL, NULL, 'Specereihandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3517, 'Rager', NULL, 'M', NULL, NULL, NULL, 'Wurstler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3518, 'Ramburg', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3519, 'Kiesling', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3520, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3521, 'Ribes', NULL, 'F', 'Wwe', NULL, NULL, 'Mädchenschule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3522, 'Kreyenbiehl', NULL, 'M', 'jun', NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3523, 'Rohm', 'Joh.', 'M', NULL, NULL, NULL, 'Gärtner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3524, 'Kuhlmann', 'G. F. M.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3525, 'Kuhn', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3526, 'Lods', 'Vict.', 'M', NULL, NULL, NULL, 'Eisenhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3527, 'Rummel', NULL, 'M', NULL, NULL, NULL, 'Möbelschreinerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3528, 'Mann', NULL, 'M', NULL, NULL, NULL, 'Salzhandlung im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3529, 'Mesbach', 'L.', 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Oescher, Mesbach u. Comp.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3530, 'Metzinger', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3531, 'Molz', NULL, 'M', NULL, NULL, NULL, 'Gießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3532, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Wagen nach Montreuil', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3533, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Café Charlemagne', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3534, 'Thirard', NULL, 'M', NULL, NULL, NULL, 'Stuhlfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3535, 'Vierhaus', NULL, 'M', 'jun', NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3536, 'Wälken', NULL, 'M', NULL, NULL, NULL, 'Farbe- u. Firnißfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3537, 'Warmont', NULL, 'M', NULL, NULL, NULL, 'Kuchenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3538, 'Sauer', 'Ph. J.', 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3539, 'Wiequart', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3540, 'Schone', 'H.', 'M', NULL, NULL, NULL, 'Baldachinfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3541, 'Schroth', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3542, 'Seller', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3543, 'Zierl', NULL, 'M', NULL, NULL, NULL, 'Instrumentenschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3544, 'Starck', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3545, 'Stoff', NULL, 'M', NULL, NULL, NULL, 'Wein- u. Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3546, 'Stolz', 'J. Theod.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3547, 'Niggl', NULL, 'M', NULL, NULL, NULL, 'Mechanikus optischer Instrumente', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3548, 'Adam', 'Alfred', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3549, 'Adam', 'O.', 'M', NULL, NULL, NULL, 'Rathsherr am Rechnungshofe', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3550, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3551, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3552, 'Aeschliman', NULL, 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3553, 'Aram', 'D.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3554, 'Arnheiter', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3555, 'Arnold', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3556, 'Arnold', NULL, 'M', NULL, NULL, NULL, 'Sattler und Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3557, 'Bach', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3558, 'Barker', NULL, 'M', NULL, NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3559, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3560, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3561, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Eisenwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3562, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Sehenswürdigkeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3563, 'Bauller', NULL, 'M', NULL, NULL, NULL, 'Flötenblaser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3564, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Bellevue', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3565, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Apotheker Mineralwasser', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3566, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Oefen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3567, 'Behr', NULL, 'F', 'Baronin von', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3568, 'Beyerle', NULL, 'M', 'Hauchar\'s Nachfolger', NULL, NULL, 'Uhrmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3569, 'Beyerle', NULL, 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3570, 'Blind', 'G. Fried.', 'M', NULL, NULL, NULL, 'Sattler und Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3571, 'Bobrowski', NULL, 'M', NULL, NULL, NULL, 'Blechwaaren und Lampen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3572, 'Boos', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3573, 'Bormans von', NULL, 'M', NULL, NULL, NULL, 'Capitän', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(3574, 'Bornschlegel von', 'Victor', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3575, 'Bose', 'Aristides', 'M', NULL, NULL, NULL, 'Steindruckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3576, 'Brahaut', 'O.', 'M', NULL, NULL, NULL, 'Pensionirter Feldherr', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(3577, 'Brandenburg von', NULL, 'M', 'Graf', NULL, NULL, 'Attaché bei der preußischen Gesandtschaft', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(3578, 'Bresse', NULL, 'M', NULL, NULL, NULL, 'Repetent der polytechnischen Schule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3579, 'Buhler', NULL, 'M', NULL, NULL, NULL, 'Musterzeichner von Gärten und Parken', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3580, 'Burger von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3581, 'Caflisch', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3582, 'Capel', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3583, 'Curmer', 'Al.', 'M', NULL, NULL, NULL, 'Stereotypie und Polytypie', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3584, 'Cutbert', 'Robert', 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3585, 'Dalbert', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3586, 'Daniel', NULL, 'F', 'Fräul', NULL, NULL, 'Klavier- und Singlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3587, 'Daniel', NULL, 'M', NULL, NULL, NULL, 'Violinlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3588, 'Dresch', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3589, 'Dreyer', NULL, 'M', NULL, NULL, NULL, 'Commissions- und  Speditionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3590, 'Dreyß', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3591, 'Eckmühl von', NULL, 'F', 'Prinzessin-Witwe', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3592, 'Elgen von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3593, 'Elcke', 'F.', 'M', NULL, NULL, NULL, 'Klavierfabrik und Lager', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3594, 'Elshöcht', NULL, 'M', NULL, NULL, NULL, 'Kunstschnitzler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3595, 'Engelmann und Graf', NULL, NULL, NULL, NULL, NULL, 'Druckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3596, 'Essertenne', NULL, NULL, 'Graf und Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3597, 'Eßling', NULL, NULL, 'Baron und Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3598, 'Eßling', NULL, NULL, 'Prinz und Prinzessin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3599, 'Ester', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(3600, 'Falkenberg', NULL, 'M', NULL, NULL, NULL, 'Kassirer an der Telegraphenlinie', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3601, 'Fasbinder', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3602, 'Feller', NULL, 'M', NULL, NULL, NULL, 'Kaffee- und Gasthaus zur Terrasse', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3603, 'Fenäch', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3604, 'Fiechter', NULL, 'M', 'Neffe', NULL, NULL, 'Eisenwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3605, 'Finckbeiner', 'B.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3606, 'Flad', NULL, 'M', NULL, NULL, NULL, 'Kräuter', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3607, 'Florent-Rietsch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3608, 'Fock', 'F.', 'M', NULL, NULL, NULL, 'Buchbinder u. Vergoldner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3609, 'Frank', 'Nicolaus Joeph', 'M', 'Vater von Lüttich', NULL, NULL, 'Musiker', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3610, 'Frincken', NULL, 'M', NULL, NULL, NULL, 'Klavierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3611, 'Fritz', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3612, 'Frölicher', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3613, 'Frölicher', NULL, 'M', 'Sohn', NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3614, 'Galette', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3615, 'Gaussens', NULL, 'M', 'Sohn', NULL, NULL, 'Flaschen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3616, 'Geiger', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3617, 'Gernichowski', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3618, 'Gluck', 'Fr.', 'M', NULL, NULL, NULL, 'Holz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3619, 'Gombert', NULL, 'M', NULL, NULL, NULL, 'Verleger', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3620, 'Gosner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3621, 'Grabowski', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3622, 'Gretscher', 'A.', 'M', NULL, NULL, NULL, 'Arzt u. Geburtshelfer', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3623, 'Grimberge', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3624, 'Grindel', NULL, 'M', NULL, NULL, NULL, 'Intendant des Herzogs von Luynes', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(3625, 'Gröb', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3626, 'Haas', 'Fr. W.', 'M', NULL, NULL, NULL, 'Tapeten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3627, 'Haaser', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3628, 'Hakelberg', NULL, 'M', NULL, NULL, NULL, 'Wagenlaternenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3629, 'Halle', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3630, 'Haren', 'O.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3631, 'Haser', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckausmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3632, 'Hatzefeldt von', NULL, 'M', 'Graf', NULL, NULL, 'außerordentlicher Gesandter, bevollmächtigter Minister v. Preußen', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(3633, 'Heil', NULL, 'M', NULL, NULL, NULL, 'Holz-, Metall- u. Steindrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3634, 'Heim', 'O.', 'M', 'de l\'Institut', NULL, NULL, 'Geschichtsmaler im Institutenpalast', 1, 0, 0, NULL, 1, 2, 1, 1, 6),
(3635, 'Heinz', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3636, 'Hemmerle', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3637, 'Hempel', NULL, 'M', NULL, NULL, NULL, 'Optikus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3638, 'Hendrich', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3639, 'Hesse', 'A.', 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 6),
(3640, 'Heu', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3641, 'Hilten', NULL, 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3642, 'Hipp', NULL, 'M', NULL, NULL, NULL, 'Tischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3643, 'Hipp', NULL, 'M', NULL, NULL, NULL, 'Tüncher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3644, 'Hirsch', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3645, 'Hirtz', NULL, 'M', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3646, 'Hirtz', NULL, 'M', NULL, NULL, NULL, 'Holzdrechsler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3647, 'Hitz', NULL, 'M', NULL, NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3648, 'Hoch', NULL, 'M', NULL, NULL, NULL, 'Bandzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3649, 'Hög', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3650, 'Höpfner', NULL, 'F', 'Frau', NULL, NULL, 'Näherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3651, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Robbereiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3652, 'Hoffmann', 'A.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3653, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3654, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3655, 'Horner', NULL, 'M', 'NC', NULL, NULL, 'Gemälde-Unternehmer', 0, 1, 0, NULL, 6, 2, 1, 1, 10),
(3656, 'Ordener', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3657, 'Hübner', 'Alexis', 'M', 'Baron', NULL, NULL, 'Österreichischer bevollmächtigter Gesandte u. Minister', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(3658, 'Hunolstein von', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3659, 'Hunolstein von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3660, 'Osterberger', NULL, 'M', NULL, NULL, NULL, 'Zeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3661, 'Oßwald', 'G. Ch. W.', 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3662, 'Ott', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Unter-Marine-Commissär', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3663, 'Jung', 'E.', 'M', NULL, NULL, NULL, 'Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3664, 'Käppelin', 'E.', 'M', NULL, NULL, NULL, 'Lithographie', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3665, 'Kauffmann', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3666, 'Kaysser', NULL, 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3667, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3668, 'Pfersdorff Colibri', NULL, 'M', NULL, NULL, NULL, 'Gewächsgärtnerei', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3669, 'Pfund', NULL, 'M', NULL, NULL, NULL, 'Hauptrechnungsagent der Artillerie im Marine-Mimisterium', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3670, 'Keller', 'Georg', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3671, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Wasser-Baumeister', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(3672, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Specerei-, Tabak- u. Stempelpapier-Verkauf', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3673, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3674, 'Kellerhoff', 'E.', 'M', NULL, NULL, NULL, 'Artikel v. Bettzeug.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3675, 'Kern', 'G.', 'M', NULL, NULL, NULL, 'Gebäudemaler u. Tapeten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3676, 'Kerremans', NULL, 'M', NULL, NULL, NULL, 'Blechschmied u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3677, 'Pölemans', NULL, 'M', NULL, NULL, NULL, 'Stiefel- und Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3678, 'Postel', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(3679, 'Pradel', NULL, 'M', NULL, NULL, NULL, 'Sattler und Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3680, 'Primm', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3681, 'Quelen von', NULL, NULL, 'Graf und Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3682, 'Rath', NULL, 'M', NULL, NULL, NULL, 'Geschirrsattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3683, 'Rech', NULL, 'M', NULL, NULL, NULL, 'Gasthausbesitzer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3684, 'Rech', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3685, 'Kinzel', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3686, 'Reichmann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder und Schreibwerkzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3687, 'Kleinhaus', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3688, 'Reinwald', 'C.', 'M', NULL, NULL, NULL, 'Commissionsbuchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3689, 'Klincksieck', 'Friedr.', 'M', NULL, NULL, NULL, 'Buchhandlung in fremden Sprachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3690, 'Kling', NULL, 'M', NULL, NULL, NULL, 'Schneider und Gasthaus zur Stadt Valenzia', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3691, 'Klippel', NULL, 'M', NULL, NULL, NULL, 'Ad.', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3692, 'Klons', NULL, 'F', 'Wwe', NULL, NULL, 'Tabak u. Branntwein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3693, 'Klump', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3694, 'Knecht', 'Emil', 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3695, 'Knußmann', 'D.', 'M', NULL, NULL, NULL, 'Baumeister u. Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3696, 'Rhein', NULL, NULL, 'Sohn & Legorju', NULL, NULL, 'Brennholz', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3697, 'Koch', 'Peter', 'M', NULL, NULL, NULL, 'Wagenmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3698, 'König', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3699, 'König', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3700, 'Riebel', NULL, 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3701, 'Köhler', NULL, 'M', NULL, NULL, NULL, 'Buchbinder u. Vergolder', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3702, 'Rieffel', NULL, 'M', NULL, NULL, NULL, 'Farbenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3703, 'Röhn', NULL, 'M', 'Vater', NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(3704, 'Kugler', NULL, 'M', NULL, NULL, NULL, 'Fischerwerkzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3705, 'Kuhnert', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3706, 'Rothe', 'O.', 'M', NULL, NULL, NULL, 'Unterkriegscommissär', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(3707, 'Laaß', NULL, 'F', 'd\'Aguen Frau geb Berger', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3708, 'Rothfristsch', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3709, 'Rothiacob von', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3710, 'Lang', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckenputzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3711, 'Lange', 'G. Fried.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3712, 'Langsdorff', 'O.', 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(3713, 'Rudder von', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3714, 'Lardner', 'Dionys', 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3715, 'Libermann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3716, 'Libermann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3717, 'Lindemann', 'Heinr.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3718, 'Litzelmann', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3719, 'Loos von', NULL, 'M', 'Baron', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3720, 'Loos von', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3721, 'Lorber', NULL, 'M', NULL, NULL, NULL, 'Secretär u. Archivverwalter an der Brücken- u. Bauschule', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3722, 'Lowe', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3723, 'Ruprich', 'R.', 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3724, 'Lutz', NULL, 'M', NULL, NULL, NULL, 'Apotheker des Hospitals der kranken Kinder', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3725, 'Malen jun u Langlois', 'V.', 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3726, 'Martner', NULL, 'M', NULL, NULL, NULL, 'Oberstlieutenant', 0, 0, 0, NULL, 1, 2, 1, 1, 6),
(3727, 'Mathias', 'Augustin', 'M', NULL, NULL, NULL, 'Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3728, 'Mathis', NULL, 'M', NULL, NULL, NULL, 'Geländermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3729, 'Mayendorff von', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3730, 'Meis', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3731, 'Merigean', NULL, 'F', 'Fraulein', NULL, NULL, 'Vorsteherin einer Lehranstalt', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3732, 'Miller', NULL, 'M', NULL, NULL, NULL, 'Bibliothekar beim Corps Législatif', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3733, 'Mohl', 'Julius', 'M', NULL, NULL, NULL, 'Miglied des Instituts u. Professor der persischen Sprache in dem Collège de France', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3734, 'Müller', NULL, 'M', 'Sohn', NULL, NULL, 'Bronce-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3735, 'Nagel u Leger', NULL, NULL, 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3736, 'Neu', 'F.', 'M', NULL, NULL, NULL, 'Blechschmied u. Zinkarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3737, 'Neuhaus', NULL, 'M', NULL, NULL, NULL, 'Münzeaufseher', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3738, 'Thillier', NULL, 'F', 'Fraulein', NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3739, 'Timmermans', NULL, 'M', NULL, NULL, NULL, 'Pelzwerke', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3740, 'Treuttel u Würtz', NULL, NULL, NULL, NULL, NULL, 'Commissionsbuchhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3741, 'Vanderwalle', NULL, 'F', 'Frau', NULL, NULL, 'Korsettenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3742, 'Vanderwalle', NULL, 'M', NULL, NULL, NULL, 'Gebäudeanstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3743, 'Van-Gils', 'E.', NULL, 'Wetze\'s', NULL, NULL, 'Orgelbauer u. Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3744, 'Varlacher', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3745, 'Verny', NULL, 'M', NULL, NULL, NULL, 'Prediger', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(3746, 'Verschneider', NULL, 'M', NULL, NULL, NULL, 'Klavier-Lehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3747, 'Viel', NULL, 'M', NULL, NULL, NULL, 'Kutschenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3748, 'Viel', 'C.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3749, 'Volff', NULL, 'M', NULL, NULL, NULL, 'Schreiner, mechanische Jalousieladen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3750, 'Walsh', NULL, 'F', 'Gräfin', NULL, NULL, 'Eigenthümerin', 0, 0, 0, NULL, 6, 2, 2, 3, 8),
(3751, 'Walsh', NULL, 'M', 'Graf', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3752, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3753, 'Schaup', NULL, 'M', NULL, NULL, NULL, 'Specerei-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3754, 'Weill', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3755, 'Weishaar', NULL, 'M', 'jun', NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3756, 'Weissenburger', NULL, 'M', NULL, NULL, NULL, 'Weinhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3757, 'Weizinger', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3758, 'Welden', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3759, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Schuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3760, 'Schell-Mornay', NULL, 'F', 'Fraulein', NULL, NULL, 'Sprachlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3761, 'Schäuffele', NULL, 'M', NULL, NULL, NULL, 'Apotheke', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3762, 'Schier', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3763, 'Welter', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(3764, 'Wentz', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appellhof', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3765, 'Werber', NULL, 'M', 'jun', NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(3766, 'Werner', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3767, 'Wilhelm', 'Paul', 'M', NULL, NULL, NULL, 'Malerartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3768, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Jagdmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3769, 'Schlösing', NULL, 'M', NULL, NULL, NULL, 'Vorsteher des Chemie-Laboratoriums, Unteraufseher an der Tabaksfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3770, 'Schloißnigg von', NULL, 'M', 'Baron', NULL, NULL, 'erster Secretär der österreichischen Gesandtschaft', 0, 0, 0, NULL, 6, 2, 2, 1, 3),
(3771, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Büchsenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3772, 'Schmidt', 'Constantin', 'M', NULL, NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3773, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3774, 'Willärt', NULL, 'F', 'Frau', NULL, NULL, 'Klavierlehrerin', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3775, 'Willmann', 'E.', 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3776, 'Wirsch', NULL, 'M', NULL, NULL, NULL, 'Vorsteher der preuß. Kanzlei', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3777, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Gemälde und Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3778, 'Schmitt', NULL, 'F', 'Fräul', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3779, 'Schonen von', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3780, 'Wolff', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3781, 'Wolkmann', 'F. M.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3782, 'Schyler', 'C.', 'M', NULL, NULL, NULL, 'Deputirter von der Gironde', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3783, 'Seitz', NULL, 'M', NULL, NULL, NULL, 'Hôtel Ste-Maguerite', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3784, 'Worms', 'B.', 'M', NULL, NULL, NULL, 'Kunstseltenheiten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3785, 'Worms', NULL, 'M', NULL, NULL, NULL, 'Arzt des militärischen Hospitals', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(3786, 'Schuetchin von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3787, 'Würms', NULL, 'F', 'Frau', NULL, NULL, 'Rentnerin', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(3788, 'Schulenburg von', NULL, NULL, 'Graf und Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3789, 'Wurtz', NULL, 'M', NULL, NULL, NULL, 'Professor der Chemie an der medicinischen Facultät', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3790, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3791, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Tapeten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3792, 'Sichs', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3793, 'Zircker', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeughandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3794, 'Schwartz', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3795, 'Schwilgue', 'O.', 'M', NULL, NULL, NULL, 'Divisionsinspektor des Brücken- und Straßenbaus', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3796, 'Sokoloski', 'Felix', 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3797, 'Sommervogel', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3798, 'Sonder', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(3799, 'Spronck', 'Eduard', NULL, 'Comp', NULL, NULL, 'Brennholtz, Stein- u. Holzkohlenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3800, 'Stael von', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3801, 'Steenhaut', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3802, 'Steiner', 'F. A.', 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3803, 'Steiner', 'H. L.', 'M', NULL, NULL, NULL, 'Emailmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3804, 'Steuben', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3805, 'Stolz', NULL, 'M', NULL, NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3806, 'Strezemboß', 'Michael', 'M', NULL, NULL, NULL, 'Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3807, 'Stumpf', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zum Goldberg u. Miethkutscher', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3808, 'Terlecki', NULL, 'M', 'Abbe', NULL, NULL, 'Doctor der Medecin u. Theologie, Vorsteher der katholischen Missions- Erziehungsanstalt, des griechischen u. slavischen Ritus', 0, 0, 0, NULL, 6, 2, 3, 1, 10),
(3809, 'Essertenne', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3810, 'Eßling', NULL, 'F', 'Baronin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3811, 'Eßling', NULL, 'F', 'Prinzessin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3812, 'Quelen von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3813, 'Laaß', NULL, 'M', 'd\'Aguen', NULL, NULL, 'Orientalist', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3814, 'Schulenburg von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(3815, 'Beyerle', NULL, 'M', NULL, NULL, NULL, 'Juwelen und Uhren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3816, 'Niderer', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3817, 'Niedee', NULL, NULL, 'Comp', NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3818, 'Niederer', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3819, 'Nieuwerkerke von', 'Ch.', NULL, 'Graf und Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 3, 2, 2, 1, 1),
(3820, 'Abel', NULL, 'M', NULL, NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3821, 'Abert', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3822, 'Abraham', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3823, 'Abraham-Dubois', NULL, 'M', NULL, NULL, NULL, 'Referendar am Rechnungshofe', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3824, 'Adam', 'Albert', 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3825, 'Adwann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3826, 'Alstein', 'Jacob', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3827, 'Barker', NULL, 'M', NULL, NULL, NULL, 'Stenograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3828, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Kurzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3829, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Briefträger', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3830, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3831, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3832, 'Beurmann', 'Jh. Von', 'M', NULL, NULL, NULL, 'Kriegsrathreferent', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3833, 'Biber', 'L.', 'M', NULL, NULL, NULL, 'Klistirpumpen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3834, 'Birmann', NULL, 'M', NULL, NULL, NULL, 'Lehrer der deutschen, lateinischen und griechischen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3835, 'Blesser und Wisser', NULL, NULL, NULL, NULL, NULL, 'Wagenschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3836, 'Block', NULL, 'F', 'Wwe', NULL, NULL, 'Hotel de Rochefort', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3837, 'Böswilvald', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3838, 'Braun', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3839, 'Bruner', NULL, 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3840, 'Burdel', 'E.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3841, 'Capel', NULL, NULL, 'Söhne', NULL, NULL, 'Kaufm.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3842, 'Coppenhague', NULL, 'M', NULL, NULL, NULL, 'Kanzlist beim Kriegsrath', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3843, 'Däppen', 'R.', 'M', NULL, NULL, NULL, 'Fabrik optischer und mathematischer Instrumente', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3844, 'Damm', NULL, 'M', 'sen', NULL, NULL, 'Möbel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3845, 'Dantzell', NULL, 'M', NULL, NULL, NULL, 'Münzgravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3846, 'Dartheil', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3847, 'Despretz', 'O.', 'M', 'de l\'Institut', NULL, NULL, 'Lehrer der Wissenschaften', 1, 0, 0, NULL, 1, 2, 1, 1, 10),
(3848, 'Dock', 'E.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3849, 'Dole', NULL, 'M', NULL, NULL, NULL, 'Mall-Currier', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3850, 'Dopter', NULL, 'M', NULL, NULL, NULL, 'Drucker und Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3851, 'Drach', NULL, 'M', NULL, NULL, NULL, 'Briefbote', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3852, 'Dräse', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3853, 'Düber', NULL, 'M', 'Junior', NULL, NULL, 'Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3854, 'Dübner', NULL, 'M', NULL, NULL, NULL, 'Briefbote', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3855, 'Egger', NULL, 'M', NULL, NULL, NULL, 'Lehrer der Wissenschaften \nund Conferenzmeister der Normalschule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3856, 'Engel u Schäck', NULL, NULL, NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3857, 'Erhard', NULL, 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3858, 'Fayollat u Nif', NULL, NULL, NULL, NULL, NULL, 'Kirchenanzüge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3859, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3860, 'Fleck', 'Fr.', 'M', NULL, NULL, NULL, 'Schreiner u. Möbelhändler', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3861, 'Franck v Préaumont', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3862, 'Frantz v Lienhard', NULL, 'M', NULL, NULL, NULL, 'Capitän des Generalstabs', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(3863, 'Freyhoffer', NULL, 'M', 'gen Christ', NULL, NULL, 'Hosenträger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3864, 'Fritsch', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3865, 'Gaussens', NULL, 'M', 'Vater', NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3866, 'Gebaüer', 'Ph.', 'M', NULL, NULL, NULL, 'Inspector der Banknotendruckerei der Bank von Frankreich', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3867, 'Geng', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3868, 'Genissel', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3869, 'Gerhardt', 'Ch.', 'M', NULL, NULL, NULL, 'Director der chem. Schule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3870, 'Gesell', 'Julius', 'M', NULL, NULL, NULL, 'Gymnastische Schule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3871, 'Gest', NULL, 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3872, 'Gleize', NULL, 'M', NULL, NULL, NULL, 'Weine u. feine Branntweine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3873, 'Golaz', 'L.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3874, 'Goschler', NULL, 'M', 'Abbe', NULL, NULL, 'Director des Collegiums Stanislaus', 0, 0, 0, NULL, 6, 2, 3, 1, 10),
(3875, 'Grau', NULL, 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3876, 'Grell', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3877, 'Gremlich', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3878, 'Grienewaldt', NULL, 'M', NULL, NULL, NULL, 'Bildhauerarbeiten für religiöse Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3879, 'Gruaz', 'L. H.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3880, 'Grün', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3881, 'Grüner', NULL, 'M', NULL, NULL, NULL, 'Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3882, 'Guckert', 'Michael', 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3883, 'Gübauer', 'Ph.', 'M', NULL, NULL, NULL, 'Inspector der Banknotendruckerei', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3884, 'Gusmann', NULL, 'M', NULL, NULL, NULL, 'Holzgravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3885, 'Haarhaus', 'R.', 'M', NULL, NULL, NULL, 'Zeichner u. Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3886, 'Haaser', NULL, 'M', NULL, NULL, NULL, 'Specerei- u. Eßwaaren', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(3887, 'Hafemeister', 'R. M. A.', 'M', NULL, NULL, NULL, 'Typograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3888, 'Hamann', 'E. F.', 'M', NULL, NULL, NULL, 'Instrumentenmacher für die Wissemschaften', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3889, 'Hansmetzger', NULL, 'M', NULL, NULL, NULL, 'Damenschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3890, 'Hassenfratz u Vasseur', NULL, NULL, 'Frauen', NULL, NULL, 'Erziehungsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3891, 'Heffer', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3892, 'Heide', 'Ch.', 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3893, 'Heim', NULL, 'M', NULL, NULL, NULL, 'Nachfolger v. Casimir Lanoe, Straßb. Bierbrauerei', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3894, 'Heldt', 'Martin', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3895, 'Heussee', NULL, 'M', NULL, NULL, NULL, 'Metallvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3896, 'Hildebrand', 'F.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3897, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Naturaliensammler', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3898, 'Hoffmanns', NULL, 'M', NULL, NULL, NULL, 'Lebensversicherungsagent', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3899, 'Ober', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Touraine', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3900, 'Oberhäuser', 'Georg', 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3901, 'Hosch', 'S.', 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3902, 'Oegerli', NULL, 'M', 'Boseh\'s Nachfolger', NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3903, 'Hosemann', NULL, 'M', NULL, NULL, NULL, 'Pastor der Ausburger Confession', 0, 0, 1, NULL, 6, 2, 1, 1, 11),
(3904, 'Orlowski', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3905, 'Hugentobler', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(3906, 'Hullmann', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3907, 'Ott', 'Georg', 'M', NULL, NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3908, 'Ottmann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3909, 'Immer', NULL, 'M', NULL, NULL, NULL, 'Druckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3910, 'Ottmann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3911, 'Ottmann-Duplanil', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3912, 'Issakoff', NULL, 'M', NULL, NULL, NULL, 'Buchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3913, 'Pabst', NULL, 'M', NULL, NULL, NULL, 'Korsettenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3914, 'Jager', NULL, 'M', 'Abbe', NULL, NULL, 'Professor der Theologie', 0, 0, 0, NULL, 6, 2, 3, 1, 10),
(3915, 'Paulus', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Spinnereibesitzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3916, 'Janssens', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3917, 'Pfeiffer', NULL, 'M', NULL, NULL, NULL, 'Buchbinder und Vergolder, Erfinder einer Maschine zum Beschneiden der Bücher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3918, 'Keller', NULL, 'F', 'Wttb', NULL, NULL, 'Kanevasfabrikant', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3919, 'Pffer', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3920, 'Pfister', NULL, 'M', NULL, NULL, NULL, 'Schreibmaterialien und Buchbinderei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3921, 'Keller', NULL, 'M', NULL, NULL, NULL, 'Institut-Vorsteher', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3922, 'Polak', NULL, 'M', NULL, NULL, NULL, 'Bausekretär', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3923, 'Poortmann', NULL, 'M', 'am naturgeschichtlichen Museum', NULL, NULL, 'Naturalist', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3924, 'Posch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3925, 'Posselt', NULL, 'M', NULL, NULL, NULL, 'Deutsche Bierbrauerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3926, 'Redelsperger', NULL, 'F', 'Frau geb Belloc', NULL, NULL, 'Malerin', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(3927, 'Kieffer', NULL, 'M', NULL, NULL, NULL, 'Anwalt erster Instanz', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3928, 'Kiehl', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3929, 'Kilian u Lefebvre', NULL, NULL, NULL, NULL, NULL, 'Hôtel de Liège', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3930, 'Kinet', NULL, 'M', NULL, NULL, NULL, 'Damen- u. Kinderschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3931, 'Reichling', NULL, 'M', NULL, NULL, NULL, 'Damen und Kinderschuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3932, 'Klemmer', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3933, 'Klump', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3934, 'Rhein', NULL, 'M', NULL, NULL, NULL, 'Orthopädischer Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3935, 'Koch', NULL, 'M', NULL, NULL, NULL, 'Handschuhfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3936, 'Risler', 'A.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3937, 'Krabble', 'P. H.', 'M', NULL, NULL, NULL, 'Buchhändler u. Verleger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3938, 'Krantz', 'Ch.', 'M', NULL, NULL, NULL, 'Papierhändler im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3939, 'Röhn', 'Ch.', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3940, 'Krolikowski', 'Louis', 'M', NULL, NULL, NULL, 'Rechtsgelehrter u. Verleger', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3941, 'Roosmalen', 'Ade.', 'M', NULL, NULL, NULL, 'Declamationslehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3942, 'Kruines', NULL, 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3943, 'Rosmann', NULL, 'F', 'Fraulein', NULL, NULL, 'I.B.D. Institut', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(3944, 'Kuhnert', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3945, 'Lämlein', 'A.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3946, 'Lanoe', 'Casimir', 'M', NULL, NULL, NULL, 'Bierbrauerei u. Wirthschaft', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3947, 'Leindecker', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3948, 'Levy', NULL, 'M', NULL, NULL, NULL, 'Deutscher Professor an dem Lycée Louis-le-Grand', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3949, 'Lewiski', NULL, 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3950, 'Leydecker', NULL, 'M', NULL, NULL, NULL, 'Verfertiger von optischen Instrumenten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3951, 'Liebherre', NULL, 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3952, 'Ruhmdorff', NULL, 'M', NULL, NULL, NULL, 'Wissenschaftsinstrumentemacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3953, 'Lüer', NULL, 'M', 'NC', NULL, NULL, 'Wundarzt-Instrumenten-Fabrik', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(3954, 'Lutz', NULL, 'M', NULL, NULL, NULL, 'Möbelfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3955, 'Mainster', NULL, 'M', NULL, NULL, NULL, 'Topographiestecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3956, 'Mathias', NULL, 'M', NULL, NULL, NULL, 'Rath u. Ehrenmitglied an dem Appellhofe', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(3957, 'Mentzer', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3958, 'Metzger', NULL, 'M', NULL, NULL, NULL, 'Wascherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3959, 'Meyer', 'M.', 'M', NULL, NULL, NULL, 'Beeidigter Uebersetzer u. Dollmetscher', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(3960, 'Miller', NULL, 'M', 'jun', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3961, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Vergolder auf Leder u. Zeugen u. Verfertiger v. Brieftaschen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3962, 'Thier', NULL, 'M', NULL, NULL, NULL, 'Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3963, 'Thiergarten', 'P.', 'M', NULL, NULL, NULL, 'Druckerschwärze u. feine Farbenfabrik', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3964, 'Treifus', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3965, 'Trezel', NULL, 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(3966, 'Vintz', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3967, 'Voß', NULL, 'M', NULL, NULL, NULL, 'Advocat an dem Appellhofe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3968, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3969, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3970, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3971, 'Walferdin', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger Vorsteher der Mauth', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(3972, 'Walter', NULL, 'M', NULL, NULL, NULL, 'Advocat am Appelationshof', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3973, 'Wasmuth', NULL, 'M', NULL, NULL, NULL, 'Schuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3974, 'Watel', 'Eug.', 'M', NULL, NULL, NULL, 'Hôtel des Grés', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3975, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Bierbrauerei u. Lager fremder Biere', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3976, 'Saint-Omer', 'Heinrich', 'M', NULL, NULL, NULL, 'Doctor der Rechte und Advokat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3977, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3978, 'Saumer', 'J. L.', 'M', NULL, NULL, NULL, 'Bordeaux-Weinlager', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3979, 'Weill', 'M. Ch.', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3980, 'Weiß', NULL, 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(3981, 'Schenaider', NULL, 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3982, 'Schiertz', 'J. G.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3983, 'Wemers', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3984, 'Werdet', NULL, 'F', 'Wwe', NULL, NULL, 'Möbelmagazin', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3985, 'Wetzels', 'Wihl.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3986, 'Widmer', NULL, 'M', NULL, NULL, NULL, 'Post-Director', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(3987, 'Schlachter', NULL, 'M', NULL, NULL, NULL, 'Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3988, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3989, 'Schönwerk', NULL, 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3990, 'Schmautz', 'Ch.', 'M', NULL, NULL, NULL, 'Lithographie-Walzenfabrik', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(3991, 'Winckelmann', NULL, 'M', NULL, NULL, NULL, 'Mechanikus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3992, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Vögel und Käfige', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3993, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Regenschirme', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(3994, 'Schone', NULL, 'M', 'sen', NULL, NULL, 'Möbelschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3995, 'Schot', 'Gen. Gerard', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3996, 'Wolff', 'J.', 'M', NULL, NULL, NULL, 'Damenschuhladen', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(3997, 'Wolfs', NULL, 'F', 'Fraulein', NULL, NULL, 'Rentnerin', 0, 0, 1, NULL, 6, 2, 1, 2, 9),
(3998, 'Wollfahrt', NULL, 'M', NULL, NULL, NULL, 'Kunst-Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(3999, 'Wormser', NULL, 'M', NULL, NULL, NULL, 'Zeichner u. Formstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4000, 'Wuysmans', NULL, 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4001, 'Seuffert', 'Heinrich', 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4002, 'Seuffert', NULL, 'F', 'Frau', NULL, NULL, 'Kunstmalerin', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(4003, 'Schultz', NULL, 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4004, 'Schutzenberger', 'L. F.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4005, 'Schvander', NULL, 'M', NULL, NULL, NULL, 'Bauschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4006, 'Zinck', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4007, 'Schwartz', 'F. A.', NULL, 'Comp', NULL, NULL, 'Lithographiestein-Handlung', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(4008, 'Zindt', NULL, 'M', NULL, NULL, NULL, 'Gebäudeschlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4009, 'Zögger', NULL, 'M', NULL, NULL, NULL, 'Klavierstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4010, 'Schwartz', NULL, 'M', NULL, NULL, NULL, 'Erdporzellanhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4011, 'Spachmann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4012, 'Stadler', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4013, 'Steffen', NULL, 'M', NULL, NULL, NULL, 'Färber u. Fleckenputzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4014, 'Stein', NULL, 'M', NULL, NULL, NULL, 'Getreidehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4015, 'Stein', NULL, NULL, 'Comp', NULL, NULL, 'Orgelbauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4016, 'Steuben', 'Alexander', 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4017, 'Stonlen', NULL, 'F', 'Frau', NULL, NULL, 'Verwalterin im Armenhause', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(4018, 'Strohl', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4019, 'Stumpf', 'Heinrich', 'M', 'Sohn sen', NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4020, 'Suckau', NULL, 'M', NULL, NULL, NULL, 'Professor der deutschen Sprache', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4021, 'Tantenstein u Cordel', NULL, NULL, NULL, NULL, NULL, 'Stereotypmusikdrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4022, 'Tappes', NULL, 'F', 'Frau', NULL, NULL, 'Comptoir- u. Malergegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4023, 'Brunner', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4024, 'Heu', NULL, 'M', NULL, NULL, NULL, 'Buchhändler u. Herausgeber', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4025, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Metallgravirer für Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4026, 'Adam', NULL, 'M', 'Junior', NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4027, 'Adler-Mesnard', NULL, 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4028, 'Abel', NULL, 'M', NULL, NULL, NULL, 'coke et escarbilles', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4029, 'Albrecht', 'T.', 'M', NULL, NULL, NULL, 'Sächsischer Consul', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4030, 'Aschermann', NULL, NULL, 'Comp H Lecluse-Lepley et Cie successeurs', NULL, NULL, 'Hutmachereiartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4031, 'Bapst', 'Th.', NULL, 'NC und Neffe', NULL, NULL, 'Juwelenfabrik', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(4032, 'Bardenbach', 'Th. J.', 'M', NULL, NULL, NULL, 'Faßbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4033, 'Baron', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4034, 'Barthel', 'J. G.', 'M', NULL, NULL, NULL, 'Marokkanisches Leder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4035, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Erfinder des hydrofugen Apparats', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4036, 'Becker', NULL, 'M', 'jun', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4037, 'Bekaert', 'Constanz', 'M', NULL, NULL, NULL, 'Handel- u. Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4038, 'Berendorff', 'Jh.', 'M', NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4039, 'Berger', NULL, 'M', 'NC', NULL, NULL, 'Bäcker', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(4040, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4041, 'Biringer', 'Ant.', 'M', NULL, NULL, NULL, 'Feine Branntweine', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(4042, 'Bornemann', 'Emil', 'M', NULL, NULL, NULL, 'Bankier', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4043, 'Bornemann', 'E.', 'M', NULL, NULL, NULL, 'Consul von Mecklenburg-Schwerin', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4044, 'Busser', NULL, 'M', NULL, NULL, NULL, 'Pressen für Steindruck', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4045, 'Calmer', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4046, 'Christophe', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4047, 'Classen', NULL, 'F', 'Frau', NULL, NULL, 'Institut', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4048, 'Clauß', 'M. Chr.', 'M', NULL, NULL, NULL, 'Buchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4049, 'Curmer', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4050, 'Cutzemberge', NULL, 'M', NULL, NULL, NULL, 'Hôtel de Londres', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4051, 'Dewulf-Pontonnier', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4052, 'Dietsh', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4053, 'Dietz', NULL, 'M', 'sen', NULL, NULL, 'Weiß- und Sämischgerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4054, 'Dietz', NULL, 'M', NULL, NULL, NULL, 'Sämischgerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4055, 'Dietz', NULL, 'M', 'jun', NULL, NULL, 'Weißgerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4056, 'Dinkel', NULL, 'M', NULL, NULL, NULL, 'Dachdecker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4057, 'Eichthal', 'Ad.', 'M', 'NC', NULL, NULL, 'Bankier', 0, 1, 0, NULL, 6, 2, 1, 1, 4),
(4058, 'Etienne', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4059, 'Feil', NULL, 'M', NULL, NULL, NULL, 'Fabr. de flint et crown-glass', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4060, 'Finbert', NULL, 'M', NULL, NULL, NULL, 'Eisen- und Bronce-Handel ', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4061, 'Finck', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4062, 'Friderich', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4063, 'Frieß', NULL, 'M', 'sen', NULL, NULL, 'Maroquinfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4064, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Handschuhmacher, Foulards', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4065, 'Gaumel', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4066, 'Geiger', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4067, 'Gerson', NULL, 'M', NULL, NULL, NULL, 'Kaufmann, Commissionsgeschäft in Pariser Artikeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4068, 'Geyler', 'E.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4069, 'Göppinger', 'J. M.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4070, 'Graff', NULL, 'M', NULL, NULL, NULL, 'Nähwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4071, 'Grimm', 'J. D.', 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4072, 'Grünen', NULL, 'M', NULL, NULL, NULL, 'Limonadier u. Gasthaus von Luxemburg', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4073, 'Guillimann', NULL, 'F', 'Fraulein', NULL, NULL, 'Unterrichtsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4074, 'Hain', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4075, 'Hamel', NULL, 'M', NULL, NULL, NULL, 'Geflochtene Schuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4076, 'Hartweck', 'Simon', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4077, 'Hartweck', NULL, 'F', 'Frau', NULL, NULL, 'Damenkleidermacherin', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4078, 'Heeckeren von', NULL, 'M', 'Baron', NULL, NULL, 'Senator', 0, 0, 0, NULL, 1, 2, 2, 1, 1),
(4079, 'Hennebec', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4080, 'Hensel', 'J.', 'M', NULL, NULL, NULL, 'Klavierstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4081, 'Hermes', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4082, 'Herz', 'H.', 'M', NULL, NULL, NULL, 'Professor u. Componist für das Klavier am Conservatorium', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4083, 'Hildebrand', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4084, 'Hocheder', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4085, 'Hoffmann', 'Achill.', 'M', NULL, NULL, NULL, 'Homöopathischer Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4086, 'Holtermann', 'Fr.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4087, 'Hube von', NULL, 'M', 'Bar', NULL, NULL, 'Doctor', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4088, 'Jalikouski', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4089, 'Jurgensen', 'J.', 'M', NULL, NULL, NULL, 'Uhrmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4090, 'Kalcoffner', NULL, 'M', NULL, NULL, NULL, 'Zimmetfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4091, 'Kast u A Marescal', NULL, NULL, NULL, NULL, NULL, 'Commissions- u. Speditionshandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4092, 'Pettmann & Cartier', NULL, NULL, NULL, NULL, NULL, 'Straßburger Bier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4093, 'Plintzig & Münch', NULL, NULL, NULL, NULL, NULL, 'Kleidermacher', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4094, 'Polak', 'J. B. D.', 'M', NULL, NULL, NULL, 'Stockfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4095, 'Pollock', 'G. H.', NULL, 'Pollock und Comp vertreten von E Delevingu', NULL, NULL, 'Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4096, 'Rapp', NULL, 'M', NULL, NULL, NULL, 'Blumengärtner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4097, 'Rasmußen', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4098, 'Raupp', 'Adolph', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4099, 'Kiener', 'L.', 'M', NULL, NULL, NULL, 'Aufseher in dem Naturalien-Cabinet in dem Jardin-des-Plantes', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4100, 'Reider', NULL, 'M', NULL, NULL, NULL, 'Zinkarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4101, 'Rentz', 'Joh.', 'M', NULL, NULL, NULL, 'Strumpfwaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4102, 'Knittel', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4103, 'Kollmann', NULL, 'M', NULL, NULL, NULL, 'Schriftenschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4104, 'Koliker', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4105, 'Koppen', NULL, 'F', 'Frau', NULL, NULL, 'Gasthaus Dänemark', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4106, 'Kreisser', NULL, 'M', NULL, NULL, NULL, 'Kunst-Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(4107, 'Kreyenbiehl', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4108, 'Kronowska', NULL, 'F', 'Gräfin v Tabaß', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(4109, 'Roof', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4110, 'Kronowski', NULL, 'M', 'Graf', NULL, NULL, 'Oberstlieutenant', 0, 0, 0, NULL, 6, 1, 2, 1, 7),
(4111, 'Kuhlhuser', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4112, 'Roth', 'Benj.', 'M', NULL, NULL, NULL, 'Wein- und Speißewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4113, 'Kurtre', NULL, 'M', NULL, NULL, NULL, 'Kupferschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4114, 'Kuß', NULL, 'F', 'Fraulein', NULL, NULL, 'Stempelpapier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4115, 'Ladeberck', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4116, 'Lamer', NULL, 'M', NULL, NULL, NULL, 'Kunstgegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4117, 'Lantz', NULL, 'M', 'sen', NULL, NULL, 'Weißgerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4118, 'Leblond u Wandenberg', NULL, 'M', NULL, NULL, NULL, 'Wandenberg\'s Nachfolger, Holzvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4119, 'Lehmann', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4120, 'Link', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4121, 'Lippmann', 'J.', 'M', NULL, NULL, NULL, 'Reh- u. Lammenfellfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4122, 'Luthmann', 'Ch. Th. Aug.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4123, 'Mann', 'Ch. Andr.', 'M', NULL, NULL, NULL, 'Gerber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4124, 'Mathis', NULL, 'M', NULL, NULL, NULL, 'Gittermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4125, 'Meltzhein', NULL, 'M', NULL, NULL, NULL, 'Schwärze-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4126, 'Meyer', 'L.', 'M', NULL, NULL, NULL, 'Protestant. Pfarrer', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(4127, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Protestantisches Institut', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(4128, 'Misbach', NULL, 'F', 'Wittwe', NULL, NULL, 'Kosthaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4129, 'Mistel', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4130, 'Momenheim', NULL, 'M', NULL, NULL, NULL, 'Vorbereitungs-Anstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4131, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Färber', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4132, 'Müller', 'L. C.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(4133, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Strohhutfärber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4134, 'Müller', 'L. C.', 'M', NULL, NULL, NULL, 'Aufseher in der Gobelins-Manufactur', 0, 0, 0, NULL, 1, 2, 1, 1, 2),
(4135, 'Müller', NULL, 'M', NULL, NULL, NULL, 'Rohstoffe für Leim', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4136, 'Müller', 'Ch. L.', 'M', NULL, NULL, NULL, 'Geschichtsmaler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(4137, 'Neumann', NULL, 'M', NULL, NULL, NULL, 'Vorsteher der Treibhäuser im botanischen Garten', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4138, 'Thurneysen', 'Ch.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 1, NULL, 6, 2, 1, 1, 4),
(4139, 'Van-Coppenaal', NULL, 'M', NULL, NULL, NULL, 'Director der holländischen Gesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4140, 'Vandermarcq', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(4141, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4142, 'Waltner', NULL, 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4143, 'Wandenberg', NULL, 'M', NULL, NULL, NULL, 'Nachfolger Leblond, Metallvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4144, 'Sasnoski', NULL, 'F', 'Witwe', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4145, 'Weddell', NULL, 'M', NULL, NULL, NULL, 'Naturforscher am Museum', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4146, 'Wegman', NULL, 'M', NULL, NULL, NULL, 'Bierbrauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4147, 'Sautter', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4148, 'Weisser', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4149, 'Weiswald', NULL, 'M', NULL, NULL, NULL, 'Metallvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4150, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4151, 'Weldell', NULL, 'M', NULL, NULL, NULL, 'Professor der Botanik im Gewächsgarten', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4152, 'Schemer', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4153, 'Wellet', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4154, 'Werner', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 1, 2, 1, 1, 5),
(4155, 'Wernle', NULL, 'M', NULL, NULL, NULL, 'Wurstmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4156, 'Weyenburg', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4157, 'Wiesnegg', NULL, 'M', NULL, NULL, NULL, 'Blechsmied u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4158, 'Schimnier', NULL, 'M', NULL, NULL, NULL, 'Branntweinabzieher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4159, 'Schlegel', NULL, 'M', NULL, NULL, NULL, 'Windenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4160, 'Schlenk', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4161, 'Schön', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4162, 'Winnerl', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher der Marine', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4163, 'Winterhalter', 'F.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4164, 'Wizemann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4165, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Branntwein im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4166, 'Schomolwitz', NULL, 'F', 'Frau', NULL, NULL, 'Blumenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4167, 'Wolf', NULL, 'F', 'Fraulein', NULL, NULL, 'Schauspielerin am Gymnase', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(4168, 'Wolf', NULL, 'M', NULL, NULL, NULL, 'Mäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4169, 'Wolpmann', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4170, 'Wolodhowicz von', 'H.', 'M', NULL, NULL, NULL, 'Rouener Garnhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4171, 'Senez', NULL, 'M', NULL, NULL, NULL, 'Drechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4172, 'Zelner', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4173, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Specereihändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4174, 'Ziegler', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4175, 'Siegert', 'Ch. Friedr.', 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4176, 'Zindel', 'Heinrich', 'M', NULL, NULL, NULL, 'Küfer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4177, 'Zingg', NULL, 'M', NULL, NULL, NULL, 'Schuhwaarenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4178, 'Zögger', NULL, 'M', NULL, NULL, NULL, 'Musikseitenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4179, 'Schweitzer', NULL, 'M', NULL, NULL, NULL, 'Schlosser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4180, 'Soller', NULL, 'F', 'Fraulein', NULL, NULL, 'Modeartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4181, 'Sommer', NULL, 'M', NULL, NULL, NULL, 'Gelehrter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4182, 'Sonneker', NULL, 'F', 'Frau', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4183, 'Spach', NULL, 'M', NULL, NULL, NULL, 'Gehülfe des Naturalien-Museums in dem botanischen Garten', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4184, 'Stahl', 'Th. J.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4185, 'Steff', NULL, 'M', NULL, NULL, NULL, 'Hausschuhfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4186, 'Steffen', NULL, 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4187, 'Steinmetz-Bernard', NULL, 'M', NULL, NULL, NULL, 'Mechanicus', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4188, 'Sturm', 'O.', 'M', NULL, NULL, NULL, 'Professor der polytechnischen Schule ', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4189, 'Sturtz', NULL, 'M', NULL, NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4190, 'Misbach', NULL, 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(4191, 'Baron', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4192, 'Brauch', 'J. Phil.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4193, 'Braun', NULL, 'M', NULL, NULL, NULL, 'Pelz- u. Rauchwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4194, 'Brunsvick', NULL, 'M', NULL, NULL, NULL, 'Waffenschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4195, 'Burr', 'J. G.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4196, 'Buyck', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4197, 'Diefenbach', NULL, 'F', 'Fräul', NULL, NULL, 'Nähwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4198, 'Dolé', NULL, 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4199, 'Egerding-George', NULL, 'M', NULL, NULL, NULL, 'Wagenvermiether', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4200, 'Farina', 'J. Maria', 'M', NULL, NULL, NULL, 'Früher Distillateur Kölnischen Wassers und Parfümist [Collas Nachfolger]', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4201, 'Fernberg', NULL, 'M', NULL, NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4202, 'Fizel', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4203, 'Franck', 'Fr.', 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4204, 'Gleizes', NULL, 'M', NULL, NULL, NULL, 'Blumen- u. Federfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4205, 'Grau', NULL, 'M', NULL, NULL, NULL, 'Specereiwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4206, 'Hermann', 'J. T.', 'M', NULL, NULL, NULL, 'Deutscher Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4207, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4208, 'Jülg', 'J. Georg', 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4209, 'Jünke', 'J. H. Ant.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4210, 'Pick', 'J. D.', 'M', NULL, NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4211, 'Kinzler', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4212, 'Kirchhoff', NULL, 'M', NULL, NULL, NULL, 'Kirschner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4213, 'Klett', NULL, 'M', NULL, NULL, NULL, 'Parfümeriehändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4214, 'Kleyer', NULL, 'M', NULL, NULL, NULL, 'Büreau für Stellensuchende', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4215, 'Klug', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4216, 'Ridel', NULL, 'M', NULL, NULL, NULL, 'Taxator', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4217, 'Rieß', NULL, 'M', 'Sohn', NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4218, 'Risler', NULL, 'F', 'Frau', NULL, NULL, 'Korsettenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4219, 'Kropff', NULL, 'M', NULL, NULL, NULL, 'Pelzhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4220, 'Latterbach', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4221, 'Lob', 'Leopold', 'M', NULL, NULL, NULL, 'Chemist', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4222, 'Matheus', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4223, 'Mathias', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4224, 'Maus', NULL, 'M', NULL, NULL, NULL, 'Nähartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4225, 'Mayer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4226, 'Meckel', NULL, 'M', NULL, NULL, NULL, 'Tuchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4227, 'Mertins', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4228, 'Mesmer', NULL, 'F', 'Frau', NULL, NULL, 'Orthopädische Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4229, 'Miller', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4230, 'Moos', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeug-Näherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4231, 'Müller', 'J. G.', 'M', NULL, NULL, NULL, 'Bürstenbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4232, 'Neumann', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4233, 'Vanderperren', NULL, 'M', NULL, NULL, NULL, 'Tapezierer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4234, 'Vinken', NULL, 'M', NULL, NULL, NULL, 'Eisenhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4235, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4236, 'Schäfer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4237, 'Wilborg', 'P.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4238, 'Schlosser', NULL, 'M', NULL, NULL, NULL, 'Kamaschenmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4239, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Pelzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4240, 'Wolff', 'F.', 'M', NULL, NULL, NULL, 'Specereihandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4241, 'Stolz u Battepain', NULL, NULL, 'NC', NULL, NULL, 'Bordenwirker', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(4242, 'Reis', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4243, 'Biber', NULL, 'F', 'Fraulein', NULL, NULL, 'Kurzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4244, 'Burckardt-Champeaux', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4245, 'Floran', NULL, 'M', NULL, NULL, NULL, 'Kaffee', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4246, 'Hasenfeld', NULL, 'M', NULL, NULL, NULL, 'Professsor u. geschworener Dollmetscher; Director des allgem. Büreaus der Uebersetzungen aller Sprachen', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4247, 'Hasenfeld', NULL, 'M', 'Sohn', NULL, NULL, 'Civil-Baumeister, ehemaliger Schüler der polytechnischen Schule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4248, 'Ortmann', NULL, 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4249, 'Kysäns', NULL, 'M', 'jun', NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(4250, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4251, 'Vandenbrock', 'Wilh.', 'M', NULL, NULL, NULL, 'Director des franz. Lloyd u. des Veritas-Büreaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4252, 'Schockärt', 'Victor', 'M', NULL, NULL, NULL, 'Flamänisches Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4253, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Niederlage feiner Branntweine von Wynand-Fockink v. Amsterdam', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4254, 'Wolter-Frings', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4255, 'Tascher', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4256, 'Falckh Gueroult H', 'J.', NULL, 'Comp', NULL, NULL, 'Buchhandel im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4257, 'Kissel', NULL, 'M', NULL, NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4258, 'Lösch', 'Joh.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4259, 'Rukenbrod-Kiefer', 'F.', 'M', NULL, NULL, NULL, 'Manufakturwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4260, 'Loth', NULL, 'M', NULL, NULL, NULL, 'Sackträger in der Mehlhalle', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4261, 'Losch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4262, 'Adam', 'A.', NULL, 'Comp', NULL, NULL, 'Commissions- u. Speditionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4263, 'Bissen', 'H.', 'M', NULL, NULL, NULL, 'Taschenuhren- und Musikfabrik ', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4264, 'Brozomski', NULL, 'M', NULL, NULL, NULL, 'Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4265, 'Decker', NULL, 'M', NULL, NULL, NULL, 'Tuchlappen u. Sahlband', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4266, 'D\'Esebeck-Guitel', NULL, 'M', NULL, NULL, NULL, 'Mineralwasser', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4267, 'Duhrholz', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4268, 'Dusser', NULL, 'M', NULL, NULL, NULL, 'Tücher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4269, 'Dusser', NULL, 'M', 'Söhne', NULL, NULL, 'Tücher', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4270, 'Engard', 'J.', 'M', NULL, NULL, NULL, 'Sackträger', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4271, 'Eslanger', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4272, 'Fällmé', 'J. J.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4273, 'Gompertz', NULL, NULL, 'Gebrüder', NULL, NULL, 'Cravatten u. Seidewaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4274, 'Gotten', NULL, 'F', 'Wwe', NULL, NULL, 'Uhrmacher, Mechaniker u. Lampist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4275, 'Gutperle', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4276, 'Halphen', 'Aug.', 'M', NULL, NULL, NULL, 'Juwelenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4277, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Goldschmuckfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4278, 'Kayser', NULL, 'F', 'Frau', NULL, NULL, 'Kromwaaren u. Weißzeug', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4279, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4280, 'Klotz', NULL, 'M', 'jun', NULL, NULL, 'Halsbinden im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4281, 'Langenstein', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4282, 'Laßelog', NULL, 'M', NULL, NULL, NULL, 'Pelzhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4283, 'Rühl', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4284, 'Meisterzheim', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4285, 'Meyer', NULL, 'M', NULL, NULL, NULL, 'Kleidermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4286, 'Neumark', NULL, NULL, 'Gebr', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4287, 'Thomann', NULL, 'M', NULL, NULL, NULL, 'Gedruckte Stoffe zu Puteaux u. Paris', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4288, 'Saumer', NULL, 'M', NULL, NULL, NULL, 'Möbelhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4289, 'Wessel', NULL, 'M', NULL, NULL, NULL, 'Tuch-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4290, 'Schnell', 'R.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4291, 'Spehn', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4292, 'Srieber', NULL, 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4293, 'Steinmetz', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4294, 'Tartter', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4295, 'Burger', NULL, 'M', NULL, NULL, NULL, 'Pastetenbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4296, 'Abel', NULL, 'M', NULL, NULL, NULL, 'Messerschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4297, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4298, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Branntwein-Abzieher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4299, 'Ahrenfeldt', 'Ch.', 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4300, 'Arneß', NULL, 'M', NULL, NULL, NULL, 'Kleine Denk-Schaumünzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4301, 'Aronssohn', 'Vict.', 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4302, 'Barle-Schmitz', NULL, 'M', NULL, NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4303, 'Baumblatt', 'Louis', 'M', NULL, NULL, NULL, 'Pelzfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4304, 'Berger', 'Peter', 'M', NULL, NULL, NULL, 'Uhrengläser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4305, 'Berger-Walter', NULL, 'M', NULL, NULL, NULL, 'Krystallwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4306, 'Bernheim', 'Aron', 'M', NULL, NULL, NULL, 'Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4307, 'Berr', 'A.', NULL, 'Comp', NULL, NULL, 'Stickereien', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4308, 'Bert', 'V.', NULL, 'Barraud Frn', NULL, NULL, 'Weißwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4309, 'Bert', NULL, 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4310, 'Beer', NULL, NULL, 'Gebrüder', NULL, NULL, 'Spitzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4311, 'Blesch', NULL, NULL, 'Gebrüder', NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4312, 'Brenner', NULL, 'M', 'jun', NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4313, 'Brolemann', NULL, NULL, 'Comp', NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4314, 'Bucher', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher und Stimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4315, 'Buismann', NULL, NULL, 'Comp', NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4316, 'Burgmüller', NULL, 'M', NULL, NULL, NULL, 'Briefträger', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4317, 'Diemer', 'Th.', 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4318, 'Dreyfus', NULL, NULL, 'Gebrüder und Comp', NULL, NULL, 'Commissionsgeschäft in gewirkten Waaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4319, 'Dreyfus', 'L.', 'M', NULL, NULL, NULL, 'Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4320, 'Dreyfus', 'S.', 'F', 'Frau', NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4321, 'Dreyfus', NULL, NULL, 'Comp', NULL, NULL, 'Papierhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4322, 'Eggly Roux', NULL, NULL, 'Comp Nachfolger v Roux Carré', NULL, NULL, 'Merino und Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4323, 'Ernst', NULL, 'M', NULL, NULL, NULL, 'Optiker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4324, 'Everhard-Angenscheidt', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4325, 'Feliker', 'Ch.', 'M', NULL, NULL, NULL, 'Spielwaarenhandel im Großen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4326, 'Francfort u Feist', NULL, NULL, NULL, NULL, NULL, 'Waaren-Commissionäre', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4327, 'Fulling', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4328, 'Gärth', NULL, 'M', NULL, NULL, NULL, 'Buchhalter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4329, 'Grus', 'Alexander', 'M', 'sen', NULL, NULL, 'Musikverleger', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4330, 'Hagnauer', NULL, 'M', NULL, NULL, NULL, 'Holzvergoldner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4331, 'Hanau', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4332, 'Handvogel', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4333, 'Hapel', 'Achill', 'M', NULL, NULL, NULL, 'Häute u. Gerberei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4334, 'Harweller', NULL, 'M', NULL, NULL, NULL, 'Optische Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4335, 'Helbronner', 'Moritz', 'M', NULL, NULL, NULL, 'Blumenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4336, 'Heringer', 'F. A.', 'M', NULL, NULL, NULL, 'Spiegelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4337, 'Hillmacher', 'E.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4338, 'Holfeld', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4339, 'Hoßfeld', 'Carl', 'M', NULL, NULL, NULL, 'Herausgeber des Führers der Fremden in Paris', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4340, 'Kans', NULL, 'M', NULL, NULL, NULL, 'Maler auf Schmelzarbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4341, 'Keuler', NULL, 'M', NULL, NULL, NULL, 'Hôtel du Midi', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4342, 'Kerneis', NULL, 'F', 'Frau', NULL, NULL, 'Weißzeugladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4343, 'Preinsler', 'I.', 'M', NULL, NULL, NULL, 'Musterzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4344, 'Ketterer', 'Cölestin', 'M', 'Sohn', NULL, NULL, 'Standuhrenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4345, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4346, 'Knecht', NULL, 'M', NULL, NULL, NULL, 'Eigenthümer', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(4347, 'Koch', 'E.', 'M', NULL, NULL, NULL, 'Sprachlehrer u. Uebersetzer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4348, 'Königs', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4349, 'Ritt', NULL, 'M', NULL, NULL, NULL, 'Gas-Apparate', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4350, 'Roehn', NULL, 'M', NULL, NULL, NULL, 'Metallinstrumentenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4351, 'Rohfritsch', 'Michael', 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4352, 'Lang', NULL, 'M', NULL, NULL, NULL, 'Stickerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4353, 'Liesching', 'Ludw.', 'M', NULL, NULL, NULL, 'Commissions-Handlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4354, 'Liesching u Torasse', NULL, NULL, NULL, NULL, NULL, 'Asphalt von Nuty', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4355, 'Löwenthal', NULL, 'M', NULL, NULL, NULL, 'Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4356, 'Löwenthal', NULL, 'M', NULL, NULL, NULL, 'Daguerreotypist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4357, 'Markreich', NULL, 'M', 'sen', NULL, NULL, 'Manufacturwaareneinkauf', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4358, 'Miller', NULL, 'M', NULL, NULL, NULL, 'Hufschmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4359, 'Moise u Bernhard', NULL, NULL, NULL, NULL, NULL, 'Tuchhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4360, 'Nelles', NULL, 'M', NULL, NULL, NULL, 'Instrumentenstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4361, 'Treff', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4362, 'Wallerstein Masset', NULL, NULL, 'Comp', NULL, NULL, 'Artikel von Paris', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4363, 'Schaye', NULL, 'M', NULL, NULL, NULL, 'Taxator', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4364, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4365, 'Schilling', NULL, 'M', NULL, NULL, NULL, 'Geschäftsführer der Graffenstadener Waagenniederlage', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4366, 'Schlatter', 'G.', 'M', NULL, NULL, NULL, 'Steindrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4367, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Geschirrsattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4368, 'Schmolle', NULL, 'F', 'Frau jun', NULL, NULL, 'Weißzeuge', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4369, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Privat-Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4370, 'Schmit', NULL, 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4371, 'Schultz', 'G.', 'M', NULL, NULL, NULL, 'Vorsteher der \"Europa\", gegenseitiger versicherungsgesellschaft', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4372, 'Schultz', NULL, 'M', NULL, NULL, NULL, 'Möbelhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4373, 'Zrenner', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4374, 'Sprungli', 'J.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4375, 'Stapfer', 'Ch.', 'M', NULL, NULL, NULL, 'Straßen- u. Brücken-Baumeister', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4376, 'Stolz', NULL, 'M', NULL, NULL, NULL, 'Kaufmann des Hauses E. Motagrin', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4377, 'Hoffmann', NULL, 'M', NULL, NULL, NULL, 'Zeichnungen und Muster', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4378, 'Molz', 'Heinrich', 'M', NULL, NULL, NULL, 'Gelbgießer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4379, 'Bert', NULL, 'M', 'sen', NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4380, 'Haab', NULL, 'M', NULL, NULL, NULL, 'Modeartikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4381, 'Halphen', NULL, 'M', NULL, NULL, NULL, 'Plattirte Goldarbeit', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4382, 'Hildmann', 'H.', 'M', NULL, NULL, NULL, 'Seidenschuhe für Damen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4383, 'Meyer', 'Joh.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4384, 'Müller', 'C. F.', 'M', NULL, NULL, NULL, 'Maler u. Zeichner zur Lithographie', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4385, 'Nässens', NULL, 'M', NULL, NULL, NULL, 'Stiefelschafte', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4386, 'Tiger', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4387, 'Wens', NULL, 'M', NULL, NULL, NULL, 'Halbstiefel-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4388, 'Stock', 'Eduard', 'M', NULL, NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4389, 'Abraham', 'Michael', 'M', NULL, NULL, NULL, 'Mützenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4390, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4391, 'Adam', 'Julius', 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4392, 'Alban', NULL, 'M', NULL, NULL, NULL, 'Geldtaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4393, 'Asmann', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4394, 'Bacher', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4395, 'Becker', NULL, NULL, 'Otto', NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4396, 'Becker u Otton', NULL, NULL, NULL, NULL, NULL, 'Reisekästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4397, 'Belz', NULL, 'M', NULL, NULL, NULL, 'Modewaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4398, 'Cahn', NULL, 'M', NULL, NULL, NULL, 'Weißzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4399, 'Colmann', NULL, 'M', NULL, NULL, NULL, 'Näh- und Weißwaaren.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4400, 'Deiß', 'Eduard', 'M', NULL, NULL, NULL, 'Fabrik chemischer Erzeugnisse', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4401, 'Derks u Barbotte', NULL, NULL, NULL, NULL, NULL, 'Korbmacherei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4402, 'Diettemberger', 'F.', 'M', NULL, NULL, NULL, 'Kinderspielzeugfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4403, 'Dreyfus', NULL, 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4404, 'Eck', NULL, 'M', NULL, NULL, NULL, 'Bleistiftfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4405, 'Ferdman', 'J.', 'M', NULL, NULL, NULL, 'Deutsche Pastetenbäckerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4406, 'Froliger', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4407, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Messerfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4408, 'Galbrunner', NULL, 'M', NULL, NULL, NULL, 'Gold- u. Silberschmuck', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4409, 'Gehlen', 'P.', 'M', NULL, NULL, NULL, 'Gewesener Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4410, 'Gugenheim u Mayer', 'J.', NULL, NULL, NULL, NULL, 'Strumpfwaaren u. Artikel von Rouen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4411, 'Graff', NULL, 'M', NULL, NULL, NULL, 'Goldschmuck', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4412, 'Grel', 'A.', 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4413, 'Grutzner', 'C. A.', 'M', NULL, NULL, NULL, 'Pariser Artikel, Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4414, 'Guilloux', NULL, 'M', NULL, NULL, NULL, 'Hutfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4415, 'Haas', NULL, 'M', NULL, NULL, NULL, 'Kappenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4416, 'Haas', 'D.', 'M', NULL, NULL, NULL, 'Mathematische u. Meßinstrumente, Papierartikel u. Commission', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4417, 'Hauck', NULL, 'M', NULL, NULL, NULL, 'Hausrath', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4418, 'Haussemann', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4419, 'Hechler', 'Friedrich', 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4420, 'Heck', NULL, 'M', NULL, NULL, NULL, 'Wollschuhfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4421, 'Henzi', NULL, 'M', NULL, NULL, NULL, 'Buchhalter', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4422, 'Hirsch', NULL, 'M', NULL, NULL, NULL, 'Stock- u. Regenschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4423, 'Hirtz', 'S.', 'M', NULL, NULL, NULL, 'Augengläserfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4424, 'Horne', NULL, 'M', NULL, NULL, NULL, 'Knopffabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4425, 'Oechslen', 'Aug. A.', 'M', NULL, NULL, NULL, 'Bildhauer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4426, 'Ostermann', NULL, 'M', NULL, NULL, NULL, 'Kräuter-Handel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4427, 'Osweyler', NULL, 'M', NULL, NULL, NULL, 'Metallgravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4428, 'Huzer', NULL, 'M', NULL, NULL, NULL, 'Polirtes Eisen u. Bronze', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4429, 'Kapp u Staudinger', NULL, NULL, NULL, NULL, NULL, 'Kästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4430, 'Katzenstein', 'Moritz', 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4431, 'Kaufmann', NULL, 'M', NULL, NULL, NULL, 'Handelsmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4432, 'Kayser', NULL, 'F', 'Frau', NULL, NULL, 'Kurzwaaren u. Leinwandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4433, 'Keller', NULL, 'F', 'Frau', NULL, NULL, 'Glättarbeiterin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4434, 'Pfleger', NULL, 'M', 'sen', NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4435, 'Keller', 'S.', 'M', NULL, NULL, NULL, 'fab. de Maillechort', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4436, 'Reis', 'L.', 'M', NULL, NULL, NULL, 'Bandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4437, 'Klotz Weil', 'Joseph', NULL, 'Comp', NULL, NULL, 'Porzellanwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4438, 'Reutter', NULL, 'M', NULL, NULL, NULL, 'Steinmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4439, 'Rheins', 'D.', NULL, 'Comp', NULL, NULL, 'Mützenmacherei und Furnituren für Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4440, 'Rieffel', NULL, 'F', 'Frau', NULL, NULL, 'Polirerin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4441, 'Kopenhague', NULL, 'M', NULL, NULL, NULL, 'Uhrenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4442, 'Robert-Nusbaumer & Durigneux', NULL, 'M', NULL, NULL, NULL, 'Vergoldete Schmucksachen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4443, 'Krätzer', 'A.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4444, 'Krayer', NULL, 'M', NULL, NULL, NULL, 'Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4445, 'Lievermans', NULL, 'M', NULL, NULL, NULL, 'Fabrikant von Kappen u. griechischen Mützen, hält Seidenzeuge u. Stoffe von Amiens, Lille u. Roubaix', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4446, 'Lievermans', NULL, 'M', NULL, NULL, NULL, 'Damenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4447, 'Lutz', NULL, 'M', 'sen', NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4448, 'Mägerlein', 'J. Jac.', 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4449, 'Mantel', 'Joh.', 'M', NULL, NULL, NULL, 'Dreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4450, 'Maull', 'Ferd.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4451, 'Meis', NULL, 'M', NULL, NULL, NULL, 'Strohhutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4452, 'Nagel', 'Chr. Albert', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4453, 'Neremburger', 'H.', 'M', NULL, NULL, NULL, 'Kästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4454, 'Trier', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4455, 'Ullmann', 'M.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4456, 'Valentin', NULL, 'M', NULL, NULL, NULL, 'Polizeidiener', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4457, 'Vanderbruck', NULL, 'M', NULL, NULL, NULL, 'Kaffeehaus u. Tabakshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4458, 'Vanderheym', NULL, 'M', 'jun', NULL, NULL, 'Feine u. unächte Bijouterie', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4459, 'Vanderheym', 'A.', 'M', 'Sohn', NULL, NULL, 'Bijouteriefabrik u. Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4460, 'Vecten', NULL, 'M', 'NC', NULL, NULL, 'Bronce- u. Standuhrenfabrikant', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(4461, 'Sattler', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4462, 'Weil-Hirsch', NULL, 'M', NULL, NULL, NULL, 'Hut- u. Mützenniederlage', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4463, 'Weiswald', NULL, 'M', 'jun', NULL, NULL, 'Fabrik von Bronze- u. Standuhren', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4464, 'Schimitt', 'L.', 'M', NULL, NULL, NULL, 'Nähkästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4465, 'Schleiter', 'J.', 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4466, 'Schlose', 'Heinr.', NULL, 'Wwe u Gebr', NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4467, 'Schnorr', NULL, 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4468, 'Schober', 'Ed.', 'M', NULL, NULL, NULL, 'Ledervergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4469, 'Wimmerlin', NULL, 'M', NULL, NULL, NULL, 'Waagenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4470, 'Winternitz', 'Leop.', 'M', NULL, NULL, NULL, 'Kunsttischler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4471, 'Schonenfeld & Biermann', NULL, NULL, NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4472, 'Wollenweber', NULL, 'M', NULL, NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4473, 'Schröder', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4474, 'Seegers', NULL, 'M', NULL, NULL, NULL, 'Leder- und Zeugvergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4475, 'Schuz', 'F. Marie', 'M', NULL, NULL, NULL, 'geschliffene Stahlarbeiten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4476, 'Simon', NULL, 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4477, 'Sonnborn', NULL, 'M', NULL, NULL, NULL, 'Broncefabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4478, 'Strauß', 'Heinrich', 'M', NULL, NULL, NULL, 'Papierhandlung u. Buchbinderei', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4479, 'Klopp', 'N.', 'M', NULL, NULL, NULL, 'Registerfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4480, 'Lippmann', NULL, 'F', 'Wwe', NULL, NULL, 'Pappendeckel-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4481, 'Reiser', 'A.', 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4482, 'Nieps', NULL, 'M', NULL, NULL, NULL, 'Tressenschuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4483, 'Erdeven', NULL, 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(4484, 'Kibler', NULL, 'M', NULL, NULL, NULL, 'Zimmer-Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4485, 'Maas', NULL, 'M', NULL, NULL, NULL, 'Mechanikus u. Verfertiger von Schneidewerkzeugen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4486, 'Weber', 'Andreas', 'M', NULL, NULL, NULL, 'Landreiter', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4487, 'Swabel', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4488, 'Altfuldisch', 'J. Joseph', 'M', NULL, NULL, NULL, 'Standuhrenfabrik und Rahmenschreinerei', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4489, 'Baron', 'Julius', 'M', NULL, NULL, NULL, 'Uhrenkästchenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4490, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Conferenzmeister der Normalschule', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4491, 'Bunten', 'O.', 'M', NULL, NULL, NULL, 'Pensionirter Kapitän', 0, 0, 0, NULL, 1, 2, 1, 1, NULL),
(4492, 'Düber', NULL, 'M', 'sen', NULL, NULL, 'Regenschirmfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4493, 'Hanz', 'V.', 'M', NULL, NULL, NULL, 'Wein', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4494, 'Hendrickx', NULL, 'F', 'Wtb', NULL, NULL, 'Band- u. Schnürkrämer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4495, 'Hermerel', NULL, 'F', 'Fraulein', NULL, NULL, 'Malerin', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(4496, 'Hipp', NULL, 'M', NULL, NULL, NULL, 'Friseur', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4497, 'Höfer', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 6),
(4498, 'Köper', 'F. C. Dietr.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4499, 'Riester', NULL, 'M', NULL, NULL, NULL, 'Ornamentenzeichner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4500, 'Lambrecht', NULL, 'M', NULL, NULL, NULL, 'Haarschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4501, 'Lierman', NULL, 'M', 'sen', NULL, NULL, 'Porzellanhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4502, 'Mehl', 'H.', 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4503, 'Schenauf', NULL, 'M', NULL, NULL, NULL, 'Blecharbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4504, 'Schmitz', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4505, 'Schotte', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4506, 'Burg', NULL, NULL, 'Gebr', NULL, NULL, 'Nationalschule', 0, 0, 0, NULL, 6, 2, 1, 1, 11),
(4507, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4508, 'Adamar', NULL, 'M', NULL, NULL, NULL, 'Photograph', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4509, 'Aeberhard', 'Jac.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4510, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Strumpfwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4511, 'Blau', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4512, 'Bolot', NULL, 'F', 'Frau geb Sturm', NULL, NULL, 'Leinwandhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4513, 'Collmann', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4514, 'Colmann', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4515, 'Debacker', NULL, 'F', 'Frau', NULL, NULL, 'Möblirtes Haus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4516, 'Deltinger', 'J. G.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4517, 'Elb', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4518, 'Elias', NULL, 'F', 'Frau', NULL, NULL, 'Corsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4519, 'Endler', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4520, 'Faber', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4521, 'Fizel', NULL, 'M', NULL, NULL, NULL, 'Hutmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4522, 'Fritsch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4523, 'Grieß', NULL, 'M', NULL, NULL, NULL, 'Bauschreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4524, 'Haußmann', 'N.', 'M', NULL, NULL, NULL, 'Schiedsrichter an dem Handelstribunal', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4525, 'Hintermayer', NULL, 'M', NULL, NULL, NULL, 'Klavierstimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4526, 'Pfenning', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4527, 'Picher', NULL, 'M', NULL, NULL, NULL, 'Eßwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4528, 'Ramel', NULL, 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4529, 'Klein', NULL, 'F', NULL, NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4530, 'Klein', 'P.', 'M', 'NC', NULL, NULL, 'Färber u. Stoffzubereiter', 0, 1, 0, NULL, 6, 2, 1, 1, 5),
(4531, 'Kleinjasper', NULL, 'M', NULL, NULL, NULL, 'Klaviermacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4532, 'Klein-Jasper', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4533, 'Korte', 'C.', 'M', NULL, NULL, NULL, 'Divisonsgeneral', 0, 0, 0, NULL, 1, 1, 1, 1, 7),
(4534, 'Lacour-Delatre', NULL, 'M', NULL, NULL, NULL, 'Sprachlehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4535, 'Laubenheimer', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4536, 'Laus', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4537, 'Mauk', NULL, 'M', NULL, NULL, NULL, 'Gasthaus zum Norden', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(4538, 'Meigen', NULL, 'M', NULL, NULL, NULL, 'Notär', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4539, 'Möck', NULL, 'M', NULL, NULL, NULL, 'Hôtel du Nord', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(4540, 'Moßmayer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4541, 'Turgueneff', NULL, 'M', NULL, NULL, NULL, 'Russicher General', 0, 0, 0, NULL, 6, 1, 1, 1, 7),
(4542, 'Weber', NULL, 'M', NULL, NULL, NULL, 'Säckler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4543, 'Weinich', NULL, 'M', NULL, NULL, NULL, 'Militär-Ausrüstungen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4544, 'Schetter', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4545, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Damenhausschuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4546, 'Worch', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4547, 'Schubnel', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4548, 'Schwartz', NULL, 'M', NULL, NULL, NULL, 'Fabrikant optischer Instrumente', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4549, 'Nigel', NULL, 'M', NULL, NULL, NULL, 'Uhrenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4550, 'Baumann', NULL, 'M', NULL, NULL, NULL, 'Holzdreher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4551, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Mechaniker und Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4552, 'Bert', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4553, 'Berger', 'E.', 'M', NULL, NULL, NULL, 'Geplättetes Fischbein', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4554, 'Beuscher', NULL, 'M', NULL, NULL, NULL, 'Knopffabrik u. Commissionsgeschäft', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4555, 'Bitcher', NULL, 'M', NULL, NULL, NULL, 'Schirmhandgrifffabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4556, 'Bloch', NULL, 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4557, 'Block', 'D.', NULL, 'Comp', NULL, NULL, 'Handschuhfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4558, 'Bunzel', 'D.', 'M', NULL, NULL, NULL, 'Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4559, 'Christophe', 'A.', 'M', NULL, NULL, NULL, 'Papierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4560, 'Dietrich', NULL, 'M', 'sen', NULL, NULL, 'Elfenbeinschnitzer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4561, 'Elias', NULL, 'M', NULL, NULL, NULL, 'Blumenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4562, 'Fasbinder', NULL, 'M', NULL, NULL, NULL, 'Metallgewebe', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4563, 'Fincken d\'Autemarche', 'A.', 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4564, 'Fischer', NULL, 'M', NULL, NULL, NULL, 'Beeidigter Uebersetzer', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(4565, 'Fischer', 'J.', 'M', NULL, NULL, NULL, 'Seidefärberei und Posamentirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4566, 'Graßmann', 'Peter', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4567, 'Hailpern', 'J.', 'M', NULL, NULL, NULL, 'Commissionär', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4568, 'Hoffmann', 'J. G.', 'M', NULL, NULL, NULL, 'Holzschneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4569, 'Ourback', 'E.', 'M', NULL, NULL, NULL, 'Verfertigte Kleider', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4570, 'Racke & Chevallier', NULL, NULL, NULL, NULL, NULL, 'Straßburger Hausschuhe und Wachstuch', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4571, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4572, 'Reiser', NULL, 'M', 'sen', NULL, NULL, 'Hausschuhe', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4573, 'Reiser', NULL, 'M', 'jun', NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4574, 'Rhode & Edmund Royer', NULL, NULL, NULL, NULL, NULL, 'Rohe und gefärbte Seide', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4575, 'Kolb', NULL, 'M', NULL, NULL, NULL, 'Ebenist, Apparate für Daguerreotypen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4576, 'Kraft', NULL, 'M', NULL, NULL, NULL, 'Stock- u. Regenschirmgriffefabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4577, 'Rudolf', NULL, 'M', NULL, NULL, NULL, 'Billardbälle', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4578, 'Laus', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4579, 'Ludwig', NULL, 'M', NULL, NULL, NULL, 'Hosenträger-, Beutel- u. Halsbinden-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4580, 'Martini', 'Ch. Mor.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4581, 'Maurer', 'Ernst', 'M', NULL, NULL, NULL, 'Hosenträger- u. Strumpfbänder-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4582, 'Merckel', NULL, 'M', NULL, NULL, NULL, 'Feuerzeug-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4583, 'Trager', NULL, 'F', 'Frau', NULL, NULL, 'Blumenmacherin', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4584, 'Walker u Raffy', NULL, NULL, NULL, NULL, NULL, 'Blätterfabrikanten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4585, 'Walker', NULL, 'M', NULL, NULL, NULL, 'Gürtler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4586, 'Weinling', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4587, 'Schäck', NULL, 'M', NULL, NULL, NULL, 'Geschäftsführer des Hauses August Roswag', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4588, 'Wendling', 'J.', 'M', NULL, NULL, NULL, 'Kunstdrechsler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4589, 'Wiederschein', 'G.', 'M', NULL, NULL, NULL, 'Sattler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4590, 'Wiesinger', 'L.', 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4591, 'Schloß', NULL, 'M', NULL, NULL, NULL, 'Handschuhfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4592, 'Schmid', NULL, 'F', 'Wwe', NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4593, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4594, 'Witlich', 'S.', 'M', NULL, NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4595, 'Wittersheim', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4596, 'Schmitt', NULL, 'M', NULL, NULL, NULL, 'Kammfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4597, 'Schönfeld', NULL, 'M', NULL, NULL, NULL, 'Westenzeug-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4598, 'Schonfeld', 'I.', 'M', NULL, NULL, NULL, 'Kopfnetze', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4599, 'Seeger', 'F.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4600, 'Woremser u Schwab', NULL, NULL, NULL, NULL, NULL, 'Hemden-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4601, 'Sondag', NULL, 'M', NULL, NULL, NULL, 'Zubereitungen für Blumen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4602, 'Sturbaut', 'J.', NULL, 'Francois', NULL, NULL, 'Wachstuch-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4603, 'Niedlich', NULL, 'M', NULL, NULL, NULL, 'Buchdrucker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4604, 'Nieß', NULL, 'M', NULL, NULL, NULL, 'Bürstenbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4605, 'Birckel u Levesteau', NULL, NULL, NULL, NULL, NULL, 'Porzellanofenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4606, 'Brand', NULL, 'M', NULL, NULL, NULL, 'Pfeil- u. Bogenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4607, 'Kieffer', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4608, 'Rothiacop von', 'Joh.', NULL, 'Comp', NULL, NULL, 'Eigenthümer von Granitbrüchen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4609, 'Manertz', NULL, 'F', 'Wwe', NULL, NULL, 'Fabrik von Werkzeugen für Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4610, 'Seeger', 'Michael', 'M', NULL, NULL, NULL, 'Garnfärber', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4611, 'Appel', 'F.', 'M', NULL, NULL, NULL, 'Schreibmaterialien und lithographische Gegenstände', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4612, 'Berger', NULL, 'F', 'Frau', NULL, NULL, 'Kurzwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4613, 'Behm', NULL, 'M', NULL, NULL, NULL, 'Goldschmuck', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4614, 'Borel', 'F. L.', 'M', NULL, NULL, NULL, 'Springfedernfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4615, 'Breithaupt', 'L.', 'M', NULL, NULL, NULL, 'Kaufmann', 0, 0, 0, NULL, 6, 2, 1, 1, 4);
INSERT INTO `persons` (`id`, `surname`, `first_name`, `gender`, `title`, `name_predicate`, `specification_verbatim`, `profession_verbatim`, `de_l_institut`, `notable_commercant`, `bold`, `advert`, `ldh_rank_id`, `military_status_id`, `social_status_id`, `occupation_status_id`, `prof_category_id`) VALUES
(4616, 'Dopfeld', NULL, 'M', NULL, NULL, NULL, 'Metalle', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4617, 'Gerson', NULL, 'M', NULL, NULL, NULL, 'Mützenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4618, 'Haacke', NULL, 'M', NULL, NULL, NULL, 'Mechanicus, Kaffeemaschinenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4619, 'Heringer', 'Gustav', NULL, 'Comp', NULL, NULL, 'Spiegel- u. Fensterglas', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4620, 'Herz', NULL, 'M', NULL, NULL, NULL, 'Kleiderhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4621, 'Kienle', 'G. Ernst', 'M', NULL, NULL, NULL, 'Goldarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4622, 'Rheims', NULL, 'M', 'Sohn', NULL, NULL, 'Fischleimfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4623, 'Mattern', NULL, 'M', NULL, NULL, NULL, 'Glaser u. Anstreicher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4624, 'Metmann', 'Ch.', 'M', NULL, NULL, NULL, 'Rechnungsführer in der Nationaldruckerei', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(4625, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4626, 'Weygand', 'August', 'M', NULL, NULL, NULL, 'Broncefabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4627, 'Winter', NULL, 'F', 'Frau', NULL, NULL, 'Gegenseitiger Unterricht des 8. Arrondissements', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4628, 'Stadlmair', 'Heinrich', 'M', NULL, NULL, NULL, 'Pelz-Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4629, 'Steinheil', NULL, 'M', NULL, NULL, NULL, 'Theilhaber des Hauses Delondre, A., Berthemot u. Comp.', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4630, 'Schwabel', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4631, 'Niderlinder', NULL, 'M', NULL, NULL, NULL, 'Verfertiger von Rahmen und Kästchen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4632, 'Habert', 'Alex.', 'M', NULL, NULL, NULL, 'Apotheker', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4633, 'Matthey', NULL, 'M', NULL, NULL, NULL, 'Lithograph', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4634, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Glasmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4635, 'Adam', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4636, 'Aldebert', 'Von', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(4637, 'Bauer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4638, 'Baumann', NULL, 'M', NULL, NULL, NULL, 'Baumeister', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4639, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Maler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4640, 'Bein', NULL, 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4641, 'Block', 'Moritz', 'M', NULL, NULL, NULL, 'Beamter am Ministerium des Innern, der Landwirtschaft und des Handels', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4642, 'Brunner', NULL, 'M', NULL, NULL, NULL, 'Fabrik optischer Instrumente', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4643, 'Danhauser', 'J.', 'M', NULL, NULL, NULL, 'Naturalist', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4644, 'Danhauser', NULL, 'F', 'Frau', NULL, NULL, 'Hebamme', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4645, 'Daremberg', NULL, 'M', NULL, NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4646, 'Dreyß', NULL, 'M', NULL, NULL, NULL, 'Lehrer des Lyceums Louis-le-Grand', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4647, 'Droz', 'Fr.', 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(4648, 'Eichens', 'Hermann', 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4649, 'Fries', NULL, 'M', NULL, NULL, NULL, 'Wagenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4650, 'Gesell', NULL, 'M', 'jun', NULL, NULL, 'Schreiner u. Polsterer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4651, 'Gillimann u Alauzet', NULL, NULL, NULL, NULL, NULL, 'Mechaniker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4652, 'Gottlob', NULL, 'M', NULL, NULL, NULL, 'Haarkräusler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4653, 'Groß', NULL, 'M', 'jun', NULL, NULL, 'Pasteten- u. Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4654, 'Grusse', NULL, 'M', NULL, NULL, NULL, 'Schreinerarbeitenübernehmer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4655, 'Gsell', NULL, 'M', NULL, NULL, NULL, 'Schreiner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4656, 'Haas', 'S.', 'M', NULL, NULL, NULL, 'Kirchenparamentenhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4657, 'Heinrich', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4658, 'Hoffmann', 'Aph.', 'M', NULL, NULL, NULL, 'Robbereiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4659, 'Hoffmann', NULL, 'M', 'Vater', NULL, NULL, 'Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4660, 'Hoffmann', 'Matth.', 'M', NULL, NULL, NULL, 'Homöopathischer Arzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4661, 'Homberg', NULL, 'M', NULL, NULL, NULL, 'Baumeister der  Brücken u. Chausseen', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4662, 'Hurmann', NULL, 'M', NULL, NULL, NULL, 'Rentner', 0, 0, 0, NULL, 6, 2, 1, 2, 9),
(4663, 'Hunziker', NULL, 'F', 'Frau Wwe', NULL, NULL, 'Eigenthümerin', 0, 0, 0, NULL, 6, 2, 1, 3, 8),
(4664, 'Kaufmann', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4665, 'Pfeiffer-Brunet', NULL, 'M', 'Sohn', NULL, NULL, 'Kürschner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4666, 'Polestan', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4667, 'Prescher', NULL, 'M', NULL, NULL, NULL, 'Metzger', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4668, 'Püll', NULL, 'M', NULL, NULL, NULL, 'Naturforscher', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4669, 'Questel', NULL, 'M', NULL, NULL, NULL, 'Specereihandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4670, 'Kietz', 'E. B.', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4671, 'Klein', NULL, 'M', NULL, NULL, NULL, 'Ebenist', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4672, 'Knapp', NULL, 'M', NULL, NULL, NULL, 'Agent, Rechner des Pfandhauses', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4673, 'Rieder', NULL, 'M', NULL, NULL, NULL, 'Lehrer des Magnetismus', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4674, 'Krammer', NULL, 'M', NULL, NULL, NULL, 'Musiklehrer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4675, 'Röhn', NULL, 'M', NULL, NULL, NULL, 'Factor an der Marée', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4676, 'Krolikowski', 'Carl', 'M', NULL, NULL, NULL, 'Polnische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4677, 'Krosler', NULL, 'F', 'Frau', NULL, NULL, 'Möblirte Zimmer', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4678, 'Kullmann', NULL, 'M', NULL, NULL, NULL, 'Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4679, 'Lantz', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4680, 'Licko', 'Chr. F.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4681, 'Lierman', NULL, 'M', NULL, NULL, NULL, 'Porzellanhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4682, 'Linzeler', NULL, 'M', 'sen', NULL, NULL, 'Kassenverwalter von den Spitalen', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4683, 'Linzeler', NULL, 'F', 'Frau sen', NULL, NULL, 'Specereihandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4684, 'Linzeler', NULL, 'M', NULL, NULL, NULL, 'Goldarbeiter u. Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4685, 'Lisko', NULL, 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4686, 'Ryfkogel', 'J. B.', 'M', NULL, NULL, NULL, 'Blumengärtner', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4687, 'Martens', NULL, 'M', NULL, NULL, NULL, 'Kupferstecher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4688, 'Meding', NULL, 'M', NULL, NULL, NULL, 'Doctor der Medicin', 0, 0, 1, NULL, 6, 2, 1, 1, 10),
(4689, 'Metiger', NULL, 'F', 'Frau', NULL, NULL, 'Bürsten', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4690, 'Trautz u Bauzonnet', NULL, NULL, NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4691, 'Wagner', NULL, 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4692, 'Wagner-Lamotte', NULL, 'M', 'von Rheims', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, NULL),
(4693, 'Walch', NULL, 'M', NULL, NULL, NULL, 'Schuhwaaren', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4694, 'Schampperle', NULL, 'M', NULL, NULL, NULL, 'Tabak und Stempelpapier', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4695, 'Schimit', NULL, 'M', NULL, NULL, NULL, 'Weinhandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4696, 'Wilhelm', 'Paul', 'M', NULL, NULL, NULL, 'Kunstmaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4697, 'Schleguel', NULL, 'M', NULL, NULL, NULL, 'Pappdeckelarbeiter', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4698, 'Schlesinger', NULL, 'M', NULL, NULL, NULL, 'Antiquarische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4699, 'Schlesinger', NULL, 'M', NULL, NULL, NULL, 'Antiquarische Buchhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4700, 'Schmidt', NULL, 'M', NULL, NULL, NULL, 'ehemaliger Gesuchberichterstatter', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4701, 'Schönfeld von', 'W.', 'M', NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 1, 1, 1),
(4702, 'Zawierski', 'W.', 'M', NULL, NULL, NULL, 'Director der polnischen Vorbereitungsanstalt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4703, 'Specht', NULL, 'M', NULL, NULL, NULL, 'Vorsteher der Prüfungs-Commission für die Posteinnahmen', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4704, 'Stahl', 'J. D. A.', 'M', NULL, NULL, NULL, 'Schuhmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4705, 'Stirner', 'L. F.', 'M', NULL, NULL, NULL, 'Commissionshandel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4706, 'Stock-Monier', NULL, 'M', NULL, NULL, NULL, 'Lesecabinet', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4707, 'Stoff', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4708, 'Sturm', NULL, 'M', NULL, NULL, NULL, 'Geschmeidemaler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4709, 'Andelmann', NULL, 'M', NULL, NULL, NULL, 'Aufseher der Sammlungen in der Mineralschule', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4710, 'Berger', NULL, 'M', NULL, NULL, NULL, 'Maurer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4711, 'Becker', NULL, 'M', NULL, NULL, NULL, 'Weine', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4712, 'Bradel', NULL, 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4713, 'Forster', NULL, 'M', NULL, NULL, NULL, 'am Insitut, Gravirer', 0, 0, 0, NULL, 1, 2, 1, 1, 6),
(4714, 'Holst', 'J. Wilh.', 'M', NULL, NULL, NULL, 'Diamanteneinfasser', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4715, 'Hosch', NULL, 'M', NULL, NULL, NULL, 'Mechanikus u. Wagenwindenfabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4716, 'Oleßczynsky', 'A', 'M', NULL, NULL, NULL, 'Gravirer', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4717, 'Juncker', 'O.', 'M', NULL, NULL, NULL, 'Generalinspector der Bergwerke', 0, 0, 0, NULL, 1, 2, 1, 1, 3),
(4718, 'Jung', 'Fried.', 'M', NULL, NULL, NULL, 'Schmied', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4719, 'Kah', 'Paul', 'M', NULL, NULL, NULL, 'Weinhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4720, 'Kalbfleisch', NULL, 'M', 'sen', NULL, NULL, 'Steingut u. Porzellan', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4721, 'Kaller', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4722, 'Raß', 'Heinrich', 'M', NULL, NULL, NULL, 'Rollvorhangfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4723, 'Rinn', 'O.', 'M', NULL, NULL, NULL, 'Vorsteher am Lyceum Louis-le-Grand', 0, 0, 0, NULL, 1, 2, 1, 1, 10),
(4724, 'Lohr', NULL, 'M', NULL, NULL, NULL, 'Liqueur-Fabrikant', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4725, 'Thürwanger', NULL, NULL, 'Gebr', NULL, NULL, 'Lithographen', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4726, 'Vanderhecht', NULL, 'M', NULL, NULL, NULL, 'Ledervergolder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4727, 'Wiesener', NULL, 'M', NULL, NULL, NULL, 'Professor der Geschichte an dem Lyzeum Charlemagne', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4728, 'Schneider', NULL, 'M', NULL, NULL, NULL, 'Buntpapierfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4729, 'Badel', NULL, 'M', NULL, NULL, NULL, 'Bäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4730, 'Berles', NULL, 'M', NULL, NULL, NULL, 'Uhrmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4731, 'Brag', NULL, 'M', NULL, NULL, NULL, 'Fabrik eiserner Bettstellen und Federmatratzen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4732, 'Busch u Hammer', NULL, NULL, NULL, NULL, NULL, 'Brieftaschen', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4733, 'Daniel', 'E.', NULL, 'jun und Lefourt', NULL, NULL, 'Fabrik von polirtem Stahl', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4734, 'Fuchs', NULL, 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4735, 'Grumel', 'F. R.', 'M', NULL, NULL, NULL, 'Geld u. Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4736, 'Hirsch Sohn', 'Eug.', 'M', NULL, NULL, NULL, 'Gold- u. Silberhändler', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4737, 'Kloß', NULL, 'M', NULL, NULL, NULL, 'Stiefelmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4738, 'Klotz', NULL, 'M', NULL, NULL, NULL, 'Posamentier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4739, 'Remond-David', NULL, 'M', NULL, NULL, NULL, 'Deutsche Artikel', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4740, 'Lazare-Weill', NULL, 'M', NULL, NULL, NULL, 'Verfertigte Hemden u. Krägen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4741, 'Leopard', NULL, 'M', NULL, NULL, NULL, 'Pasteten- u. Zuckerbäcker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4742, 'Lippmann', NULL, 'M', 'Sohn', NULL, NULL, 'Uhrmacher u. Juwelier', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4743, 'Marc-Klotz', NULL, 'M', NULL, NULL, NULL, 'Mützenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4744, 'Müller', 'Fr.', 'M', NULL, NULL, NULL, 'Mützenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4745, 'Neuß', 'H. J.', 'M', NULL, NULL, NULL, 'Nadelfabrikant, Vertreter v. J. B.', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4746, 'Thierre u Vaillant', NULL, NULL, NULL, NULL, NULL, 'Nadeln u. Fischangeln', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4747, 'Vaillant', NULL, 'M', NULL, NULL, NULL, 'Betheiligter d. Hauses Thierre u. Vaillant, Nadelager', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4748, 'Wall', NULL, NULL, 'Geschwister', NULL, NULL, 'Halskragen-Fabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4749, 'Weil', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4750, 'Weil', 'S.', 'M', NULL, NULL, NULL, 'Kappenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4751, 'Weil', 'J.', 'M', NULL, NULL, NULL, 'Kleiderhandlung', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4752, 'Wiener', NULL, 'M', NULL, NULL, NULL, 'Speisewirth', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4753, 'Schirp & Wirth', NULL, NULL, NULL, NULL, NULL, 'Manufacturwaaren-Mäkler', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4754, 'Schöller', 'G.', 'M', NULL, NULL, NULL, 'Geschäftsführer des Hauses Lepage', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4755, 'Schrödel', 'Ch.', 'M', NULL, NULL, NULL, 'Buchbinder', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4756, 'Worms', NULL, NULL, 'Gebr', NULL, NULL, 'Bordenwirker', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4757, 'Wortmann', NULL, 'M', NULL, NULL, NULL, 'Verfertiger v. Drahtgittern', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4758, 'Sommer', NULL, NULL, 'Comp', NULL, NULL, 'Säckler u. Mützenmacher', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4759, 'Stegmüller', 'C.', 'M', NULL, NULL, NULL, 'Brieftaschenfabrik', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4760, 'Straus', 'Ph.', 'M', NULL, NULL, NULL, 'Verfertigte Kleidungsstücke im Kleinen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4761, 'Betterstroffer', NULL, 'F', 'Frau', NULL, NULL, 'Korsetten', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4762, 'Hamel', NULL, 'M', NULL, NULL, NULL, 'Advocat', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4763, 'Herber', 'Ph.', 'M', NULL, NULL, NULL, 'Schuhladen', 0, 0, 0, NULL, 6, 2, 1, 1, 4),
(4764, 'Holzschuch', NULL, 'M', NULL, NULL, NULL, 'Kurrier', 0, 0, 0, NULL, 6, 2, 1, 1, 2),
(4765, 'Hulek u Faure', NULL, NULL, NULL, NULL, NULL, 'Schneider', 0, 0, 1, NULL, 6, 2, 1, 1, 5),
(4766, 'Lehman', NULL, 'M', NULL, NULL, NULL, 'Hôtel de la Terrasse', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4767, 'Narischkine von', NULL, 'F', 'Gräfin', NULL, NULL, NULL, 0, 0, 0, NULL, 6, 2, 2, 1, 1),
(4768, 'Ulbricht', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4769, 'Walsh', NULL, 'M', NULL, NULL, NULL, 'Ehemaliger Consul der vereinigten Staaten', 0, 0, 0, NULL, 6, 2, 1, 1, 3),
(4770, 'Schäffer', NULL, 'M', NULL, NULL, NULL, 'Schneider', 0, 0, 0, NULL, 6, 2, 1, 1, 5),
(4771, 'Schange', 'Alexis', 'M', NULL, NULL, NULL, 'Zahnarzt', 0, 0, 0, NULL, 6, 2, 1, 1, 10),
(4772, 'Zier', NULL, 'M', NULL, NULL, NULL, 'Galvanist', 0, 0, 0, NULL, 6, 2, 1, 1, 5);
